<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Leads',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Leads',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'mkto_lead_score',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'first_name',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => '',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields9' => array(
                    'id' => 'fields9',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields10' => array(
                    'id' => 'fields10',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' >',
                                    ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '<b>New owner</b>. ',
                                    ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Modified by',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-266' => array(
            'id' => 'op-266',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-267' => array(
            'id' => 'op-267',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-270' => array(
            'id' => 'op-270',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-271' => array(
            'id' => 'op-271',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-293' => array(
            'id' => 'op-293',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Account Lead reassigned',
                                    ),
            ),
        ),
        'op-296' => array(
            'id' => 'op-296',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-297' => array(
            'id' => 'op-297',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-339' => array(
            'id' => 'op-339',
            'type' => 'NotOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand' => array(
                    'id' => 'operand',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-340' => array(
            'id' => 'op-340',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-341' => array(
            'id' => 'op-341',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'New user',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Old user',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'New user',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Old user',
                                        ),
                                    ),
            ),
        ),
        'op-342' => array(
            'id' => 'op-342',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'New user',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'Old user',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'New user',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Old user',
                                        ),
                                    ),
            ),
        ),
        'op-343' => array(
            'id' => 'op-343',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'New user',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Old user',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'New user',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Old user',
                                        ),
                                    ),
            ),
        ),
        'op-345' => array(
            'id' => 'op-345',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-346' => array(
            'id' => 'op-346',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '</b>',
                                    ),
            ),
        ),
        'op-347' => array(
            'id' => 'op-347',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '<b>',
                                    ),
            ),
        ),
        'op-348' => array(
            'id' => 'op-348',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'New user',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Old user',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'New user',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Old user',
                                        ),
                                    ),
            ),
        ),
        'op-349' => array(
            'id' => 'op-349',
            'type' => 'HtmlDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-350' => array(
            'id' => 'op-350',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Leads',
                                    ),
            ),
        ),
        'op-351' => array(
            'id' => 'op-351',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-352' => array(
            'id' => 'op-352',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-353' => array(
            'id' => 'op-353',
            'type' => 'ConstantNullOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-2' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-3entity',
            'toOperator' => 'op-3',
            'toConnector' => 'entity'
        ),
        'link-4' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-4operand2',
            'toOperator' => 'op-4',
            'toConnector' => 'operand2'
        ),
        'link-6' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-13entity',
            'toOperator' => 'op-13',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-13entity',
            'fromOperator' => 'op-13',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-20' => array(
            'from' => 'op-20schema',
            'fromOperator' => 'op-20',
            'fromConnector' => 'schema',
            'to' => 'op-19schema',
            'toOperator' => 'op-19',
            'toConnector' => 'schema'
        ),
        'link-21' => array(
            'from' => 'op-19structure',
            'fromOperator' => 'op-19',
            'fromConnector' => 'structure',
            'to' => 'op-18structure',
            'toOperator' => 'op-18',
            'toConnector' => 'structure'
        ),
        'link-22' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-28' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-11fields0',
            'toOperator' => 'op-11',
            'toConnector' => 'fields0'
        ),
        'link-29' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-13fields6',
            'toOperator' => 'op-13',
            'toConnector' => 'fields6'
        ),
        'link-31' => array(
            'from' => 'op-11singleEntity',
            'fromOperator' => 'op-11',
            'fromConnector' => 'singleEntity',
            'to' => 'op-22entity',
            'toOperator' => 'op-22',
            'toConnector' => 'entity'
        ),
        'link-32' => array(
            'from' => 'op-22fields0',
            'fromOperator' => 'op-22',
            'fromConnector' => 'fields0',
            'to' => 'op-13fields8',
            'toOperator' => 'op-13',
            'toConnector' => 'fields8'
        ),
        'link-558' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-4operand1',
            'toOperator' => 'op-4',
            'toConnector' => 'operand1'
        ),
        'link-565' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-266controlFlow',
            'toOperator' => 'op-266',
            'toConnector' => 'controlFlow'
        ),
        'link-567' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-266id',
            'toOperator' => 'op-266',
            'toConnector' => 'id'
        ),
        'link-568' => array(
            'from' => 'op-266entity',
            'fromOperator' => 'op-266',
            'fromConnector' => 'entity',
            'to' => 'op-267entity',
            'toOperator' => 'op-267',
            'toConnector' => 'entity'
        ),
        'link-573' => array(
            'from' => 'op-270entity',
            'fromOperator' => 'op-270',
            'fromConnector' => 'entity',
            'to' => 'op-271entity',
            'toOperator' => 'op-271',
            'toConnector' => 'entity'
        ),
        'link-626' => array(
            'from' => 'op-293result',
            'fromOperator' => 'op-293',
            'fromConnector' => 'result',
            'to' => 'op-11fields1',
            'toOperator' => 'op-11',
            'toConnector' => 'fields1'
        ),
        'link-652' => array(
            'from' => 'op-266controlFlow',
            'fromOperator' => 'op-266',
            'fromConnector' => 'controlFlow',
            'to' => 'op-296controlFlow',
            'toOperator' => 'op-296',
            'toConnector' => 'controlFlow'
        ),
        'link-654' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-296id',
            'toOperator' => 'op-296',
            'toConnector' => 'id'
        ),
        'link-655' => array(
            'from' => 'op-296entity',
            'fromOperator' => 'op-296',
            'fromConnector' => 'entity',
            'to' => 'op-297entity',
            'toOperator' => 'op-297',
            'toConnector' => 'entity'
        ),
        'link-847' => array(
            'from' => 'op-340result',
            'fromOperator' => 'op-340',
            'fromConnector' => 'result',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-848' => array(
            'from' => 'op-4result',
            'fromOperator' => 'op-4',
            'fromConnector' => 'result',
            'to' => 'op-340operand2',
            'toOperator' => 'op-340',
            'toConnector' => 'operand2'
        ),
        'link-849' => array(
            'from' => 'op-339result',
            'fromOperator' => 'op-339',
            'fromConnector' => 'result',
            'to' => 'op-340operand1',
            'toOperator' => 'op-340',
            'toConnector' => 'operand1'
        ),
        'link-850' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-339operand',
            'toOperator' => 'op-339',
            'toConnector' => 'operand'
        ),
        'link-851' => array(
            'from' => 'op-296controlFlow',
            'fromOperator' => 'op-296',
            'fromConnector' => 'controlFlow',
            'to' => 'op-341controlFlow',
            'toOperator' => 'op-341',
            'toConnector' => 'controlFlow'
        ),
        'link-852' => array(
            'from' => 'op-341controlFlow',
            'fromOperator' => 'op-341',
            'fromConnector' => 'controlFlow',
            'to' => 'op-343controlFlow',
            'toOperator' => 'op-343',
            'toConnector' => 'controlFlow'
        ),
        'link-854' => array(
            'from' => 'op-342schema',
            'fromOperator' => 'op-342',
            'fromConnector' => 'schema',
            'to' => 'op-341schema',
            'toOperator' => 'op-341',
            'toConnector' => 'schema'
        ),
        'link-855' => array(
            'from' => 'op-341structure',
            'fromOperator' => 'op-341',
            'fromConnector' => 'structure',
            'to' => 'op-343structure',
            'toOperator' => 'op-343',
            'toConnector' => 'structure'
        ),
        'link-857' => array(
            'from' => 'op-16result',
            'fromOperator' => 'op-16',
            'fromConnector' => 'result',
            'to' => 'op-343fields0',
            'toOperator' => 'op-343',
            'toConnector' => 'fields0'
        ),
        'link-858' => array(
            'from' => 'op-15result',
            'fromOperator' => 'op-15',
            'fromConnector' => 'result',
            'to' => 'op-343fields2',
            'toOperator' => 'op-343',
            'toConnector' => 'fields2'
        ),
        'link-859' => array(
            'from' => 'op-347result',
            'fromOperator' => 'op-347',
            'fromConnector' => 'result',
            'to' => 'op-345operand1',
            'toOperator' => 'op-345',
            'toConnector' => 'operand1'
        ),
        'link-860' => array(
            'from' => 'op-346result',
            'fromOperator' => 'op-346',
            'fromConnector' => 'result',
            'to' => 'op-345operand3',
            'toOperator' => 'op-345',
            'toConnector' => 'operand3'
        ),
        'link-861' => array(
            'from' => 'op-267fields0',
            'fromOperator' => 'op-267',
            'fromConnector' => 'fields0',
            'to' => 'op-345operand2',
            'toOperator' => 'op-345',
            'toConnector' => 'operand2'
        ),
        'link-866' => array(
            'from' => 'op-343controlFlow',
            'fromOperator' => 'op-343',
            'fromConnector' => 'controlFlow',
            'to' => 'op-348controlFlow',
            'toOperator' => 'op-348',
            'toConnector' => 'controlFlow'
        ),
        'link-867' => array(
            'from' => 'op-343structure',
            'fromOperator' => 'op-343',
            'fromConnector' => 'structure',
            'to' => 'op-348structure',
            'toOperator' => 'op-348',
            'toConnector' => 'structure'
        ),
        'link-869' => array(
            'from' => 'op-348structure',
            'fromOperator' => 'op-348',
            'fromConnector' => 'structure',
            'to' => 'op-13fields7',
            'toOperator' => 'op-13',
            'toConnector' => 'fields7'
        ),
        'link-870' => array(
            'from' => 'op-349decorator',
            'fromOperator' => 'op-349',
            'fromConnector' => 'decorator',
            'to' => 'op-348decorator',
            'toOperator' => 'op-348',
            'toConnector' => 'decorator'
        ),
        'link-990' => array(
            'from' => 'op-345result',
            'fromOperator' => 'op-345',
            'fromConnector' => 'result',
            'to' => 'op-343fields3',
            'toOperator' => 'op-343',
            'toConnector' => 'fields3'
        ),
        'link-991' => array(
            'from' => 'op-297fields0',
            'fromOperator' => 'op-297',
            'fromConnector' => 'fields0',
            'to' => 'op-343fields1',
            'toOperator' => 'op-343',
            'toConnector' => 'fields1'
        ),
        'link-1245' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-1246' => array(
            'from' => 'op-348controlFlow',
            'fromOperator' => 'op-348',
            'fromConnector' => 'controlFlow',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-1250' => array(
            'from' => 'op-271fields0',
            'fromOperator' => 'op-271',
            'fromConnector' => 'fields0',
            'to' => 'op-18fields0',
            'toOperator' => 'op-18',
            'toConnector' => 'fields0'
        ),
        'link-1251' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-1252' => array(
            'from' => 'op-18structure',
            'fromOperator' => 'op-18',
            'fromConnector' => 'structure',
            'to' => 'op-13fields5',
            'toOperator' => 'op-13',
            'toConnector' => 'fields5'
        ),
        'link-1253' => array(
            'from' => 'op-2fields4',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields4',
            'to' => 'op-13fields9',
            'toOperator' => 'op-13',
            'toConnector' => 'fields9'
        ),
        'link-1254' => array(
            'from' => 'op-350dropdownValue',
            'fromOperator' => 'op-350',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-13fields10',
            'toOperator' => 'op-13',
            'toConnector' => 'fields10'
        ),
        'link-1255' => array(
            'from' => 'op-2fields7',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields7',
            'to' => 'op-352operand1',
            'toOperator' => 'op-352',
            'toConnector' => 'operand1'
        ),
        'link-1256' => array(
            'from' => 'op-353result',
            'fromOperator' => 'op-353',
            'fromConnector' => 'result',
            'to' => 'op-352operand2',
            'toOperator' => 'op-352',
            'toConnector' => 'operand2'
        ),
        'link-1257' => array(
            'from' => 'op-352result',
            'fromOperator' => 'op-352',
            'fromConnector' => 'result',
            'to' => 'op-351condition',
            'toOperator' => 'op-351',
            'toConnector' => 'condition'
        ),
        'link-1258' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-351controlFlow',
            'toOperator' => 'op-351',
            'toConnector' => 'controlFlow'
        ),
        'link-1259' => array(
            'from' => 'op-351controlFlowIfTrue',
            'fromOperator' => 'op-351',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-1260' => array(
            'from' => 'op-2fields7',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields7',
            'to' => 'op-13fields0',
            'toOperator' => 'op-13',
            'toConnector' => 'fields0'
        ),
    )
);
