<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Accounts',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => '',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => '',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' >',
                                    ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '<b>New owner</b>.  ',
                                    ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Modified by',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-266' => array(
            'id' => 'op-266',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-267' => array(
            'id' => 'op-267',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-270' => array(
            'id' => 'op-270',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-271' => array(
            'id' => 'op-271',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-293' => array(
            'id' => 'op-293',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Account reassigned',
                                    ),
            ),
        ),
        'op-296' => array(
            'id' => 'op-296',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-297' => array(
            'id' => 'op-297',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-420' => array(
            'id' => 'op-420',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'OldUser',
                                        'fields2' => 'Text2',
                                        'fields3' => 'NewUser',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'OldUser',
                                        'fields2' => 'Text2',
                                        'fields3' => 'NewUser',
                                        ),
                                    ),
            ),
        ),
        'op-421' => array(
            'id' => 'op-421',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'OldUser',
                                        'fields2' => 'Text2',
                                        'fields3' => 'NewUser',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'OldUser',
                                        'fields2' => 'Text2',
                                        'fields3' => 'NewUser',
                                        ),
                                    ),
            ),
        ),
        'op-422' => array(
            'id' => 'op-422',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'OldUser',
                                        'fields2' => 'Text2',
                                        'fields3' => 'NewUser',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'OldUser',
                                        'fields2' => 'Text2',
                                        'fields3' => 'NewUser',
                                        ),
                                    ),
            ),
        ),
        'op-423' => array(
            'id' => 'op-423',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'OldUser',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'NewUser',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'OldUser',
                                        'fields2' => 'Text2',
                                        'fields3' => 'NewUser',
                                        ),
                                    ),
            ),
        ),
        'op-424' => array(
            'id' => 'op-424',
            'type' => 'HtmlDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-433' => array(
            'id' => 'op-433',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '</b>',
                                    ),
            ),
        ),
        'op-434' => array(
            'id' => 'op-434',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '<b>',
                                    ),
            ),
        ),
        'op-435' => array(
            'id' => 'op-435',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-507' => array(
            'id' => 'op-507',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-508' => array(
            'id' => 'op-508',
            'type' => 'NotOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand' => array(
                    'id' => 'operand',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-2' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-3entity',
            'toOperator' => 'op-3',
            'toConnector' => 'entity'
        ),
        'link-4' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-4operand2',
            'toOperator' => 'op-4',
            'toConnector' => 'operand2'
        ),
        'link-6' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-8' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-13entity',
            'toOperator' => 'op-13',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-13entity',
            'fromOperator' => 'op-13',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-19' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-20' => array(
            'from' => 'op-20schema',
            'fromOperator' => 'op-20',
            'fromConnector' => 'schema',
            'to' => 'op-19schema',
            'toOperator' => 'op-19',
            'toConnector' => 'schema'
        ),
        'link-21' => array(
            'from' => 'op-19structure',
            'fromOperator' => 'op-19',
            'fromConnector' => 'structure',
            'to' => 'op-18structure',
            'toOperator' => 'op-18',
            'toConnector' => 'structure'
        ),
        'link-22' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-28' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-11fields0',
            'toOperator' => 'op-11',
            'toConnector' => 'fields0'
        ),
        'link-29' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-13fields6',
            'toOperator' => 'op-13',
            'toConnector' => 'fields6'
        ),
        'link-31' => array(
            'from' => 'op-11singleEntity',
            'fromOperator' => 'op-11',
            'fromConnector' => 'singleEntity',
            'to' => 'op-22entity',
            'toOperator' => 'op-22',
            'toConnector' => 'entity'
        ),
        'link-32' => array(
            'from' => 'op-22fields0',
            'fromOperator' => 'op-22',
            'fromConnector' => 'fields0',
            'to' => 'op-13fields8',
            'toOperator' => 'op-13',
            'toConnector' => 'fields8'
        ),
        'link-536' => array(
            'from' => 'op-2fields4',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields4',
            'to' => 'op-13fields0',
            'toOperator' => 'op-13',
            'toConnector' => 'fields0'
        ),
        'link-558' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-4operand1',
            'toOperator' => 'op-4',
            'toConnector' => 'operand1'
        ),
        'link-567' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-266id',
            'toOperator' => 'op-266',
            'toConnector' => 'id'
        ),
        'link-568' => array(
            'from' => 'op-266entity',
            'fromOperator' => 'op-266',
            'fromConnector' => 'entity',
            'to' => 'op-267entity',
            'toOperator' => 'op-267',
            'toConnector' => 'entity'
        ),
        'link-573' => array(
            'from' => 'op-270entity',
            'fromOperator' => 'op-270',
            'fromConnector' => 'entity',
            'to' => 'op-271entity',
            'toOperator' => 'op-271',
            'toConnector' => 'entity'
        ),
        'link-626' => array(
            'from' => 'op-293result',
            'fromOperator' => 'op-293',
            'fromConnector' => 'result',
            'to' => 'op-11fields1',
            'toOperator' => 'op-11',
            'toConnector' => 'fields1'
        ),
        'link-652' => array(
            'from' => 'op-266controlFlow',
            'fromOperator' => 'op-266',
            'fromConnector' => 'controlFlow',
            'to' => 'op-296controlFlow',
            'toOperator' => 'op-296',
            'toConnector' => 'controlFlow'
        ),
        'link-654' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-296id',
            'toOperator' => 'op-296',
            'toConnector' => 'id'
        ),
        'link-655' => array(
            'from' => 'op-296entity',
            'fromOperator' => 'op-296',
            'fromConnector' => 'entity',
            'to' => 'op-297entity',
            'toOperator' => 'op-297',
            'toConnector' => 'entity'
        ),
        'link-1059' => array(
            'from' => 'op-423schema',
            'fromOperator' => 'op-423',
            'fromConnector' => 'schema',
            'to' => 'op-421schema',
            'toOperator' => 'op-421',
            'toConnector' => 'schema'
        ),
        'link-1060' => array(
            'from' => 'op-296controlFlow',
            'fromOperator' => 'op-296',
            'fromConnector' => 'controlFlow',
            'to' => 'op-421controlFlow',
            'toOperator' => 'op-421',
            'toConnector' => 'controlFlow'
        ),
        'link-1061' => array(
            'from' => 'op-421controlFlow',
            'fromOperator' => 'op-421',
            'fromConnector' => 'controlFlow',
            'to' => 'op-422controlFlow',
            'toOperator' => 'op-422',
            'toConnector' => 'controlFlow'
        ),
        'link-1063' => array(
            'from' => 'op-421structure',
            'fromOperator' => 'op-421',
            'fromConnector' => 'structure',
            'to' => 'op-422structure',
            'toOperator' => 'op-422',
            'toConnector' => 'structure'
        ),
        'link-1064' => array(
            'from' => 'op-422structure',
            'fromOperator' => 'op-422',
            'fromConnector' => 'structure',
            'to' => 'op-420structure',
            'toOperator' => 'op-420',
            'toConnector' => 'structure'
        ),
        'link-1065' => array(
            'from' => 'op-422controlFlow',
            'fromOperator' => 'op-422',
            'fromConnector' => 'controlFlow',
            'to' => 'op-420controlFlow',
            'toOperator' => 'op-420',
            'toConnector' => 'controlFlow'
        ),
        'link-1066' => array(
            'from' => 'op-420controlFlow',
            'fromOperator' => 'op-420',
            'fromConnector' => 'controlFlow',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-1067' => array(
            'from' => 'op-16result',
            'fromOperator' => 'op-16',
            'fromConnector' => 'result',
            'to' => 'op-422fields0',
            'toOperator' => 'op-422',
            'toConnector' => 'fields0'
        ),
        'link-1068' => array(
            'from' => 'op-297fields0',
            'fromOperator' => 'op-297',
            'fromConnector' => 'fields0',
            'to' => 'op-422fields1',
            'toOperator' => 'op-422',
            'toConnector' => 'fields1'
        ),
        'link-1069' => array(
            'from' => 'op-15result',
            'fromOperator' => 'op-15',
            'fromConnector' => 'result',
            'to' => 'op-422fields2',
            'toOperator' => 'op-422',
            'toConnector' => 'fields2'
        ),
        'link-1071' => array(
            'from' => 'op-424decorator',
            'fromOperator' => 'op-424',
            'fromConnector' => 'decorator',
            'to' => 'op-420decorator',
            'toOperator' => 'op-420',
            'toConnector' => 'decorator'
        ),
        'link-1072' => array(
            'from' => 'op-420structure',
            'fromOperator' => 'op-420',
            'fromConnector' => 'structure',
            'to' => 'op-13fields7',
            'toOperator' => 'op-13',
            'toConnector' => 'fields7'
        ),
        'link-1073' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-1093' => array(
            'from' => 'op-267fields0',
            'fromOperator' => 'op-267',
            'fromConnector' => 'fields0',
            'to' => 'op-435operand2',
            'toOperator' => 'op-435',
            'toConnector' => 'operand2'
        ),
        'link-1094' => array(
            'from' => 'op-435result',
            'fromOperator' => 'op-435',
            'fromConnector' => 'result',
            'to' => 'op-422fields3',
            'toOperator' => 'op-422',
            'toConnector' => 'fields3'
        ),
        'link-1095' => array(
            'from' => 'op-434result',
            'fromOperator' => 'op-434',
            'fromConnector' => 'result',
            'to' => 'op-435operand1',
            'toOperator' => 'op-435',
            'toConnector' => 'operand1'
        ),
        'link-1096' => array(
            'from' => 'op-433result',
            'fromOperator' => 'op-433',
            'fromConnector' => 'result',
            'to' => 'op-435operand3',
            'toOperator' => 'op-435',
            'toConnector' => 'operand3'
        ),
        'link-1243' => array(
            'from' => 'op-507result',
            'fromOperator' => 'op-507',
            'fromConnector' => 'result',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-1244' => array(
            'from' => 'op-4result',
            'fromOperator' => 'op-4',
            'fromConnector' => 'result',
            'to' => 'op-507operand2',
            'toOperator' => 'op-507',
            'toConnector' => 'operand2'
        ),
        'link-1245' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-508operand',
            'toOperator' => 'op-508',
            'toConnector' => 'operand'
        ),
        'link-1246' => array(
            'from' => 'op-508result',
            'fromOperator' => 'op-508',
            'fromConnector' => 'result',
            'to' => 'op-507operand1',
            'toOperator' => 'op-507',
            'toConnector' => 'operand1'
        ),
        'link-1253' => array(
            'from' => 'op-271fields0',
            'fromOperator' => 'op-271',
            'fromConnector' => 'fields0',
            'to' => 'op-18fields0',
            'toOperator' => 'op-18',
            'toConnector' => 'fields0'
        ),
        'link-1254' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-266controlFlow',
            'toOperator' => 'op-266',
            'toConnector' => 'controlFlow'
        ),
        'link-1255' => array(
            'from' => 'op-18structure',
            'fromOperator' => 'op-18',
            'fromConnector' => 'structure',
            'to' => 'op-13fields5',
            'toOperator' => 'op-13',
            'toConnector' => 'fields5'
        ),
    )
);
