<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Accounts',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'billing_address_city',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'account_type',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Account registered',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields10' => array(
                    'id' => 'fields10',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'City',
                                        'fields2' => 'Assigned to',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'City',
                                        'fields2' => 'Assigned to',
                                        ),
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'City',
                                        'fields2' => 'Assigned to',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'City',
                                        'fields2' => 'Assigned to',
                                        ),
                                    ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Description',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'City',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Assigned to',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'City',
                                        'fields2' => 'Assigned to',
                                        ),
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-251' => array(
            'id' => 'op-251',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-252' => array(
            'id' => 'op-252',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-300' => array(
            'id' => 'op-300',
            'type' => 'GetDropdownLabelOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'account_type_dom',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'label' => array(
                    'id' => 'label',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-309' => array(
            'id' => 'op-309',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-310' => array(
            'id' => 'op-310',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-311' => array(
            'id' => 'op-311',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Part1',
                                        'fields1' => 'type',
                                        'fields2' => 'part3',
                                        'fields3' => 'user',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Part1',
                                        'fields1' => 'type',
                                        'fields2' => 'part3',
                                        'fields3' => 'user',
                                        ),
                                    ),
            ),
        ),
        'op-312' => array(
            'id' => 'op-312',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Part1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'part3',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'user',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Part1',
                                        'fields1' => 'type',
                                        'fields2' => 'part3',
                                        'fields3' => 'user',
                                        ),
                                    ),
            ),
        ),
        'op-313' => array(
            'id' => 'op-313',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Part1',
                                        'fields1' => 'type',
                                        'fields2' => 'part3',
                                        'fields3' => 'user',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Part1',
                                        'fields1' => 'type',
                                        'fields2' => 'part3',
                                        'fields3' => 'user',
                                        ),
                                    ),
            ),
        ),
        'op-317' => array(
            'id' => 'op-317',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'New ',
                                    ),
            ),
        ),
        'op-318' => array(
            'id' => 'op-318',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' Account registered by ',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-6' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-8' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-9' => array(
            'from' => 'op-12result',
            'fromOperator' => 'op-12',
            'fromConnector' => 'result',
            'to' => 'op-11fields1',
            'toOperator' => 'op-11',
            'toConnector' => 'fields1'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-13entity',
            'toOperator' => 'op-13',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-13entity',
            'fromOperator' => 'op-13',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-20' => array(
            'from' => 'op-20schema',
            'fromOperator' => 'op-20',
            'fromConnector' => 'schema',
            'to' => 'op-19schema',
            'toOperator' => 'op-19',
            'toConnector' => 'schema'
        ),
        'link-21' => array(
            'from' => 'op-19structure',
            'fromOperator' => 'op-19',
            'fromConnector' => 'structure',
            'to' => 'op-18structure',
            'toOperator' => 'op-18',
            'toConnector' => 'structure'
        ),
        'link-22' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-28' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-11fields0',
            'toOperator' => 'op-11',
            'toConnector' => 'fields0'
        ),
        'link-31' => array(
            'from' => 'op-11singleEntity',
            'fromOperator' => 'op-11',
            'fromConnector' => 'singleEntity',
            'to' => 'op-22entity',
            'toOperator' => 'op-22',
            'toConnector' => 'entity'
        ),
        'link-513' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-529' => array(
            'from' => 'op-251entity',
            'fromOperator' => 'op-251',
            'fromConnector' => 'entity',
            'to' => 'op-252entity',
            'toOperator' => 'op-252',
            'toConnector' => 'entity'
        ),
        'link-672' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-18fields1',
            'toOperator' => 'op-18',
            'toConnector' => 'fields1'
        ),
        'link-677' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-300value',
            'toOperator' => 'op-300',
            'toConnector' => 'value'
        ),
        'link-686' => array(
            'from' => 'op-22fields0',
            'fromOperator' => 'op-22',
            'fromConnector' => 'fields0',
            'to' => 'op-13fields0',
            'toOperator' => 'op-13',
            'toConnector' => 'fields0'
        ),
        'link-689' => array(
            'from' => 'op-2fields4',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields4',
            'to' => 'op-13fields7',
            'toOperator' => 'op-13',
            'toConnector' => 'fields7'
        ),
        'link-697' => array(
            'from' => 'op-310entity',
            'fromOperator' => 'op-310',
            'fromConnector' => 'entity',
            'to' => 'op-309entity',
            'toOperator' => 'op-309',
            'toConnector' => 'entity'
        ),
        'link-701' => array(
            'from' => 'op-2fields2',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields2',
            'to' => 'op-310id',
            'toOperator' => 'op-310',
            'toConnector' => 'id'
        ),
        'link-702' => array(
            'from' => 'op-309fields0',
            'fromOperator' => 'op-309',
            'fromConnector' => 'fields0',
            'to' => 'op-18fields3',
            'toOperator' => 'op-18',
            'toConnector' => 'fields3'
        ),
        'link-703' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-310controlFlow',
            'toOperator' => 'op-310',
            'toConnector' => 'controlFlow'
        ),
        'link-704' => array(
            'from' => 'op-310controlFlow',
            'fromOperator' => 'op-310',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-821' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-13fields5',
            'toOperator' => 'op-13',
            'toConnector' => 'fields5'
        ),
        'link-823' => array(
            'from' => 'op-311structure',
            'fromOperator' => 'op-311',
            'fromConnector' => 'structure',
            'to' => 'op-313structure',
            'toOperator' => 'op-313',
            'toConnector' => 'structure'
        ),
        'link-824' => array(
            'from' => 'op-312schema',
            'fromOperator' => 'op-312',
            'fromConnector' => 'schema',
            'to' => 'op-311schema',
            'toOperator' => 'op-311',
            'toConnector' => 'schema'
        ),
        'link-826' => array(
            'from' => 'op-311controlFlow',
            'fromOperator' => 'op-311',
            'fromConnector' => 'controlFlow',
            'to' => 'op-313controlFlow',
            'toOperator' => 'op-313',
            'toConnector' => 'controlFlow'
        ),
        'link-828' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-311controlFlow',
            'toOperator' => 'op-311',
            'toConnector' => 'controlFlow'
        ),
        'link-830' => array(
            'from' => 'op-317result',
            'fromOperator' => 'op-317',
            'fromConnector' => 'result',
            'to' => 'op-313fields0',
            'toOperator' => 'op-313',
            'toConnector' => 'fields0'
        ),
        'link-831' => array(
            'from' => 'op-318result',
            'fromOperator' => 'op-318',
            'fromConnector' => 'result',
            'to' => 'op-313fields2',
            'toOperator' => 'op-313',
            'toConnector' => 'fields2'
        ),
        'link-832' => array(
            'from' => 'op-252fields0',
            'fromOperator' => 'op-252',
            'fromConnector' => 'fields0',
            'to' => 'op-313fields3',
            'toOperator' => 'op-313',
            'toConnector' => 'fields3'
        ),
        'link-992' => array(
            'from' => 'op-313structure',
            'fromOperator' => 'op-313',
            'fromConnector' => 'structure',
            'to' => 'op-13fields10',
            'toOperator' => 'op-13',
            'toConnector' => 'fields10'
        ),
        'link-993' => array(
            'from' => 'op-313controlFlow',
            'fromOperator' => 'op-313',
            'fromConnector' => 'controlFlow',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-994' => array(
            'from' => 'op-300label',
            'fromOperator' => 'op-300',
            'fromConnector' => 'label',
            'to' => 'op-313fields1',
            'toOperator' => 'op-313',
            'toConnector' => 'fields1'
        ),
        'link-995' => array(
            'from' => 'op-2fields3',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields3',
            'to' => 'op-18fields0',
            'toOperator' => 'op-18',
            'toConnector' => 'fields0'
        ),
        'link-996' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-997' => array(
            'from' => 'op-18structure',
            'fromOperator' => 'op-18',
            'fromConnector' => 'structure',
            'to' => 'op-13fields6',
            'toOperator' => 'op-13',
            'toConnector' => 'fields6'
        ),
    )
);
