<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd07ff094ee76_61662613/operators/FlowchartOperator_lb5bd07ff094ee76_61662613.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd07ff094ee76_61662613/helpers/LinkHelper_lb5bd07ff094ee76_61662613.php';

class GetLinkToModuleOperator_lb5bd07ff094ee76_61662613 extends FlowchartOperator_lb5bd07ff094ee76_61662613{

    protected $moduleName;
    protected $recordId;
    protected $link;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPorts($params){

        if(!empty($params['inDataPorts']['module']['value']))
            $this->moduleName = $params['inDataPorts']['module']['value'];

        parent::setInDataPorts($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'module'){
            $this->moduleName = $value;
        }else if($id == 'id'){
            $this->recordId = $value;
        }
    }

    public function process($params = array()){
        $this->link = $this->getSugarUrl();
        if(!empty($this->moduleName))
            $this->link .= '/#'.$this->moduleName;
        if(!empty($this->recordId))
            $this->link .= '/'.$this->recordId;
    }

    public function getOutDataByPortId($portId){
        return $this->link;
    }

    protected function getSugarUrl()
    {
        return LinkHelper_lb5bd07ff094ee76_61662613::getSugarUrl();
    }

}
