<?php

class FlowchartStructures_lb5bd080063cc023_61737820{

    protected $keyMap = array();
    protected $schema = array();

    public function __construct($schema = array()){
        $this->setSchema($schema);
    }

    public function setSchema($schema){
        foreach($schema as $systemKey => $userKey){
            $this->keyMap[$systemKey] = $userKey;
            $this->schema[$userKey] = null;
        }
    }

    public function getSchema(){
        return $this->schema;
    }

    public function setSchemaValue($systemKey, $value){
        $key = $this->keyMap[$systemKey];

        if(!empty($key)){
            if(is_array($value)){
                if(!empty($value['collectionData'])){
                    $this->setSchemaValue($systemKey, $value['collectionData']);
                }else
                    $this->schema[$key]['list'] = $value;

            }elseif($value instanceof FlowchartStructures_lb5bd080063cc023_61737820){
                $this->schema[$key]['structure'] = $value;
            }else{
                $this->schema[$key]['text'] = $value;
            }
        }
    }

    public function setDirtySchemaValue($systemKey, $value){
        $key = $this->keyMap[$systemKey];

        if(!empty($key)){
            $this->schema[$key]['text'] = $value;
        }
    }

    public function getSchemaSystemKey($key){
        return array_search($key, $this->keyMap);
    }

    public function getSchemaValue($systemKey){
        $key = $this->keyMap[$systemKey];
        return $this->schema[$key]['text'];
    }

    public function addDecoration($systemKey, $decorator){
        $key = $this->keyMap[$systemKey];
        $this->schema[$key] = array_merge($this->schema[$key], $decorator);
    }

    public function getArray($schema = array()){
        $result = array();
        $schema = (empty($schema) ? $this->schema : $schema);
        foreach($schema as $key => $item){
            if(!empty($item['list'])){

                foreach($item['list'] as $subKey => $subItem){
                    if($subItem instanceof FlowchartStructures_lb5bd080063cc023_61737820)
                        $result[$key][$subKey] = $this->getArray($subItem);
                    else
                        $result[$key][$subKey] = $subItem;
                }

            }else if(!empty($item['structure'])){
                $result[$key] = $this->getArray($item['structure']);
            }else{
                $result[$key] = $item['text'];
            }
        }
        return $result;
    }

}
