<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0800cf065d0_93356080/operators/FlowchartOperator_lb5bd0800cf065d0_93356080.php';

class GetDropdownLabelOperator_lb5bd0800cf065d0_93356080 extends FlowchartOperator_lb5bd0800cf065d0_93356080{

    protected $dropdownName;
    protected $dropdownValue;

    protected $label;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPorts($params){

        if(!empty($params['inDataPorts']['dropdownName']['value']))
        $this->dropdownName = $params['inDataPorts']['dropdownName']['value'];

        if(!empty($params['inDataPorts']['value']['value']))
            $this->dropdownValue = $params['inDataPorts']['value']['value'];

        $this->inDataPorts = array(
            'dropdownName' => array('id' => 'dropdownName'),
            'value' => array('id' => 'value')
        );
    }

    public function setInDataPortById($id, $value){
        if($id == 'dropdownName'){
            $this->dropdownName = $value;
        }elseif($id == 'value'){
            $this->dropdownValue = $value;
        }elseif(!empty($this->inDataPorts[$id])){
            $this->inDataPorts[$id]['value'] = $value;
        }
    }

    public function process($params = array()){
        global $app_list_strings;

        $this->label = '';
        if(!empty($app_list_strings[$this->dropdownName]) && !empty($app_list_strings[$this->dropdownName][$this->dropdownValue])){
            $this->label = $app_list_strings[$this->dropdownName][$this->dropdownValue];
        }
        else{
            $this->label = $this->dropdownValue;
        }
    }

    public function getOutDataByPortId($portId){
        return $this->label;
    }

}
