<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd080289349f3_58575389/operators/FlowchartOperator_lb5bd080289349f3_58575389.php';

class LogOperator_lb5bd080289349f3_58575389 extends FlowchartOperator_lb5bd080289349f3_58575389{

    protected $logLevel;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPorts($params){
        parent::setInDataPorts($params);

        $this->logLevel = $this->inDataPorts['logLevel']['value'];
    }

    public function setInDataPortById($id, $value){
        if($id == 'logLevel')
            $this->logLevel = $value;
        else{
            $this->logData($value);
        }
    }

    protected function logData($val){
        switch($this->logLevel){
            case 'debug':
                $GLOBALS['log']->debug(print_r($val, true));
                break;
            case 'info':
                $GLOBALS['log']->info(print_r($val, true));
                break;
            case 'warning':
                $GLOBALS['log']->warning(print_r($val, true));
                break;
            case 'fatal':
                $GLOBALS['log']->fatal(print_r($val, true));
                break;
            case 'error':
            default:
                $GLOBALS['log']->error(print_r($val, true));
                break;
        }
    }

}
