<?php
$operatorMeta = array(
    'operators' => array(
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields4',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields5',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Contact',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Title',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'Account',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'Assigned User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-252' => array(
            'id' => 'op-252',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-253' => array(
            'id' => 'op-253',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
            ),
        ),
        'op-254' => array(
            'id' => 'op-254',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-283' => array(
            'id' => 'op-283',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-284' => array(
            'id' => 'op-284',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'full_name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-300' => array(
            'id' => 'op-300',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Contact left the company',
                                    ),
            ),
        ),
        'op-508' => array(
            'id' => 'op-508',
            'type' => 'GetHtmlTextFromTemplateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'templateName' => array(
                    'id' => 'templateName',
                                        'value' => 'd01c36ea-b571-11e7-967b-000c29076836',
                                    ),
                'parameters0' => array(
                    'id' => 'parameters0',
                                        'value' => 'context_field_4',
                                        'section' => 'parameters',
                ),
                'parameters3' => array(
                    'id' => 'parameters3',
                                        'value' => 'context_field_5',
                                        'section' => 'parameters',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-1705' => array(
            'id' => 'op-1705',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'full_name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'title',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-1706' => array(
            'id' => 'op-1706',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-1707' => array(
            'id' => 'op-1707',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields4',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        'fields1' => 'Title',
                                        'fields4' => 'Account',
                                        'fields5' => 'Assigned User',
                                        ),
                                    ),
            ),
        ),
        'op-1708' => array(
            'id' => 'op-1708',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-1709' => array(
            'id' => 'op-1709',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-1724' => array(
            'id' => 'op-1724',
            'type' => 'OnLinkChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectModule' => array(
                    'id' => 'objectModule',
                                        'value' => 'Accounts',
                                    ),
                'subjectModule' => array(
                    'id' => 'subjectModule',
                                        'value' => 'Contacts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'contacts',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'before_relationship_delete',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Accounts',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-1725' => array(
            'id' => 'op-1725',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-1726' => array(
            'id' => 'op-1726',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-1727' => array(
            'id' => 'op-1727',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-1729' => array(
            'id' => 'op-1729',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-1730' => array(
            'id' => 'op-1730',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-1731' => array(
            'id' => 'op-1731',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-1732' => array(
            'id' => 'op-1732',
            'type' => 'GetHtmlTextFromTemplateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'templateName' => array(
                    'id' => 'templateName',
                                        'value' => 'c0395066-b402-11e7-8d32-0211b31cacdf',
                                    ),
                'parameters0' => array(
                    'id' => 'parameters0',
                                        'value' => 'context_field_3',
                                        'section' => 'parameters',
                ),
                'parameters1' => array(
                    'id' => 'parameters1',
                                        'value' => 'context_field_6',
                                        'section' => 'parameters',
                ),
                'parameters2' => array(
                    'id' => 'parameters2',
                                        'value' => 'context_field_7',
                                        'section' => 'parameters',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-1733' => array(
            'id' => 'op-1733',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Opportunities',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-1736' => array(
            'id' => 'op-1736',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-1738' => array(
            'id' => 'op-1738',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-1739' => array(
            'id' => 'op-1739',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-1740' => array(
            'id' => 'op-1740',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-1741' => array(
            'id' => 'op-1741',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-1742' => array(
            'id' => 'op-1742',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-1743' => array(
            'id' => 'op-1743',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-1744' => array(
            'id' => 'op-1744',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-1746' => array(
            'id' => 'op-1746',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-1747' => array(
            'id' => 'op-1747',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-1926' => array(
            'id' => 'op-1926',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-1927' => array(
            'id' => 'op-1927',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-8' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-13entity',
            'toOperator' => 'op-13',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-13entity',
            'fromOperator' => 'op-13',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-20' => array(
            'from' => 'op-20schema',
            'fromOperator' => 'op-20',
            'fromConnector' => 'schema',
            'to' => 'op-19schema',
            'toOperator' => 'op-19',
            'toConnector' => 'schema'
        ),
        'link-21' => array(
            'from' => 'op-19structure',
            'fromOperator' => 'op-19',
            'fromConnector' => 'structure',
            'to' => 'op-18structure',
            'toOperator' => 'op-18',
            'toConnector' => 'structure'
        ),
        'link-22' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-28' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-11fields0',
            'toOperator' => 'op-11',
            'toConnector' => 'fields0'
        ),
        'link-29' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-13fields6',
            'toOperator' => 'op-13',
            'toConnector' => 'fields6'
        ),
        'link-31' => array(
            'from' => 'op-11singleEntity',
            'fromOperator' => 'op-11',
            'fromConnector' => 'singleEntity',
            'to' => 'op-22entity',
            'toOperator' => 'op-22',
            'toConnector' => 'entity'
        ),
        'link-32' => array(
            'from' => 'op-22fields0',
            'fromOperator' => 'op-22',
            'fromConnector' => 'fields0',
            'to' => 'op-13fields8',
            'toOperator' => 'op-13',
            'toConnector' => 'fields8'
        ),
        'link-530' => array(
            'from' => 'op-254link',
            'fromOperator' => 'op-254',
            'fromConnector' => 'link',
            'to' => 'op-252link',
            'toOperator' => 'op-252',
            'toConnector' => 'link'
        ),
        'link-531' => array(
            'from' => 'op-252decorator',
            'fromOperator' => 'op-252',
            'fromConnector' => 'decorator',
            'to' => 'op-253decorator',
            'toOperator' => 'op-253',
            'toConnector' => 'decorator'
        ),
        'link-532' => array(
            'from' => 'op-18structure',
            'fromOperator' => 'op-18',
            'fromConnector' => 'structure',
            'to' => 'op-253structure',
            'toOperator' => 'op-253',
            'toConnector' => 'structure'
        ),
        'link-533' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-253controlFlow',
            'toOperator' => 'op-253',
            'toConnector' => 'controlFlow'
        ),
        'link-649' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-674' => array(
            'from' => 'op-283entity',
            'fromOperator' => 'op-283',
            'fromConnector' => 'entity',
            'to' => 'op-284entity',
            'toOperator' => 'op-284',
            'toConnector' => 'entity'
        ),
        'link-691' => array(
            'from' => 'op-283controlFlow',
            'fromOperator' => 'op-283',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-692' => array(
            'from' => 'op-300result',
            'fromOperator' => 'op-300',
            'fromConnector' => 'result',
            'to' => 'op-11fields1',
            'toOperator' => 'op-11',
            'toConnector' => 'fields1'
        ),
        'link-1234' => array(
            'from' => 'op-508result',
            'fromOperator' => 'op-508',
            'fromConnector' => 'result',
            'to' => 'op-13fields7',
            'toOperator' => 'op-13',
            'toConnector' => 'fields7'
        ),
        'link-3532' => array(
            'from' => 'op-284fields0',
            'fromOperator' => 'op-284',
            'fromConnector' => 'fields0',
            'to' => 'op-18fields3',
            'toOperator' => 'op-18',
            'toConnector' => 'fields3'
        ),
        'link-3534' => array(
            'from' => 'op-1705fields0',
            'fromOperator' => 'op-1705',
            'fromConnector' => 'fields0',
            'to' => 'op-283id',
            'toOperator' => 'op-283',
            'toConnector' => 'id'
        ),
        'link-3535' => array(
            'from' => 'op-1705fields1',
            'fromOperator' => 'op-1705',
            'fromConnector' => 'fields1',
            'to' => 'op-18fields0',
            'toOperator' => 'op-18',
            'toConnector' => 'fields0'
        ),
        'link-3536' => array(
            'from' => 'op-1705fields2',
            'fromOperator' => 'op-1705',
            'fromConnector' => 'fields2',
            'to' => 'op-18fields1',
            'toOperator' => 'op-18',
            'toConnector' => 'fields1'
        ),
        'link-3538' => array(
            'from' => 'op-1706fields0',
            'fromOperator' => 'op-1706',
            'fromConnector' => 'fields0',
            'to' => 'op-18fields2',
            'toOperator' => 'op-18',
            'toConnector' => 'fields2'
        ),
        'link-3539' => array(
            'from' => 'op-253controlFlow',
            'fromOperator' => 'op-253',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1707controlFlow',
            'toOperator' => 'op-1707',
            'toConnector' => 'controlFlow'
        ),
        'link-3541' => array(
            'from' => 'op-1708decorator',
            'fromOperator' => 'op-1708',
            'fromConnector' => 'decorator',
            'to' => 'op-1707decorator',
            'toOperator' => 'op-1707',
            'toConnector' => 'decorator'
        ),
        'link-3542' => array(
            'from' => 'op-1709link',
            'fromOperator' => 'op-1709',
            'fromConnector' => 'link',
            'to' => 'op-1708link',
            'toOperator' => 'op-1708',
            'toConnector' => 'link'
        ),
        'link-3543' => array(
            'from' => 'op-1705fields3',
            'fromOperator' => 'op-1705',
            'fromConnector' => 'fields3',
            'to' => 'op-254id',
            'toOperator' => 'op-254',
            'toConnector' => 'id'
        ),
        'link-3544' => array(
            'from' => 'op-1706fields1',
            'fromOperator' => 'op-1706',
            'fromConnector' => 'fields1',
            'to' => 'op-1709id',
            'toOperator' => 'op-1709',
            'toConnector' => 'id'
        ),
        'link-3545' => array(
            'from' => 'op-1707controlFlow',
            'fromOperator' => 'op-1707',
            'fromConnector' => 'controlFlow',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-3546' => array(
            'from' => 'op-253structure',
            'fromOperator' => 'op-253',
            'fromConnector' => 'structure',
            'to' => 'op-1707structure',
            'toOperator' => 'op-1707',
            'toConnector' => 'structure'
        ),
        'link-3547' => array(
            'from' => 'op-1707structure',
            'fromOperator' => 'op-1707',
            'fromConnector' => 'structure',
            'to' => 'op-13fields5',
            'toOperator' => 'op-13',
            'toConnector' => 'fields5'
        ),
        'link-3553' => array(
            'from' => 'op-1705fields3',
            'fromOperator' => 'op-1705',
            'fromConnector' => 'fields3',
            'to' => 'op-13fields0',
            'toOperator' => 'op-13',
            'toConnector' => 'fields0'
        ),
        'link-3583' => array(
            'from' => 'op-1724subjectEntity',
            'fromOperator' => 'op-1724',
            'fromConnector' => 'subjectEntity',
            'to' => 'op-1705entity',
            'toOperator' => 'op-1705',
            'toConnector' => 'entity'
        ),
        'link-3584' => array(
            'from' => 'op-1724objectEntity',
            'fromOperator' => 'op-1724',
            'fromConnector' => 'objectEntity',
            'to' => 'op-1706entity',
            'toOperator' => 'op-1706',
            'toConnector' => 'entity'
        ),
        'link-3585' => array(
            'from' => 'op-1724controlFlow',
            'fromOperator' => 'op-1724',
            'fromConnector' => 'controlFlow',
            'to' => 'op-283controlFlow',
            'toOperator' => 'op-283',
            'toConnector' => 'controlFlow'
        ),
        'link-3589' => array(
            'from' => 'op-14controlFlow',
            'fromOperator' => 'op-14',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1725controlFlow',
            'toOperator' => 'op-1725',
            'toConnector' => 'controlFlow'
        ),
        'link-3590' => array(
            'from' => 'op-1725controlFlow',
            'fromOperator' => 'op-1725',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1726controlFlow',
            'toOperator' => 'op-1726',
            'toConnector' => 'controlFlow'
        ),
        'link-3591' => array(
            'from' => 'op-1727dropdownValue',
            'fromOperator' => 'op-1727',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-1726fields0',
            'toOperator' => 'op-1726',
            'toConnector' => 'fields0'
        ),
        'link-3593' => array(
            'from' => 'op-1726singleEntity',
            'fromOperator' => 'op-1726',
            'fromConnector' => 'singleEntity',
            'to' => 'op-1729entity',
            'toOperator' => 'op-1729',
            'toConnector' => 'entity'
        ),
        'link-3594' => array(
            'from' => 'op-1726controlFlow',
            'fromOperator' => 'op-1726',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1730controlFlow',
            'toOperator' => 'op-1730',
            'toConnector' => 'controlFlow'
        ),
        'link-3595' => array(
            'from' => 'op-1725entity',
            'fromOperator' => 'op-1725',
            'fromConnector' => 'entity',
            'to' => 'op-1730entity',
            'toOperator' => 'op-1730',
            'toConnector' => 'entity'
        ),
        'link-3596' => array(
            'from' => 'op-1730controlFlow',
            'fromOperator' => 'op-1730',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1731controlFlow',
            'toOperator' => 'op-1731',
            'toConnector' => 'controlFlow'
        ),
        'link-3597' => array(
            'from' => 'op-1730entity',
            'fromOperator' => 'op-1730',
            'fromConnector' => 'entity',
            'to' => 'op-1731entity',
            'toOperator' => 'op-1731',
            'toConnector' => 'entity'
        ),
        'link-3598' => array(
            'from' => 'op-1727dropdownValue',
            'fromOperator' => 'op-1727',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-1730fields2',
            'toOperator' => 'op-1730',
            'toConnector' => 'fields2'
        ),
        'link-3599' => array(
            'from' => 'op-1729fields0',
            'fromOperator' => 'op-1729',
            'fromConnector' => 'fields0',
            'to' => 'op-1730fields4',
            'toOperator' => 'op-1730',
            'toConnector' => 'fields4'
        ),
        'link-3600' => array(
            'from' => 'op-1706fields0',
            'fromOperator' => 'op-1706',
            'fromConnector' => 'fields0',
            'to' => 'op-1732parameters0',
            'toOperator' => 'op-1732',
            'toConnector' => 'parameters0'
        ),
        'link-3601' => array(
            'from' => 'op-1705fields1',
            'fromOperator' => 'op-1705',
            'fromConnector' => 'fields1',
            'to' => 'op-1732parameters1',
            'toOperator' => 'op-1732',
            'toConnector' => 'parameters1'
        ),
        'link-3602' => array(
            'from' => 'op-1732result',
            'fromOperator' => 'op-1732',
            'fromConnector' => 'result',
            'to' => 'op-1730fields3',
            'toOperator' => 'op-1730',
            'toConnector' => 'fields3'
        ),
        'link-3603' => array(
            'from' => 'op-1707structure',
            'fromOperator' => 'op-1707',
            'fromConnector' => 'structure',
            'to' => 'op-1730fields1',
            'toOperator' => 'op-1730',
            'toConnector' => 'fields1'
        ),
        'link-3604' => array(
            'from' => 'op-1706fields1',
            'fromOperator' => 'op-1706',
            'fromConnector' => 'fields1',
            'to' => 'op-1730fields0',
            'toOperator' => 'op-1730',
            'toConnector' => 'fields0'
        ),
        'link-3606' => array(
            'from' => 'op-1706fields0',
            'fromOperator' => 'op-1706',
            'fromConnector' => 'fields0',
            'to' => 'op-508parameters0',
            'toOperator' => 'op-508',
            'toConnector' => 'parameters0'
        ),
        'link-3608' => array(
            'from' => 'op-300result',
            'fromOperator' => 'op-300',
            'fromConnector' => 'result',
            'to' => 'op-1726fields1',
            'toOperator' => 'op-1726',
            'toConnector' => 'fields1'
        ),
        'link-3609' => array(
            'from' => 'op-1731controlFlow',
            'fromOperator' => 'op-1731',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1733controlFlow',
            'toOperator' => 'op-1733',
            'toConnector' => 'controlFlow'
        ),
        'link-3611' => array(
            'from' => 'op-1733controlFlow',
            'fromOperator' => 'op-1733',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1736controlFlow',
            'toOperator' => 'op-1736',
            'toConnector' => 'controlFlow'
        ),
        'link-3612' => array(
            'from' => 'op-1733entities',
            'fromOperator' => 'op-1733',
            'fromConnector' => 'entities',
            'to' => 'op-1736entities',
            'toOperator' => 'op-1736',
            'toConnector' => 'entities'
        ),
        'link-3616' => array(
            'from' => 'op-1738controlFlow',
            'fromOperator' => 'op-1738',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1740controlFlow',
            'toOperator' => 'op-1740',
            'toConnector' => 'controlFlow'
        ),
        'link-3617' => array(
            'from' => 'op-1739dropdownValue',
            'fromOperator' => 'op-1739',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-1740fields0',
            'toOperator' => 'op-1740',
            'toConnector' => 'fields0'
        ),
        'link-3618' => array(
            'from' => 'op-300result',
            'fromOperator' => 'op-300',
            'fromConnector' => 'result',
            'to' => 'op-1740fields1',
            'toOperator' => 'op-1740',
            'toConnector' => 'fields1'
        ),
        'link-3619' => array(
            'from' => 'op-1740singleEntity',
            'fromOperator' => 'op-1740',
            'fromConnector' => 'singleEntity',
            'to' => 'op-1741entity',
            'toOperator' => 'op-1741',
            'toConnector' => 'entity'
        ),
        'link-3620' => array(
            'from' => 'op-1740controlFlow',
            'fromOperator' => 'op-1740',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1742controlFlow',
            'toOperator' => 'op-1742',
            'toConnector' => 'controlFlow'
        ),
        'link-3621' => array(
            'from' => 'op-1738entity',
            'fromOperator' => 'op-1738',
            'fromConnector' => 'entity',
            'to' => 'op-1742entity',
            'toOperator' => 'op-1742',
            'toConnector' => 'entity'
        ),
        'link-3622' => array(
            'from' => 'op-1739dropdownValue',
            'fromOperator' => 'op-1739',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-1742fields2',
            'toOperator' => 'op-1742',
            'toConnector' => 'fields2'
        ),
        'link-3623' => array(
            'from' => 'op-1736entity',
            'fromOperator' => 'op-1736',
            'fromConnector' => 'entity',
            'to' => 'op-1743entity',
            'toOperator' => 'op-1743',
            'toConnector' => 'entity'
        ),
        'link-3624' => array(
            'from' => 'op-1743fields0',
            'fromOperator' => 'op-1743',
            'fromConnector' => 'fields0',
            'to' => 'op-1742fields0',
            'toOperator' => 'op-1742',
            'toConnector' => 'fields0'
        ),
        'link-3625' => array(
            'from' => 'op-1707structure',
            'fromOperator' => 'op-1707',
            'fromConnector' => 'structure',
            'to' => 'op-1742fields1',
            'toOperator' => 'op-1742',
            'toConnector' => 'fields1'
        ),
        'link-3626' => array(
            'from' => 'op-1741fields0',
            'fromOperator' => 'op-1741',
            'fromConnector' => 'fields0',
            'to' => 'op-1742fields4',
            'toOperator' => 'op-1742',
            'toConnector' => 'fields4'
        ),
        'link-3627' => array(
            'from' => 'op-1732result',
            'fromOperator' => 'op-1732',
            'fromConnector' => 'result',
            'to' => 'op-1742fields3',
            'toOperator' => 'op-1742',
            'toConnector' => 'fields3'
        ),
        'link-3628' => array(
            'from' => 'op-1742controlFlow',
            'fromOperator' => 'op-1742',
            'fromConnector' => 'controlFlow',
            'to' => 'op-1744controlFlow',
            'toOperator' => 'op-1744',
            'toConnector' => 'controlFlow'
        ),
        'link-3629' => array(
            'from' => 'op-1742entity',
            'fromOperator' => 'op-1742',
            'fromConnector' => 'entity',
            'to' => 'op-1744entity',
            'toOperator' => 'op-1744',
            'toConnector' => 'entity'
        ),
        'link-3632' => array(
            'from' => 'op-1724subjectEntity',
            'fromOperator' => 'op-1724',
            'fromConnector' => 'subjectEntity',
            'to' => 'op-1733entity',
            'toOperator' => 'op-1733',
            'toConnector' => 'entity'
        ),
        'link-3633' => array(
            'from' => 'op-1743fields1',
            'fromOperator' => 'op-1743',
            'fromConnector' => 'fields1',
            'to' => 'op-1747operand2',
            'toOperator' => 'op-1747',
            'toConnector' => 'operand2'
        ),
        'link-3634' => array(
            'from' => 'op-1747result',
            'fromOperator' => 'op-1747',
            'fromConnector' => 'result',
            'to' => 'op-1746condition',
            'toOperator' => 'op-1746',
            'toConnector' => 'condition'
        ),
        'link-3635' => array(
            'from' => 'op-1706fields1',
            'fromOperator' => 'op-1706',
            'fromConnector' => 'fields1',
            'to' => 'op-1747operand1',
            'toOperator' => 'op-1747',
            'toConnector' => 'operand1'
        ),
        'link-3636' => array(
            'from' => 'op-1736controlFlowLoopBody',
            'fromOperator' => 'op-1736',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-1746controlFlow',
            'toOperator' => 'op-1746',
            'toConnector' => 'controlFlow'
        ),
        'link-3637' => array(
            'from' => 'op-1746controlFlowIfTrue',
            'fromOperator' => 'op-1746',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-1738controlFlow',
            'toOperator' => 'op-1738',
            'toConnector' => 'controlFlow'
        ),
        'link-4044' => array(
            'from' => 'op-1926link',
            'fromOperator' => 'op-1926',
            'fromConnector' => 'link',
            'to' => 'op-1732parameters2',
            'toOperator' => 'op-1732',
            'toConnector' => 'parameters2'
        ),
        'link-4045' => array(
            'from' => 'op-1705fields3',
            'fromOperator' => 'op-1705',
            'fromConnector' => 'fields3',
            'to' => 'op-1926id',
            'toOperator' => 'op-1926',
            'toConnector' => 'id'
        ),
        'link-4046' => array(
            'from' => 'op-1927link',
            'fromOperator' => 'op-1927',
            'fromConnector' => 'link',
            'to' => 'op-508parameters3',
            'toOperator' => 'op-508',
            'toConnector' => 'parameters3'
        ),
        'link-4047' => array(
            'from' => 'op-1706fields1',
            'fromOperator' => 'op-1706',
            'fromConnector' => 'fields1',
            'to' => 'op-1927id',
            'toOperator' => 'op-1927',
            'toConnector' => 'id'
        ),
    )
);
