<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd080452ec3e9_77319669/operators/FlowchartOperator_lb5bd080452ec3e9_77319669.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd080452ec3e9_77319669/dataStorage/CollectionStorage_lb5bd080452ec3e9_77319669.php';

class AddElementToCollectionOperator_lb5bd080452ec3e9_77319669 extends FlowchartOperator_lb5bd080452ec3e9_77319669{

    protected $collectionId = array();
    protected $newElement = null;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'collection'){
            $this->collectionId = $value['collectionId'];
        }else if($id == 'element')
            $this->newElement = $value;
        }

    public function process($params = array()){
        CollectionStorage_lb5bd080452ec3e9_77319669::addElement($this->collectionId, $this->newElement);
        unset($this->newElement);
    }

    public function getOutDataByPortId($portId){
        return array(
            'collectionId' => $this->collectionId,
            'collectionData' => CollectionStorage_lb5bd080452ec3e9_77319669::getCollection($this->collectionId)
        );
    }

}
