<?php
$operatorMeta = array(
    'operators' => array(
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'action_date',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Call ',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'GetEntityFieldsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'object' => array(
                    'id' => 'object',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-57' => array(
            'id' => 'op-57',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Calls',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Calls',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-59' => array(
            'id' => 'op-59',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'date_start',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'direction',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-60' => array(
            'id' => 'op-60',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-62' => array(
            'id' => 'op-62',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-63' => array(
            'id' => 'op-63',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'meeting_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Held',
                                    ),
            ),
        ),
        'op-64' => array(
            'id' => 'op-64',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-65' => array(
            'id' => 'op-65',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-66' => array(
            'id' => 'op-66',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-68' => array(
            'id' => 'op-68',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'leads',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Leads',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Leads',
                                    ),
            ),
        ),
        'op-69' => array(
            'id' => 'op-69',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
        ),
        'op-95' => array(
            'id' => 'op-95',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Leads',
                                    ),
            ),
        ),
        'op-97' => array(
            'id' => 'op-97',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'contact_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-268' => array(
            'id' => 'op-268',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-269' => array(
            'id' => 'op-269',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'type',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-270' => array(
            'id' => 'op-270',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'type',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-271' => array(
            'id' => 'op-271',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'type',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-272' => array(
            'id' => 'op-272',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'call_direction_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Inbound',
                                    ),
            ),
        ),
        'op-273' => array(
            'id' => 'op-273',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-274' => array(
            'id' => 'op-274',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Lead Inbound Call held',
                                    ),
            ),
        ),
        'op-275' => array(
            'id' => 'op-275',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Lead Outbound Call held',
                                    ),
            ),
        ),
        'op-280' => array(
            'id' => 'op-280',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-302' => array(
            'id' => 'op-302',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-303' => array(
            'id' => 'op-303',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-400' => array(
            'id' => 'op-400',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-401' => array(
            'id' => 'op-401',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-402' => array(
            'id' => 'op-402',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Call',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-404' => array(
            'id' => 'op-404',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Calls',
                                    ),
            ),
        ),
        'op-405' => array(
            'id' => 'op-405',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-514' => array(
            'id' => 'op-514',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-515' => array(
            'id' => 'op-515',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-516' => array(
            'id' => 'op-516',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Description',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-521' => array(
            'id' => 'op-521',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-522' => array(
            'id' => 'op-522',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-523' => array(
            'id' => 'op-523',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' by ',
                                    ),
            ),
        ),
        'op-524' => array(
            'id' => 'op-524',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Calls',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-525' => array(
            'id' => 'op-525',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-526' => array(
            'id' => 'op-526',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-527' => array(
            'id' => 'op-527',
            'type' => 'ConstantNullOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-528' => array(
            'id' => 'op-528',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-529' => array(
            'id' => 'op-529',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-530' => array(
            'id' => 'op-530',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-531' => array(
            'id' => 'op-531',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-532' => array(
            'id' => 'op-532',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-533' => array(
            'id' => 'op-533',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-534' => array(
            'id' => 'op-534',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-535' => array(
            'id' => 'op-535',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-536' => array(
            'id' => 'op-536',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-537' => array(
            'id' => 'op-537',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-538' => array(
            'id' => 'op-538',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-541' => array(
            'id' => 'op-541',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-542' => array(
            'id' => 'op-542',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'action_date',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-543' => array(
            'id' => 'op-543',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'action_date',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-544' => array(
            'id' => 'op-544',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Leads',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-31' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-19entity',
            'toOperator' => 'op-19',
            'toConnector' => 'entity'
        ),
        'link-41' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-25controlFlow',
            'toOperator' => 'op-25',
            'toConnector' => 'controlFlow'
        ),
        'link-42' => array(
            'from' => 'op-19entity',
            'fromOperator' => 'op-19',
            'fromConnector' => 'entity',
            'to' => 'op-25entity',
            'toOperator' => 'op-25',
            'toConnector' => 'entity'
        ),
        'link-101' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-47controlFlow',
            'toOperator' => 'op-47',
            'toConnector' => 'controlFlow'
        ),
        'link-102' => array(
            'from' => 'op-47controlFlow',
            'fromOperator' => 'op-47',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-105' => array(
            'from' => 'op-47singleEntity',
            'fromOperator' => 'op-47',
            'fromConnector' => 'singleEntity',
            'to' => 'op-50object',
            'toOperator' => 'op-50',
            'toConnector' => 'object'
        ),
        'link-109' => array(
            'from' => 'op-50fields0',
            'fromOperator' => 'op-50',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields1',
            'toOperator' => 'op-19',
            'toConnector' => 'fields1'
        ),
        'link-127' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-59entity',
            'toOperator' => 'op-59',
            'toConnector' => 'entity'
        ),
        'link-128' => array(
            'from' => 'op-57previousEntityState',
            'fromOperator' => 'op-57',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-60entity',
            'toOperator' => 'op-60',
            'toConnector' => 'entity'
        ),
        'link-129' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand1',
            'toOperator' => 'op-62',
            'toConnector' => 'operand1'
        ),
        'link-130' => array(
            'from' => 'op-60fields0',
            'fromOperator' => 'op-60',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand2',
            'toOperator' => 'op-62',
            'toConnector' => 'operand2'
        ),
        'link-131' => array(
            'from' => 'op-63dropdownValue',
            'fromOperator' => 'op-63',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-64operand1',
            'toOperator' => 'op-64',
            'toConnector' => 'operand1'
        ),
        'link-132' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-64operand2',
            'toOperator' => 'op-64',
            'toConnector' => 'operand2'
        ),
        'link-133' => array(
            'from' => 'op-64result',
            'fromOperator' => 'op-64',
            'fromConnector' => 'result',
            'to' => 'op-65operand1',
            'toOperator' => 'op-65',
            'toConnector' => 'operand1'
        ),
        'link-134' => array(
            'from' => 'op-62result',
            'fromOperator' => 'op-62',
            'fromConnector' => 'result',
            'to' => 'op-65operand2',
            'toOperator' => 'op-65',
            'toConnector' => 'operand2'
        ),
        'link-140' => array(
            'from' => 'op-65result',
            'fromOperator' => 'op-65',
            'fromConnector' => 'result',
            'to' => 'op-66condition',
            'toOperator' => 'op-66',
            'toConnector' => 'condition'
        ),
        'link-150' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-68entity',
            'toOperator' => 'op-68',
            'toConnector' => 'entity'
        ),
        'link-152' => array(
            'from' => 'op-68controlFlow',
            'fromOperator' => 'op-68',
            'fromConnector' => 'controlFlow',
            'to' => 'op-69controlFlow',
            'toOperator' => 'op-69',
            'toConnector' => 'controlFlow'
        ),
        'link-153' => array(
            'from' => 'op-68entities',
            'fromOperator' => 'op-68',
            'fromConnector' => 'entities',
            'to' => 'op-69entities',
            'toOperator' => 'op-69',
            'toConnector' => 'entities'
        ),
        'link-338' => array(
            'from' => 'op-95dropdownValue',
            'fromOperator' => 'op-95',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-47fields0',
            'toOperator' => 'op-47',
            'toConnector' => 'fields0'
        ),
        'link-339' => array(
            'from' => 'op-95dropdownValue',
            'fromOperator' => 'op-95',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields2',
            'toOperator' => 'op-19',
            'toConnector' => 'fields2'
        ),
        'link-340' => array(
            'from' => 'op-69entity',
            'fromOperator' => 'op-69',
            'fromConnector' => 'entity',
            'to' => 'op-97entity',
            'toOperator' => 'op-97',
            'toConnector' => 'entity'
        ),
        'link-341' => array(
            'from' => 'op-97fields0',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields3',
            'toOperator' => 'op-19',
            'toConnector' => 'fields3'
        ),
        'link-580' => array(
            'from' => 'op-271value',
            'fromOperator' => 'op-271',
            'fromConnector' => 'value',
            'to' => 'op-47fields1',
            'toOperator' => 'op-47',
            'toConnector' => 'fields1'
        ),
        'link-581' => array(
            'from' => 'op-268controlFlowIfTrue',
            'fromOperator' => 'op-268',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-269controlFlow',
            'toOperator' => 'op-269',
            'toConnector' => 'controlFlow'
        ),
        'link-582' => array(
            'from' => 'op-268controlFlowIfFalse',
            'fromOperator' => 'op-268',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-270controlFlow',
            'toOperator' => 'op-270',
            'toConnector' => 'controlFlow'
        ),
        'link-583' => array(
            'from' => 'op-59fields6',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields6',
            'to' => 'op-273operand1',
            'toOperator' => 'op-273',
            'toConnector' => 'operand1'
        ),
        'link-584' => array(
            'from' => 'op-272dropdownValue',
            'fromOperator' => 'op-272',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-273operand2',
            'toOperator' => 'op-273',
            'toConnector' => 'operand2'
        ),
        'link-585' => array(
            'from' => 'op-273result',
            'fromOperator' => 'op-273',
            'fromConnector' => 'result',
            'to' => 'op-268condition',
            'toOperator' => 'op-268',
            'toConnector' => 'condition'
        ),
        'link-586' => array(
            'from' => 'op-274result',
            'fromOperator' => 'op-274',
            'fromConnector' => 'result',
            'to' => 'op-269value',
            'toOperator' => 'op-269',
            'toConnector' => 'value'
        ),
        'link-587' => array(
            'from' => 'op-275result',
            'fromOperator' => 'op-275',
            'fromConnector' => 'result',
            'to' => 'op-270value',
            'toOperator' => 'op-270',
            'toConnector' => 'value'
        ),
        'link-588' => array(
            'from' => 'op-269controlFlow',
            'fromOperator' => 'op-269',
            'fromConnector' => 'controlFlow',
            'to' => 'op-68controlFlow',
            'toOperator' => 'op-68',
            'toConnector' => 'controlFlow'
        ),
        'link-589' => array(
            'from' => 'op-270controlFlow',
            'fromOperator' => 'op-270',
            'fromConnector' => 'controlFlow',
            'to' => 'op-68controlFlow',
            'toOperator' => 'op-68',
            'toConnector' => 'controlFlow'
        ),
        'link-699' => array(
            'from' => 'op-302controlFlowIfFalse',
            'fromOperator' => 'op-302',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-700' => array(
            'from' => 'op-97fields0',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields0',
            'to' => 'op-303operand2',
            'toOperator' => 'op-303',
            'toConnector' => 'operand2'
        ),
        'link-701' => array(
            'from' => 'op-59fields7',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields7',
            'to' => 'op-303operand1',
            'toOperator' => 'op-303',
            'toConnector' => 'operand1'
        ),
        'link-702' => array(
            'from' => 'op-303result',
            'fromOperator' => 'op-303',
            'fromConnector' => 'result',
            'to' => 'op-302condition',
            'toOperator' => 'op-302',
            'toConnector' => 'condition'
        ),
        'link-996' => array(
            'from' => 'op-401controlFlow',
            'fromOperator' => 'op-401',
            'fromConnector' => 'controlFlow',
            'to' => 'op-400controlFlow',
            'toOperator' => 'op-400',
            'toConnector' => 'controlFlow'
        ),
        'link-998' => array(
            'from' => 'op-401structure',
            'fromOperator' => 'op-401',
            'fromConnector' => 'structure',
            'to' => 'op-400structure',
            'toOperator' => 'op-400',
            'toConnector' => 'structure'
        ),
        'link-999' => array(
            'from' => 'op-402schema',
            'fromOperator' => 'op-402',
            'fromConnector' => 'schema',
            'to' => 'op-401schema',
            'toOperator' => 'op-401',
            'toConnector' => 'schema'
        ),
        'link-1003' => array(
            'from' => 'op-23result',
            'fromOperator' => 'op-23',
            'fromConnector' => 'result',
            'to' => 'op-400fields0',
            'toOperator' => 'op-400',
            'toConnector' => 'fields0'
        ),
        'link-1252' => array(
            'from' => 'op-57controlFlow',
            'fromOperator' => 'op-57',
            'fromConnector' => 'controlFlow',
            'to' => 'op-66controlFlow',
            'toOperator' => 'op-66',
            'toConnector' => 'controlFlow'
        ),
        'link-1255' => array(
            'from' => 'op-404dropdownValue',
            'fromOperator' => 'op-404',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields5',
            'toOperator' => 'op-19',
            'toConnector' => 'fields5'
        ),
        'link-1264' => array(
            'from' => 'op-69controlFlowLoopBody',
            'fromOperator' => 'op-69',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-302controlFlow',
            'toOperator' => 'op-302',
            'toConnector' => 'controlFlow'
        ),
        'link-1266' => array(
            'from' => 'op-405entity',
            'fromOperator' => 'op-405',
            'fromConnector' => 'entity',
            'to' => 'op-280entity',
            'toOperator' => 'op-280',
            'toConnector' => 'entity'
        ),
        'link-1267' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-19fields0',
            'toOperator' => 'op-19',
            'toConnector' => 'fields0'
        ),
        'link-1309' => array(
            'from' => 'op-59fields2',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields2',
            'to' => 'op-19fields6',
            'toOperator' => 'op-19',
            'toConnector' => 'fields6'
        ),
        'link-1310' => array(
            'from' => 'op-66controlFlowIfTrue',
            'fromOperator' => 'op-66',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-514controlFlow',
            'toOperator' => 'op-514',
            'toConnector' => 'controlFlow'
        ),
        'link-1311' => array(
            'from' => 'op-514controlFlow',
            'fromOperator' => 'op-514',
            'fromConnector' => 'controlFlow',
            'to' => 'op-515controlFlow',
            'toOperator' => 'op-515',
            'toConnector' => 'controlFlow'
        ),
        'link-1312' => array(
            'from' => 'op-515controlFlow',
            'fromOperator' => 'op-515',
            'fromConnector' => 'controlFlow',
            'to' => 'op-401controlFlow',
            'toOperator' => 'op-401',
            'toConnector' => 'controlFlow'
        ),
        'link-1313' => array(
            'from' => 'op-516schema',
            'fromOperator' => 'op-516',
            'fromConnector' => 'schema',
            'to' => 'op-514schema',
            'toOperator' => 'op-514',
            'toConnector' => 'schema'
        ),
        'link-1314' => array(
            'from' => 'op-514structure',
            'fromOperator' => 'op-514',
            'fromConnector' => 'structure',
            'to' => 'op-515structure',
            'toOperator' => 'op-515',
            'toConnector' => 'structure'
        ),
        'link-1315' => array(
            'from' => 'op-59fields5',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields5',
            'to' => 'op-515fields0',
            'toOperator' => 'op-515',
            'toConnector' => 'fields0'
        ),
        'link-1316' => array(
            'from' => 'op-515structure',
            'fromOperator' => 'op-515',
            'fromConnector' => 'structure',
            'to' => 'op-19fields7',
            'toOperator' => 'op-19',
            'toConnector' => 'fields7'
        ),
        'link-1342' => array(
            'from' => 'op-280fields0',
            'fromOperator' => 'op-280',
            'fromConnector' => 'fields0',
            'to' => 'op-400fields3',
            'toOperator' => 'op-400',
            'toConnector' => 'fields3'
        ),
        'link-1343' => array(
            'from' => 'op-523result',
            'fromOperator' => 'op-523',
            'fromConnector' => 'result',
            'to' => 'op-400fields2',
            'toOperator' => 'op-400',
            'toConnector' => 'fields2'
        ),
        'link-1344' => array(
            'from' => 'op-59fields1',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields1',
            'to' => 'op-400fields1',
            'toOperator' => 'op-400',
            'toConnector' => 'fields1'
        ),
        'link-1345' => array(
            'from' => 'op-524link',
            'fromOperator' => 'op-524',
            'fromConnector' => 'link',
            'to' => 'op-525link',
            'toOperator' => 'op-525',
            'toConnector' => 'link'
        ),
        'link-1346' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-524id',
            'toOperator' => 'op-524',
            'toConnector' => 'id'
        ),
        'link-1347' => array(
            'from' => 'op-526controlFlow',
            'fromOperator' => 'op-526',
            'fromConnector' => 'controlFlow',
            'to' => 'op-268controlFlow',
            'toOperator' => 'op-268',
            'toConnector' => 'controlFlow'
        ),
        'link-1348' => array(
            'from' => 'op-400controlFlow',
            'fromOperator' => 'op-400',
            'fromConnector' => 'controlFlow',
            'to' => 'op-526controlFlow',
            'toOperator' => 'op-526',
            'toConnector' => 'controlFlow'
        ),
        'link-1349' => array(
            'from' => 'op-400structure',
            'fromOperator' => 'op-400',
            'fromConnector' => 'structure',
            'to' => 'op-526structure',
            'toOperator' => 'op-526',
            'toConnector' => 'structure'
        ),
        'link-1350' => array(
            'from' => 'op-526structure',
            'fromOperator' => 'op-526',
            'fromConnector' => 'structure',
            'to' => 'op-19fields4',
            'toOperator' => 'op-19',
            'toConnector' => 'fields4'
        ),
        'link-1351' => array(
            'from' => 'op-525decorator',
            'fromOperator' => 'op-525',
            'fromConnector' => 'decorator',
            'to' => 'op-526decorator',
            'toOperator' => 'op-526',
            'toConnector' => 'decorator'
        ),
        'link-1352' => array(
            'from' => 'op-528result',
            'fromOperator' => 'op-528',
            'fromConnector' => 'result',
            'to' => 'op-521condition',
            'toOperator' => 'op-521',
            'toConnector' => 'condition'
        ),
        'link-1353' => array(
            'from' => 'op-529result',
            'fromOperator' => 'op-529',
            'fromConnector' => 'result',
            'to' => 'op-522condition',
            'toOperator' => 'op-522',
            'toConnector' => 'condition'
        ),
        'link-1354' => array(
            'from' => 'op-527result',
            'fromOperator' => 'op-527',
            'fromConnector' => 'result',
            'to' => 'op-528operand1',
            'toOperator' => 'op-528',
            'toConnector' => 'operand1'
        ),
        'link-1355' => array(
            'from' => 'op-527result',
            'fromOperator' => 'op-527',
            'fromConnector' => 'result',
            'to' => 'op-529operand1',
            'toOperator' => 'op-529',
            'toConnector' => 'operand1'
        ),
        'link-1356' => array(
            'from' => 'op-97fields2',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields2',
            'to' => 'op-528operand2',
            'toOperator' => 'op-528',
            'toConnector' => 'operand2'
        ),
        'link-1357' => array(
            'from' => 'op-25controlFlow',
            'fromOperator' => 'op-25',
            'fromConnector' => 'controlFlow',
            'to' => 'op-521controlFlow',
            'toOperator' => 'op-521',
            'toConnector' => 'controlFlow'
        ),
        'link-1358' => array(
            'from' => 'op-521controlFlowIfFalse',
            'fromOperator' => 'op-521',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-522controlFlow',
            'toOperator' => 'op-522',
            'toConnector' => 'controlFlow'
        ),
        'link-1359' => array(
            'from' => 'op-97fields3',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields3',
            'to' => 'op-529operand2',
            'toOperator' => 'op-529',
            'toConnector' => 'operand2'
        ),
        'link-1360' => array(
            'from' => 'op-521controlFlowIfTrue',
            'fromOperator' => 'op-521',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-530controlFlow',
            'toOperator' => 'op-530',
            'toConnector' => 'controlFlow'
        ),
        'link-1361' => array(
            'from' => 'op-522controlFlowIfTrue',
            'fromOperator' => 'op-522',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-531controlFlow',
            'toOperator' => 'op-531',
            'toConnector' => 'controlFlow'
        ),
        'link-1362' => array(
            'from' => 'op-530controlFlow',
            'fromOperator' => 'op-530',
            'fromConnector' => 'controlFlow',
            'to' => 'op-532controlFlow',
            'toOperator' => 'op-532',
            'toConnector' => 'controlFlow'
        ),
        'link-1363' => array(
            'from' => 'op-532singleEntity',
            'fromOperator' => 'op-532',
            'fromConnector' => 'singleEntity',
            'to' => 'op-541entity',
            'toOperator' => 'op-541',
            'toConnector' => 'entity'
        ),
        'link-1364' => array(
            'from' => 'op-533singleEntity',
            'fromOperator' => 'op-533',
            'fromConnector' => 'singleEntity',
            'to' => 'op-536entity',
            'toOperator' => 'op-536',
            'toConnector' => 'entity'
        ),
        'link-1365' => array(
            'from' => 'op-531controlFlow',
            'fromOperator' => 'op-531',
            'fromConnector' => 'controlFlow',
            'to' => 'op-533controlFlow',
            'toOperator' => 'op-533',
            'toConnector' => 'controlFlow'
        ),
        'link-1366' => array(
            'from' => 'op-530entity',
            'fromOperator' => 'op-530',
            'fromConnector' => 'entity',
            'to' => 'op-543entity',
            'toOperator' => 'op-543',
            'toConnector' => 'entity'
        ),
        'link-1367' => array(
            'from' => 'op-532controlFlow',
            'fromOperator' => 'op-532',
            'fromConnector' => 'controlFlow',
            'to' => 'op-543controlFlow',
            'toOperator' => 'op-543',
            'toConnector' => 'controlFlow'
        ),
        'link-1368' => array(
            'from' => 'op-531entity',
            'fromOperator' => 'op-531',
            'fromConnector' => 'entity',
            'to' => 'op-542entity',
            'toOperator' => 'op-542',
            'toConnector' => 'entity'
        ),
        'link-1369' => array(
            'from' => 'op-533controlFlow',
            'fromOperator' => 'op-533',
            'fromConnector' => 'controlFlow',
            'to' => 'op-542controlFlow',
            'toOperator' => 'op-542',
            'toConnector' => 'controlFlow'
        ),
        'link-1370' => array(
            'from' => 'op-542controlFlow',
            'fromOperator' => 'op-542',
            'fromConnector' => 'controlFlow',
            'to' => 'op-538controlFlow',
            'toOperator' => 'op-538',
            'toConnector' => 'controlFlow'
        ),
        'link-1371' => array(
            'from' => 'op-543controlFlow',
            'fromOperator' => 'op-543',
            'fromConnector' => 'controlFlow',
            'to' => 'op-537controlFlow',
            'toOperator' => 'op-537',
            'toConnector' => 'controlFlow'
        ),
        'link-1372' => array(
            'from' => 'op-543entity',
            'fromOperator' => 'op-543',
            'fromConnector' => 'entity',
            'to' => 'op-537entity',
            'toOperator' => 'op-537',
            'toConnector' => 'entity'
        ),
        'link-1373' => array(
            'from' => 'op-542entity',
            'fromOperator' => 'op-542',
            'fromConnector' => 'entity',
            'to' => 'op-538entity',
            'toOperator' => 'op-538',
            'toConnector' => 'entity'
        ),
        'link-1374' => array(
            'from' => 'op-535dropdownValue',
            'fromOperator' => 'op-535',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-532fields0',
            'toOperator' => 'op-532',
            'toConnector' => 'fields0'
        ),
        'link-1375' => array(
            'from' => 'op-534dropdownValue',
            'fromOperator' => 'op-534',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-533fields0',
            'toOperator' => 'op-533',
            'toConnector' => 'fields0'
        ),
        'link-1376' => array(
            'from' => 'op-271value',
            'fromOperator' => 'op-271',
            'fromConnector' => 'value',
            'to' => 'op-532fields1',
            'toOperator' => 'op-532',
            'toConnector' => 'fields1'
        ),
        'link-1377' => array(
            'from' => 'op-271value',
            'fromOperator' => 'op-271',
            'fromConnector' => 'value',
            'to' => 'op-533fields1',
            'toOperator' => 'op-533',
            'toConnector' => 'fields1'
        ),
        'link-1378' => array(
            'from' => 'op-537controlFlow',
            'fromOperator' => 'op-537',
            'fromConnector' => 'controlFlow',
            'to' => 'op-522controlFlow',
            'toOperator' => 'op-522',
            'toConnector' => 'controlFlow'
        ),
        'link-1379' => array(
            'from' => 'op-541fields0',
            'fromOperator' => 'op-541',
            'fromConnector' => 'fields0',
            'to' => 'op-543fields1',
            'toOperator' => 'op-543',
            'toConnector' => 'fields1'
        ),
        'link-1380' => array(
            'from' => 'op-536fields0',
            'fromOperator' => 'op-536',
            'fromConnector' => 'fields0',
            'to' => 'op-542fields1',
            'toOperator' => 'op-542',
            'toConnector' => 'fields1'
        ),
        'link-1381' => array(
            'from' => 'op-544dropdownValue',
            'fromOperator' => 'op-544',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-543fields5',
            'toOperator' => 'op-543',
            'toConnector' => 'fields5'
        ),
        'link-1382' => array(
            'from' => 'op-544dropdownValue',
            'fromOperator' => 'op-544',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-542fields5',
            'toOperator' => 'op-542',
            'toConnector' => 'fields5'
        ),
        'link-1383' => array(
            'from' => 'op-535dropdownValue',
            'fromOperator' => 'op-535',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-543fields2',
            'toOperator' => 'op-543',
            'toConnector' => 'fields2'
        ),
        'link-1384' => array(
            'from' => 'op-534dropdownValue',
            'fromOperator' => 'op-534',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-542fields2',
            'toOperator' => 'op-542',
            'toConnector' => 'fields2'
        ),
        'link-1385' => array(
            'from' => 'op-97fields2',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields2',
            'to' => 'op-543fields3',
            'toOperator' => 'op-543',
            'toConnector' => 'fields3'
        ),
        'link-1386' => array(
            'from' => 'op-97fields3',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields3',
            'to' => 'op-542fields3',
            'toOperator' => 'op-542',
            'toConnector' => 'fields3'
        ),
        'link-1387' => array(
            'from' => 'op-526structure',
            'fromOperator' => 'op-526',
            'fromConnector' => 'structure',
            'to' => 'op-543fields4',
            'toOperator' => 'op-543',
            'toConnector' => 'fields4'
        ),
        'link-1388' => array(
            'from' => 'op-526structure',
            'fromOperator' => 'op-526',
            'fromConnector' => 'structure',
            'to' => 'op-542fields4',
            'toOperator' => 'op-542',
            'toConnector' => 'fields4'
        ),
        'link-1389' => array(
            'from' => 'op-515structure',
            'fromOperator' => 'op-515',
            'fromConnector' => 'structure',
            'to' => 'op-543fields7',
            'toOperator' => 'op-543',
            'toConnector' => 'fields7'
        ),
        'link-1390' => array(
            'from' => 'op-515structure',
            'fromOperator' => 'op-515',
            'fromConnector' => 'structure',
            'to' => 'op-542fields7',
            'toOperator' => 'op-542',
            'toConnector' => 'fields7'
        ),
        'link-1391' => array(
            'from' => 'op-59fields2',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields2',
            'to' => 'op-543fields6',
            'toOperator' => 'op-543',
            'toConnector' => 'fields6'
        ),
        'link-1392' => array(
            'from' => 'op-59fields2',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields2',
            'to' => 'op-542fields6',
            'toOperator' => 'op-542',
            'toConnector' => 'fields6'
        ),
        'link-1393' => array(
            'from' => 'op-97fields0',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields0',
            'to' => 'op-543fields0',
            'toOperator' => 'op-543',
            'toConnector' => 'fields0'
        ),
        'link-1394' => array(
            'from' => 'op-97fields0',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields0',
            'to' => 'op-542fields0',
            'toOperator' => 'op-542',
            'toConnector' => 'fields0'
        ),
    )
);
