<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0806c702871_50528271/dataStorage/FlowchartTable_lb5bd0806c702871_50528271.php';

class FlowchartTableConverter_lb5bd0806c702871_50528271{

    public static function toHtml($table){
        if(!($table instanceof FlowchartTable_lb5bd0806c702871_50528271))
            return '';

        $headers = $table->getHeaders();
        $rows = $table->getBody();

        $tableStyle = "style='width:100%'; border: 1px solid #000000;";
        $headerHTML = "<tr><th>".implode("</th><th>", $headers)."</th></tr>";

        $bodyHTML = '';
        foreach($rows as $row){
            $bodyHTML .= "<tr><td>".implode("</td><td>", $row)."</td></tr>";
        }

        return "<table border='1' $tableStyle>" . $headerHTML . $bodyHTML . "</table>";
    }

}
