<?php
$operatorMeta = array(
    'operators' => array(
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'action_date',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Meeting ',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-26' => array(
            'id' => 'op-26',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-28' => array(
            'id' => 'op-28',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Description',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-29' => array(
            'id' => 'op-29',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-49' => array(
            'id' => 'op-49',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Contact Meeting Held',
                                    ),
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'GetEntityFieldsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'object' => array(
                    'id' => 'object',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-57' => array(
            'id' => 'op-57',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Meetings',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Meetings',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Meetings',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-59' => array(
            'id' => 'op-59',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Meetings',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'date_start',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => '',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-60' => array(
            'id' => 'op-60',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Meetings',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-62' => array(
            'id' => 'op-62',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-63' => array(
            'id' => 'op-63',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'meeting_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Held',
                                    ),
            ),
        ),
        'op-64' => array(
            'id' => 'op-64',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-65' => array(
            'id' => 'op-65',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-66' => array(
            'id' => 'op-66',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-68' => array(
            'id' => 'op-68',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Meetings',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-69' => array(
            'id' => 'op-69',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-95' => array(
            'id' => 'op-95',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-97' => array(
            'id' => 'op-97',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-305' => array(
            'id' => 'op-305',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-306' => array(
            'id' => 'op-306',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-311' => array(
            'id' => 'op-311',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-312' => array(
            'id' => 'op-312',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-408' => array(
            'id' => 'op-408',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-409' => array(
            'id' => 'op-409',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-410' => array(
            'id' => 'op-410',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-521' => array(
            'id' => 'op-521',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Meetings',
                                    ),
            ),
        ),
        'op-522' => array(
            'id' => 'op-522',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' by ',
                                    ),
            ),
        ),
        'op-523' => array(
            'id' => 'op-523',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-524' => array(
            'id' => 'op-524',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-525' => array(
            'id' => 'op-525',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Meetings',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-31' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-19entity',
            'toOperator' => 'op-19',
            'toConnector' => 'entity'
        ),
        'link-41' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-25controlFlow',
            'toOperator' => 'op-25',
            'toConnector' => 'controlFlow'
        ),
        'link-42' => array(
            'from' => 'op-19entity',
            'fromOperator' => 'op-19',
            'fromConnector' => 'entity',
            'to' => 'op-25entity',
            'toOperator' => 'op-25',
            'toConnector' => 'entity'
        ),
        'link-44' => array(
            'from' => 'op-28schema',
            'fromOperator' => 'op-28',
            'fromConnector' => 'schema',
            'to' => 'op-26schema',
            'toOperator' => 'op-26',
            'toConnector' => 'schema'
        ),
        'link-46' => array(
            'from' => 'op-26controlFlow',
            'fromOperator' => 'op-26',
            'fromConnector' => 'controlFlow',
            'to' => 'op-29controlFlow',
            'toOperator' => 'op-29',
            'toConnector' => 'controlFlow'
        ),
        'link-47' => array(
            'from' => 'op-26structure',
            'fromOperator' => 'op-26',
            'fromConnector' => 'structure',
            'to' => 'op-29structure',
            'toOperator' => 'op-29',
            'toConnector' => 'structure'
        ),
        'link-101' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-47controlFlow',
            'toOperator' => 'op-47',
            'toConnector' => 'controlFlow'
        ),
        'link-102' => array(
            'from' => 'op-47controlFlow',
            'fromOperator' => 'op-47',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-104' => array(
            'from' => 'op-49result',
            'fromOperator' => 'op-49',
            'fromConnector' => 'result',
            'to' => 'op-47fields1',
            'toOperator' => 'op-47',
            'toConnector' => 'fields1'
        ),
        'link-105' => array(
            'from' => 'op-47singleEntity',
            'fromOperator' => 'op-47',
            'fromConnector' => 'singleEntity',
            'to' => 'op-50object',
            'toOperator' => 'op-50',
            'toConnector' => 'object'
        ),
        'link-109' => array(
            'from' => 'op-50fields0',
            'fromOperator' => 'op-50',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields1',
            'toOperator' => 'op-19',
            'toConnector' => 'fields1'
        ),
        'link-127' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-59entity',
            'toOperator' => 'op-59',
            'toConnector' => 'entity'
        ),
        'link-128' => array(
            'from' => 'op-57previousEntityState',
            'fromOperator' => 'op-57',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-60entity',
            'toOperator' => 'op-60',
            'toConnector' => 'entity'
        ),
        'link-129' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand1',
            'toOperator' => 'op-62',
            'toConnector' => 'operand1'
        ),
        'link-130' => array(
            'from' => 'op-60fields0',
            'fromOperator' => 'op-60',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand2',
            'toOperator' => 'op-62',
            'toConnector' => 'operand2'
        ),
        'link-131' => array(
            'from' => 'op-63dropdownValue',
            'fromOperator' => 'op-63',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-64operand1',
            'toOperator' => 'op-64',
            'toConnector' => 'operand1'
        ),
        'link-132' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-64operand2',
            'toOperator' => 'op-64',
            'toConnector' => 'operand2'
        ),
        'link-133' => array(
            'from' => 'op-64result',
            'fromOperator' => 'op-64',
            'fromConnector' => 'result',
            'to' => 'op-65operand1',
            'toOperator' => 'op-65',
            'toConnector' => 'operand1'
        ),
        'link-134' => array(
            'from' => 'op-62result',
            'fromOperator' => 'op-62',
            'fromConnector' => 'result',
            'to' => 'op-65operand2',
            'toOperator' => 'op-65',
            'toConnector' => 'operand2'
        ),
        'link-140' => array(
            'from' => 'op-65result',
            'fromOperator' => 'op-65',
            'fromConnector' => 'result',
            'to' => 'op-66condition',
            'toOperator' => 'op-66',
            'toConnector' => 'condition'
        ),
        'link-141' => array(
            'from' => 'op-66controlFlowIfTrue',
            'fromOperator' => 'op-66',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-26controlFlow',
            'toOperator' => 'op-26',
            'toConnector' => 'controlFlow'
        ),
        'link-142' => array(
            'from' => 'op-57controlFlow',
            'fromOperator' => 'op-57',
            'fromConnector' => 'controlFlow',
            'to' => 'op-66controlFlow',
            'toOperator' => 'op-66',
            'toConnector' => 'controlFlow'
        ),
        'link-150' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-68entity',
            'toOperator' => 'op-68',
            'toConnector' => 'entity'
        ),
        'link-152' => array(
            'from' => 'op-68controlFlow',
            'fromOperator' => 'op-68',
            'fromConnector' => 'controlFlow',
            'to' => 'op-69controlFlow',
            'toOperator' => 'op-69',
            'toConnector' => 'controlFlow'
        ),
        'link-153' => array(
            'from' => 'op-68entities',
            'fromOperator' => 'op-68',
            'fromConnector' => 'entities',
            'to' => 'op-69entities',
            'toOperator' => 'op-69',
            'toConnector' => 'entities'
        ),
        'link-338' => array(
            'from' => 'op-95dropdownValue',
            'fromOperator' => 'op-95',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-47fields0',
            'toOperator' => 'op-47',
            'toConnector' => 'fields0'
        ),
        'link-339' => array(
            'from' => 'op-95dropdownValue',
            'fromOperator' => 'op-95',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields2',
            'toOperator' => 'op-19',
            'toConnector' => 'fields2'
        ),
        'link-340' => array(
            'from' => 'op-69entity',
            'fromOperator' => 'op-69',
            'fromConnector' => 'entity',
            'to' => 'op-97entity',
            'toOperator' => 'op-97',
            'toConnector' => 'entity'
        ),
        'link-341' => array(
            'from' => 'op-97fields0',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields3',
            'toOperator' => 'op-19',
            'toConnector' => 'fields3'
        ),
        'link-700' => array(
            'from' => 'op-306entity',
            'fromOperator' => 'op-306',
            'fromConnector' => 'entity',
            'to' => 'op-305entity',
            'toOperator' => 'op-305',
            'toConnector' => 'entity'
        ),
        'link-720' => array(
            'from' => 'op-69controlFlowLoopBody',
            'fromOperator' => 'op-69',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-311controlFlow',
            'toOperator' => 'op-311',
            'toConnector' => 'controlFlow'
        ),
        'link-721' => array(
            'from' => 'op-311controlFlowIfFalse',
            'fromOperator' => 'op-311',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-722' => array(
            'from' => 'op-312result',
            'fromOperator' => 'op-312',
            'fromConnector' => 'result',
            'to' => 'op-311condition',
            'toOperator' => 'op-311',
            'toConnector' => 'condition'
        ),
        'link-723' => array(
            'from' => 'op-97fields0',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields0',
            'to' => 'op-312operand2',
            'toOperator' => 'op-312',
            'toConnector' => 'operand2'
        ),
        'link-724' => array(
            'from' => 'op-59fields6',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields6',
            'to' => 'op-312operand1',
            'toOperator' => 'op-312',
            'toConnector' => 'operand1'
        ),
        'link-1020' => array(
            'from' => 'op-409controlFlow',
            'fromOperator' => 'op-409',
            'fromConnector' => 'controlFlow',
            'to' => 'op-408controlFlow',
            'toOperator' => 'op-408',
            'toConnector' => 'controlFlow'
        ),
        'link-1021' => array(
            'from' => 'op-409structure',
            'fromOperator' => 'op-409',
            'fromConnector' => 'structure',
            'to' => 'op-408structure',
            'toOperator' => 'op-408',
            'toConnector' => 'structure'
        ),
        'link-1024' => array(
            'from' => 'op-410schema',
            'fromOperator' => 'op-410',
            'fromConnector' => 'schema',
            'to' => 'op-409schema',
            'toOperator' => 'op-409',
            'toConnector' => 'schema'
        ),
        'link-1027' => array(
            'from' => 'op-23result',
            'fromOperator' => 'op-23',
            'fromConnector' => 'result',
            'to' => 'op-408fields0',
            'toOperator' => 'op-408',
            'toConnector' => 'fields0'
        ),
        'link-1342' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-19fields5',
            'toOperator' => 'op-19',
            'toConnector' => 'fields5'
        ),
        'link-1343' => array(
            'from' => 'op-521dropdownValue',
            'fromOperator' => 'op-521',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields6',
            'toOperator' => 'op-19',
            'toConnector' => 'fields6'
        ),
        'link-1344' => array(
            'from' => 'op-59fields2',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields2',
            'to' => 'op-19fields7',
            'toOperator' => 'op-19',
            'toConnector' => 'fields7'
        ),
        'link-1345' => array(
            'from' => 'op-59fields7',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields7',
            'to' => 'op-29fields0',
            'toOperator' => 'op-29',
            'toConnector' => 'fields0'
        ),
        'link-1346' => array(
            'from' => 'op-29controlFlow',
            'fromOperator' => 'op-29',
            'fromConnector' => 'controlFlow',
            'to' => 'op-409controlFlow',
            'toOperator' => 'op-409',
            'toConnector' => 'controlFlow'
        ),
        'link-1347' => array(
            'from' => 'op-29structure',
            'fromOperator' => 'op-29',
            'fromConnector' => 'structure',
            'to' => 'op-19fields0',
            'toOperator' => 'op-19',
            'toConnector' => 'fields0'
        ),
        'link-1351' => array(
            'from' => 'op-305fields0',
            'fromOperator' => 'op-305',
            'fromConnector' => 'fields0',
            'to' => 'op-408fields3',
            'toOperator' => 'op-408',
            'toConnector' => 'fields3'
        ),
        'link-1352' => array(
            'from' => 'op-522result',
            'fromOperator' => 'op-522',
            'fromConnector' => 'result',
            'to' => 'op-408fields2',
            'toOperator' => 'op-408',
            'toConnector' => 'fields2'
        ),
        'link-1353' => array(
            'from' => 'op-59fields1',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields1',
            'to' => 'op-408fields1',
            'toOperator' => 'op-408',
            'toConnector' => 'fields1'
        ),
        'link-1354' => array(
            'from' => 'op-408structure',
            'fromOperator' => 'op-408',
            'fromConnector' => 'structure',
            'to' => 'op-523structure',
            'toOperator' => 'op-523',
            'toConnector' => 'structure'
        ),
        'link-1355' => array(
            'from' => 'op-523structure',
            'fromOperator' => 'op-523',
            'fromConnector' => 'structure',
            'to' => 'op-19fields4',
            'toOperator' => 'op-19',
            'toConnector' => 'fields4'
        ),
        'link-1356' => array(
            'from' => 'op-408controlFlow',
            'fromOperator' => 'op-408',
            'fromConnector' => 'controlFlow',
            'to' => 'op-523controlFlow',
            'toOperator' => 'op-523',
            'toConnector' => 'controlFlow'
        ),
        'link-1357' => array(
            'from' => 'op-523controlFlow',
            'fromOperator' => 'op-523',
            'fromConnector' => 'controlFlow',
            'to' => 'op-68controlFlow',
            'toOperator' => 'op-68',
            'toConnector' => 'controlFlow'
        ),
        'link-1358' => array(
            'from' => 'op-524decorator',
            'fromOperator' => 'op-524',
            'fromConnector' => 'decorator',
            'to' => 'op-523decorator',
            'toOperator' => 'op-523',
            'toConnector' => 'decorator'
        ),
        'link-1359' => array(
            'from' => 'op-525link',
            'fromOperator' => 'op-525',
            'fromConnector' => 'link',
            'to' => 'op-524link',
            'toOperator' => 'op-524',
            'toConnector' => 'link'
        ),
        'link-1360' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-525id',
            'toOperator' => 'op-525',
            'toConnector' => 'id'
        ),
    )
);
