<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd080727ed8b3_81941709/operators/FlowchartOperator_lb5bd080727ed8b3_81941709.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd080727ed8b3_81941709/dataStorage/CollectionStorage_lb5bd080727ed8b3_81941709.php';

class CreateCollectionOperator_lb5bd080727ed8b3_81941709 extends FlowchartOperator_lb5bd080727ed8b3_81941709{

    protected $flowId = array();
    protected $collection = array();

    public function __construct($params){
        parent::__construct($params);

        $this->initEmptyCollection();
    }

    public function initEmptyCollection(){
        CollectionStorage_lb5bd080727ed8b3_81941709::createCollection($this->getCollectionId());
    }

    public function setInDataPorts($params){
        foreach($params['inDataPorts'] as $portId => $inData){
            $this->inDataPorts[$portId] = $inData;
            //if($portId != 'module')
            //	$this->collection[$inData['id']] = null;
        }
    }

    public function setInDataPortById($id, $value){
        $portName = $this->inDataPorts[$id]['id'];
        $this->collection[$portName] = $value;
    }

    public function process($params = array()){
        $this->flowId = $params['flowId'];

        $this->collection = array_values($this->collection);
        foreach($this->collection as $collectionElement){
            CollectionStorage_lb5bd080727ed8b3_81941709::addElement($this->getCollectionId(), $collectionElement);
        }
        $this->collection = array();
    }

    public function getOutDataByPortId($portId){
        return array(
            'collectionId' => $this->getCollectionId(),
            'collectionData' => CollectionStorage_lb5bd080727ed8b3_81941709::getCollection($this->getCollectionId())
        );
    }

    protected function getCollectionId(){
        return $this->flowId . $this->id;
    }

}
