<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0807899bc31_87404244/operators/FlowchartOperator_lb5bd0807899bc31_87404244.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0807899bc31_87404244/helpers/LinkHelper_lb5bd0807899bc31_87404244.php';

class AttachDecoratorOperator_lb5bd0807899bc31_87404244 extends FlowchartOperator_lb5bd0807899bc31_87404244{

    protected $module;
    protected $id;
    protected $fieldName;
    protected $link;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPorts($params){
        parent::setInDataPorts($params);

        if(!empty($this->inDataPorts['module'])){
            $this->module = $this->inDataPorts['module']['value'];
        }
        if(!empty($this->inDataPorts['field'])){
            $this->fieldName = $this->inDataPorts['field']['value'];
        }
    }

    public function setInDataPortById($id, $value){
        if($id == 'module')
            $this->module = $value;
        elseif($id == 'id')
            $this->id = $value;
        elseif($id == 'field')
            $this->fieldName = $value;
    }

    public function process($params = array()){
        $this->link = LinkHelper_lb5bd0807899bc31_87404244::getSugarUrl();
        $this->link .= '/rest/v10/'.$this->module;
        $this->link .= '/'.$this->id;
        $this->link .= '/file/'.$this->fieldName;
    }

    public function getOutDataByPortId($portId){
        return array(
            'attachment' => array(
                'module' => $this->module,
                'id' => $this->id,
                'field' => $this->fieldName
            )
        );
    }

}
