<?php
$operatorMeta = array(
    'operators' => array(
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'RevenueLineItems',
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Created (Opportunity)',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'GetHtmlTextFromTemplateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'templateName' => array(
                    'id' => 'templateName',
                                        'value' => '2bc87c82-caa9-11e7-83a1-000c29996212',
                                    ),
                'parameters0' => array(
                    'id' => 'parameters0',
                                        'value' => 'attribute_1',
                                        'section' => 'parameters',
                ),
                'parameters1' => array(
                    'id' => 'parameters1',
                                        'value' => 'attribute_2',
                                        'section' => 'parameters',
                ),
                'parameters2' => array(
                    'id' => 'parameters2',
                                        'value' => 'attribute_3',
                                        'section' => 'parameters',
                ),
                'parameters3' => array(
                    'id' => 'parameters3',
                                        'value' => 'attribute_4',
                                        'section' => 'parameters',
                ),
                'parameters4' => array(
                    'id' => 'parameters4',
                                        'value' => 'attribute_5',
                                        'section' => 'parameters',
                ),
                'parameters5' => array(
                    'id' => 'parameters5',
                                        'value' => 'attribute_6',
                                        'section' => 'parameters',
                ),
                'parameters6' => array(
                    'id' => 'parameters6',
                                        'value' => 'attribute_7',
                                        'section' => 'parameters',
                ),
                'parameters7' => array(
                    'id' => 'parameters7',
                                        'value' => 'attribute_8',
                                        'section' => 'parameters',
                ),
                'parameters8' => array(
                    'id' => 'parameters8',
                                        'value' => 'attribute_9',
                                        'section' => 'parameters',
                ),
                'parameters9' => array(
                    'id' => 'parameters9',
                                        'value' => 'attribute_10',
                                        'section' => 'parameters',
                ),
                'parameters10' => array(
                    'id' => 'parameters10',
                                        'value' => 'attribute_11',
                                        'section' => 'parameters',
                ),
                'parameters11' => array(
                    'id' => 'parameters11',
                                        'value' => 'attribute_12',
                                        'section' => 'parameters',
                ),
                'parameters12' => array(
                    'id' => 'parameters12',
                                        'value' => 'attribute_13',
                                        'section' => 'parameters',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'full_name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-227' => array(
            'id' => 'op-227',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-229' => array(
            'id' => 'op-229',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-232' => array(
            'id' => 'op-232',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Created (Account)',
                                    ),
            ),
        ),
        'op-233' => array(
            'id' => 'op-233',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-234' => array(
            'id' => 'op-234',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-235' => array(
            'id' => 'op-235',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Created (RLI)',
                                    ),
            ),
        ),
        'op-236' => array(
            'id' => 'op-236',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-237' => array(
            'id' => 'op-237',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-238' => array(
            'id' => 'op-238',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-239' => array(
            'id' => 'op-239',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-240' => array(
            'id' => 'op-240',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-241' => array(
            'id' => 'op-241',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-242' => array(
            'id' => 'op-242',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-270' => array(
            'id' => 'op-270',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'RevenueLineItems',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'RevenueLineItems',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-272' => array(
            'id' => 'op-272',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Opportunities',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-273' => array(
            'id' => 'op-273',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'account_name',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'amount',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'currency_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-274' => array(
            'id' => 'op-274',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'sales_stage',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'likely_case',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'currency_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-275' => array(
            'id' => 'op-275',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-276' => array(
            'id' => 'op-276',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-292' => array(
            'id' => 'op-292',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Currencies',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
        ),
        'op-293' => array(
            'id' => 'op-293',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'symbol',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-294' => array(
            'id' => 'op-294',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Currencies',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
        ),
        'op-295' => array(
            'id' => 'op-295',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'symbol',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-319' => array(
            'id' => 'op-319',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-320' => array(
            'id' => 'op-320',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Opportunities',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-4' => array(
            'from' => 'op-3entity',
            'fromOperator' => 'op-3',
            'fromConnector' => 'entity',
            'to' => 'op-4entity',
            'toOperator' => 'op-4',
            'toConnector' => 'entity'
        ),
        'link-5' => array(
            'from' => 'op-5dropdownValue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-4fields0',
            'toOperator' => 'op-4',
            'toConnector' => 'fields0'
        ),
        'link-8' => array(
            'from' => 'op-7dropdownValue',
            'fromOperator' => 'op-7',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-4fields3',
            'toOperator' => 'op-4',
            'toConnector' => 'fields3'
        ),
        'link-10' => array(
            'from' => 'op-9result',
            'fromOperator' => 'op-9',
            'fromConnector' => 'result',
            'to' => 'op-8fields0',
            'toOperator' => 'op-8',
            'toConnector' => 'fields0'
        ),
        'link-11' => array(
            'from' => 'op-8singleEntity',
            'fromOperator' => 'op-8',
            'fromConnector' => 'singleEntity',
            'to' => 'op-10entity',
            'toOperator' => 'op-10',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-4fields4',
            'toOperator' => 'op-4',
            'toConnector' => 'fields4'
        ),
        'link-13' => array(
            'from' => 'op-11result',
            'fromOperator' => 'op-11',
            'fromConnector' => 'result',
            'to' => 'op-4fields5',
            'toOperator' => 'op-4',
            'toConnector' => 'fields5'
        ),
        'link-16' => array(
            'from' => 'op-12entity',
            'fromOperator' => 'op-12',
            'fromConnector' => 'entity',
            'to' => 'op-13entity',
            'toOperator' => 'op-13',
            'toConnector' => 'entity'
        ),
        'link-17' => array(
            'from' => 'op-13fields0',
            'fromOperator' => 'op-13',
            'fromConnector' => 'fields0',
            'to' => 'op-11parameters2',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters2'
        ),
        'link-21' => array(
            'from' => 'op-3controlFlow',
            'fromOperator' => 'op-3',
            'fromConnector' => 'controlFlow',
            'to' => 'op-8controlFlow',
            'toOperator' => 'op-8',
            'toConnector' => 'controlFlow'
        ),
        'link-23' => array(
            'from' => 'op-4controlFlow',
            'fromOperator' => 'op-4',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-24' => array(
            'from' => 'op-4entity',
            'fromOperator' => 'op-4',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-429' => array(
            'from' => 'op-14controlFlow',
            'fromOperator' => 'op-14',
            'fromConnector' => 'controlFlow',
            'to' => 'op-227controlFlow',
            'toOperator' => 'op-227',
            'toConnector' => 'controlFlow'
        ),
        'link-431' => array(
            'from' => 'op-227controlFlow',
            'fromOperator' => 'op-227',
            'fromConnector' => 'controlFlow',
            'to' => 'op-229controlFlow',
            'toOperator' => 'op-229',
            'toConnector' => 'controlFlow'
        ),
        'link-432' => array(
            'from' => 'op-232result',
            'fromOperator' => 'op-232',
            'fromConnector' => 'result',
            'to' => 'op-229fields0',
            'toOperator' => 'op-229',
            'toConnector' => 'fields0'
        ),
        'link-433' => array(
            'from' => 'op-233controlFlow',
            'fromOperator' => 'op-233',
            'fromConnector' => 'controlFlow',
            'to' => 'op-234controlFlow',
            'toOperator' => 'op-234',
            'toConnector' => 'controlFlow'
        ),
        'link-434' => array(
            'from' => 'op-235result',
            'fromOperator' => 'op-235',
            'fromConnector' => 'result',
            'to' => 'op-234fields0',
            'toOperator' => 'op-234',
            'toConnector' => 'fields0'
        ),
        'link-435' => array(
            'from' => 'op-229controlFlow',
            'fromOperator' => 'op-229',
            'fromConnector' => 'controlFlow',
            'to' => 'op-237controlFlow',
            'toOperator' => 'op-237',
            'toConnector' => 'controlFlow'
        ),
        'link-436' => array(
            'from' => 'op-234controlFlow',
            'fromOperator' => 'op-234',
            'fromConnector' => 'controlFlow',
            'to' => 'op-236controlFlow',
            'toOperator' => 'op-236',
            'toConnector' => 'controlFlow'
        ),
        'link-438' => array(
            'from' => 'op-227entity',
            'fromOperator' => 'op-227',
            'fromConnector' => 'entity',
            'to' => 'op-237entity',
            'toOperator' => 'op-237',
            'toConnector' => 'entity'
        ),
        'link-439' => array(
            'from' => 'op-233entity',
            'fromOperator' => 'op-233',
            'fromConnector' => 'entity',
            'to' => 'op-236entity',
            'toOperator' => 'op-236',
            'toConnector' => 'entity'
        ),
        'link-440' => array(
            'from' => 'op-229singleEntity',
            'fromOperator' => 'op-229',
            'fromConnector' => 'singleEntity',
            'to' => 'op-238entity',
            'toOperator' => 'op-238',
            'toConnector' => 'entity'
        ),
        'link-441' => array(
            'from' => 'op-238fields0',
            'fromOperator' => 'op-238',
            'fromConnector' => 'fields0',
            'to' => 'op-237fields0',
            'toOperator' => 'op-237',
            'toConnector' => 'fields0'
        ),
        'link-442' => array(
            'from' => 'op-234singleEntity',
            'fromOperator' => 'op-234',
            'fromConnector' => 'singleEntity',
            'to' => 'op-239entity',
            'toOperator' => 'op-239',
            'toConnector' => 'entity'
        ),
        'link-443' => array(
            'from' => 'op-239fields0',
            'fromOperator' => 'op-239',
            'fromConnector' => 'fields0',
            'to' => 'op-236fields0',
            'toOperator' => 'op-236',
            'toConnector' => 'fields0'
        ),
        'link-444' => array(
            'from' => 'op-237controlFlow',
            'fromOperator' => 'op-237',
            'fromConnector' => 'controlFlow',
            'to' => 'op-240controlFlow',
            'toOperator' => 'op-240',
            'toConnector' => 'controlFlow'
        ),
        'link-445' => array(
            'from' => 'op-237entity',
            'fromOperator' => 'op-237',
            'fromConnector' => 'entity',
            'to' => 'op-240entity',
            'toOperator' => 'op-240',
            'toConnector' => 'entity'
        ),
        'link-446' => array(
            'from' => 'op-240controlFlow',
            'fromOperator' => 'op-240',
            'fromConnector' => 'controlFlow',
            'to' => 'op-233controlFlow',
            'toOperator' => 'op-233',
            'toConnector' => 'controlFlow'
        ),
        'link-447' => array(
            'from' => 'op-11result',
            'fromOperator' => 'op-11',
            'fromConnector' => 'result',
            'to' => 'op-237fields8',
            'toOperator' => 'op-237',
            'toConnector' => 'fields8'
        ),
        'link-448' => array(
            'from' => 'op-241dropdownValue',
            'fromOperator' => 'op-241',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-237fields1',
            'toOperator' => 'op-237',
            'toConnector' => 'fields1'
        ),
        'link-449' => array(
            'from' => 'op-7dropdownValue',
            'fromOperator' => 'op-7',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-237fields4',
            'toOperator' => 'op-237',
            'toConnector' => 'fields4'
        ),
        'link-453' => array(
            'from' => 'op-7dropdownValue',
            'fromOperator' => 'op-7',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-236fields1',
            'toOperator' => 'op-236',
            'toConnector' => 'fields1'
        ),
        'link-455' => array(
            'from' => 'op-236controlFlow',
            'fromOperator' => 'op-236',
            'fromConnector' => 'controlFlow',
            'to' => 'op-242controlFlow',
            'toOperator' => 'op-242',
            'toConnector' => 'controlFlow'
        ),
        'link-456' => array(
            'from' => 'op-236entity',
            'fromOperator' => 'op-236',
            'fromConnector' => 'entity',
            'to' => 'op-242entity',
            'toOperator' => 'op-242',
            'toConnector' => 'entity'
        ),
        'link-457' => array(
            'from' => 'op-11result',
            'fromOperator' => 'op-11',
            'fromConnector' => 'result',
            'to' => 'op-236fields3',
            'toOperator' => 'op-236',
            'toConnector' => 'fields3'
        ),
        'link-513' => array(
            'from' => 'op-270controlFlow',
            'fromOperator' => 'op-270',
            'fromConnector' => 'controlFlow',
            'to' => 'op-2controlFlow',
            'toOperator' => 'op-2',
            'toConnector' => 'controlFlow'
        ),
        'link-514' => array(
            'from' => 'op-270isNewRecord',
            'fromOperator' => 'op-270',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-2condition',
            'toOperator' => 'op-2',
            'toConnector' => 'condition'
        ),
        'link-515' => array(
            'from' => 'op-2controlFlowIfTrue',
            'fromOperator' => 'op-2',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-3controlFlow',
            'toOperator' => 'op-3',
            'toConnector' => 'controlFlow'
        ),
        'link-518' => array(
            'from' => 'op-8controlFlow',
            'fromOperator' => 'op-8',
            'fromConnector' => 'controlFlow',
            'to' => 'op-272controlFlow',
            'toOperator' => 'op-272',
            'toConnector' => 'controlFlow'
        ),
        'link-519' => array(
            'from' => 'op-270entity',
            'fromOperator' => 'op-270',
            'fromConnector' => 'entity',
            'to' => 'op-272entity',
            'toOperator' => 'op-272',
            'toConnector' => 'entity'
        ),
        'link-521' => array(
            'from' => 'op-272singleEntity',
            'fromOperator' => 'op-272',
            'fromConnector' => 'singleEntity',
            'to' => 'op-273entity',
            'toOperator' => 'op-273',
            'toConnector' => 'entity'
        ),
        'link-522' => array(
            'from' => 'op-270entity',
            'fromOperator' => 'op-270',
            'fromConnector' => 'entity',
            'to' => 'op-274entity',
            'toOperator' => 'op-274',
            'toConnector' => 'entity'
        ),
        'link-523' => array(
            'from' => 'op-273fields0',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields0',
            'to' => 'op-4fields1',
            'toOperator' => 'op-4',
            'toConnector' => 'fields1'
        ),
        'link-524' => array(
            'from' => 'op-274fields0',
            'fromOperator' => 'op-274',
            'fromConnector' => 'fields0',
            'to' => 'op-4fields2',
            'toOperator' => 'op-4',
            'toConnector' => 'fields2'
        ),
        'link-525' => array(
            'from' => 'op-274fields0',
            'fromOperator' => 'op-274',
            'fromConnector' => 'fields0',
            'to' => 'op-237fields3',
            'toOperator' => 'op-237',
            'toConnector' => 'fields3'
        ),
        'link-526' => array(
            'from' => 'op-274fields0',
            'fromOperator' => 'op-274',
            'fromConnector' => 'fields0',
            'to' => 'op-236fields2',
            'toOperator' => 'op-236',
            'toConnector' => 'fields2'
        ),
        'link-527' => array(
            'from' => 'op-273fields1',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields1',
            'to' => 'op-237fields2',
            'toOperator' => 'op-237',
            'toConnector' => 'fields2'
        ),
        'link-528' => array(
            'from' => 'op-274fields1',
            'fromOperator' => 'op-274',
            'fromConnector' => 'fields1',
            'to' => 'op-11parameters0',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters0'
        ),
        'link-529' => array(
            'from' => 'op-274fields2',
            'fromOperator' => 'op-274',
            'fromConnector' => 'fields2',
            'to' => 'op-11parameters1',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters1'
        ),
        'link-531' => array(
            'from' => 'op-273fields1',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields1',
            'to' => 'op-11parameters5',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters5'
        ),
        'link-532' => array(
            'from' => 'op-273fields3',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields3',
            'to' => 'op-11parameters6',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters6'
        ),
        'link-533' => array(
            'from' => 'op-274fields3',
            'fromOperator' => 'op-274',
            'fromConnector' => 'fields3',
            'to' => 'op-11parameters3',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters3'
        ),
        'link-534' => array(
            'from' => 'op-273fields1',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields1',
            'to' => 'op-275id',
            'toOperator' => 'op-275',
            'toConnector' => 'id'
        ),
        'link-535' => array(
            'from' => 'op-275entity',
            'fromOperator' => 'op-275',
            'fromConnector' => 'entity',
            'to' => 'op-276entity',
            'toOperator' => 'op-276',
            'toConnector' => 'entity'
        ),
        'link-536' => array(
            'from' => 'op-276fields0',
            'fromOperator' => 'op-276',
            'fromConnector' => 'fields0',
            'to' => 'op-11parameters4',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters4'
        ),
        'link-552' => array(
            'from' => 'op-275controlFlow',
            'fromOperator' => 'op-275',
            'fromConnector' => 'controlFlow',
            'to' => 'op-292controlFlow',
            'toOperator' => 'op-292',
            'toConnector' => 'controlFlow'
        ),
        'link-553' => array(
            'from' => 'op-292controlFlow',
            'fromOperator' => 'op-292',
            'fromConnector' => 'controlFlow',
            'to' => 'op-4controlFlow',
            'toOperator' => 'op-4',
            'toConnector' => 'controlFlow'
        ),
        'link-554' => array(
            'from' => 'op-292entity',
            'fromOperator' => 'op-292',
            'fromConnector' => 'entity',
            'to' => 'op-293entity',
            'toOperator' => 'op-293',
            'toConnector' => 'entity'
        ),
        'link-555' => array(
            'from' => 'op-273fields4',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields4',
            'to' => 'op-292id',
            'toOperator' => 'op-292',
            'toConnector' => 'id'
        ),
        'link-556' => array(
            'from' => 'op-293fields0',
            'fromOperator' => 'op-293',
            'fromConnector' => 'fields0',
            'to' => 'op-11parameters7',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters7'
        ),
        'link-557' => array(
            'from' => 'op-274fields4',
            'fromOperator' => 'op-274',
            'fromConnector' => 'fields4',
            'to' => 'op-294id',
            'toOperator' => 'op-294',
            'toConnector' => 'id'
        ),
        'link-558' => array(
            'from' => 'op-272controlFlow',
            'fromOperator' => 'op-272',
            'fromConnector' => 'controlFlow',
            'to' => 'op-294controlFlow',
            'toOperator' => 'op-294',
            'toConnector' => 'controlFlow'
        ),
        'link-559' => array(
            'from' => 'op-294controlFlow',
            'fromOperator' => 'op-294',
            'fromConnector' => 'controlFlow',
            'to' => 'op-275controlFlow',
            'toOperator' => 'op-275',
            'toConnector' => 'controlFlow'
        ),
        'link-560' => array(
            'from' => 'op-295fields0',
            'fromOperator' => 'op-295',
            'fromConnector' => 'fields0',
            'to' => 'op-11parameters8',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters8'
        ),
        'link-561' => array(
            'from' => 'op-294entity',
            'fromOperator' => 'op-294',
            'fromConnector' => 'entity',
            'to' => 'op-295entity',
            'toOperator' => 'op-295',
            'toConnector' => 'entity'
        ),
        'link-627' => array(
            'from' => 'op-273fields5',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields5',
            'to' => 'op-11parameters9',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters9'
        ),
        'link-628' => array(
            'from' => 'op-273fields0',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields0',
            'to' => 'op-11parameters10',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters10'
        ),
        'link-633' => array(
            'from' => 'op-320link',
            'fromOperator' => 'op-320',
            'fromConnector' => 'link',
            'to' => 'op-11parameters11',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters11'
        ),
        'link-634' => array(
            'from' => 'op-319link',
            'fromOperator' => 'op-319',
            'fromConnector' => 'link',
            'to' => 'op-11parameters12',
            'toOperator' => 'op-11',
            'toConnector' => 'parameters12'
        ),
        'link-635' => array(
            'from' => 'op-273fields0',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields0',
            'to' => 'op-320id',
            'toOperator' => 'op-320',
            'toConnector' => 'id'
        ),
        'link-636' => array(
            'from' => 'op-273fields1',
            'fromOperator' => 'op-273',
            'fromConnector' => 'fields1',
            'to' => 'op-319id',
            'toOperator' => 'op-319',
            'toConnector' => 'id'
        ),
    )
);
