<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809471ba22_23891700/operators/FlowchartOperator_lb5bd0809471ba22_23891700.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809471ba22_23891700/dataStorage/CollectionStorage_lb5bd0809471ba22_23891700.php';

class AddElementToCollectionOperator_lb5bd0809471ba22_23891700 extends FlowchartOperator_lb5bd0809471ba22_23891700{

    protected $collectionId = array();
    protected $newElement = null;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'collection'){
            $this->collectionId = $value['collectionId'];
        }else if($id == 'element')
            $this->newElement = $value;
        }

    public function process($params = array()){
        CollectionStorage_lb5bd0809471ba22_23891700::addElement($this->collectionId, $this->newElement);
        unset($this->newElement);
    }

    public function getOutDataByPortId($portId){
        return array(
            'collectionId' => $this->collectionId,
            'collectionData' => CollectionStorage_lb5bd0809471ba22_23891700::getCollection($this->collectionId)
        );
    }

}
