<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'RevenueLineItems',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'RevenueLineItems',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'GreaterThanOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Opportunities',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'currency_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'amount',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'account_name',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Amount Decrease (Opportunity)',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-17' => array(
            'id' => 'op-17',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'likely_case',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'RevenueLineItems',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'GetHtmlTextFromTemplateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'templateName' => array(
                    'id' => 'templateName',
                                        'value' => 'c868fd92-cb70-11e7-be7f-000c29996212',
                                    ),
                'parameters0' => array(
                    'id' => 'parameters0',
                                        'value' => 'attribute_1',
                                        'section' => 'parameters',
                ),
                'parameters1' => array(
                    'id' => 'parameters1',
                                        'value' => 'attribute_2',
                                        'section' => 'parameters',
                ),
                'parameters2' => array(
                    'id' => 'parameters2',
                                        'value' => 'attribute_3',
                                        'section' => 'parameters',
                ),
                'parameters3' => array(
                    'id' => 'parameters3',
                                        'value' => 'attribute_4',
                                        'section' => 'parameters',
                ),
                'parameters4' => array(
                    'id' => 'parameters4',
                                        'value' => 'attribute_5',
                                        'section' => 'parameters',
                ),
                'parameters5' => array(
                    'id' => 'parameters5',
                                        'value' => 'attribute_6',
                                        'section' => 'parameters',
                ),
                'parameters6' => array(
                    'id' => 'parameters6',
                                        'value' => 'attribute_7',
                                        'section' => 'parameters',
                ),
                'parameters7' => array(
                    'id' => 'parameters7',
                                        'value' => 'attribute_8',
                                        'section' => 'parameters',
                ),
                'parameters8' => array(
                    'id' => 'parameters8',
                                        'value' => 'attribute_9',
                                        'section' => 'parameters',
                ),
                'parameters9' => array(
                    'id' => 'parameters9',
                                        'value' => 'attribute_10',
                                        'section' => 'parameters',
                ),
                'parameters10' => array(
                    'id' => 'parameters10',
                                        'value' => 'attribute_11',
                                        'section' => 'parameters',
                ),
                'parameters11' => array(
                    'id' => 'parameters11',
                                        'value' => 'attribute_12',
                                        'section' => 'parameters',
                ),
                'parameters12' => array(
                    'id' => 'parameters12',
                                        'value' => 'attribute_13',
                                        'section' => 'parameters',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Currencies',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Currencies',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'currency_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'symbol',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-24' => array(
            'id' => 'op-24',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'symbol',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-26' => array(
            'id' => 'op-26',
            'type' => 'MinusOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-27' => array(
            'id' => 'op-27',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-28' => array(
            'id' => 'op-28',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Account',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Account',
                                        ),
                                    ),
            ),
        ),
        'op-29' => array(
            'id' => 'op-29',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Account',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Account',
                                        ),
                                    ),
            ),
        ),
        'op-30' => array(
            'id' => 'op-30',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Account',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Account',
                                        ),
                                    ),
            ),
        ),
        'op-31' => array(
            'id' => 'op-31',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Account',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Account',
                                        ),
                                    ),
            ),
        ),
        'op-32' => array(
            'id' => 'op-32',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-33' => array(
            'id' => 'op-33',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-34' => array(
            'id' => 'op-34',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-35' => array(
            'id' => 'op-35',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Amount Decrease (Account)',
                                    ),
            ),
        ),
        'op-36' => array(
            'id' => 'op-36',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-37' => array(
            'id' => 'op-37',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Amount Decrease (RLI)',
                                    ),
            ),
        ),
        'op-38' => array(
            'id' => 'op-38',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-39' => array(
            'id' => 'op-39',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-40' => array(
            'id' => 'op-40',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-41' => array(
            'id' => 'op-41',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-42' => array(
            'id' => 'op-42',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-43' => array(
            'id' => 'op-43',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-44' => array(
            'id' => 'op-44',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-45' => array(
            'id' => 'op-45',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-46' => array(
            'id' => 'op-46',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-48' => array(
            'id' => 'op-48',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-49' => array(
            'id' => 'op-49',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Amount Increase (Opportunity)',
                                    ),
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-51' => array(
            'id' => 'op-51',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-52' => array(
            'id' => 'op-52',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-53' => array(
            'id' => 'op-53',
            'type' => 'GetHtmlTextFromTemplateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'templateName' => array(
                    'id' => 'templateName',
                                        'value' => '49ec5c3e-cb75-11e7-b75a-000c29996212',
                                    ),
                'parameters0' => array(
                    'id' => 'parameters0',
                                        'value' => 'attribute_1',
                                        'section' => 'parameters',
                ),
                'parameters1' => array(
                    'id' => 'parameters1',
                                        'value' => 'attribute_2',
                                        'section' => 'parameters',
                ),
                'parameters2' => array(
                    'id' => 'parameters2',
                                        'value' => 'attribute_3',
                                        'section' => 'parameters',
                ),
                'parameters3' => array(
                    'id' => 'parameters3',
                                        'value' => 'attribute_4',
                                        'section' => 'parameters',
                ),
                'parameters4' => array(
                    'id' => 'parameters4',
                                        'value' => 'attribute_5',
                                        'section' => 'parameters',
                ),
                'parameters5' => array(
                    'id' => 'parameters5',
                                        'value' => 'attribute_6',
                                        'section' => 'parameters',
                ),
                'parameters6' => array(
                    'id' => 'parameters6',
                                        'value' => 'attribute_7',
                                        'section' => 'parameters',
                ),
                'parameters7' => array(
                    'id' => 'parameters7',
                                        'value' => 'attribute_8',
                                        'section' => 'parameters',
                ),
                'parameters8' => array(
                    'id' => 'parameters8',
                                        'value' => 'attribute_9',
                                        'section' => 'parameters',
                ),
                'parameters9' => array(
                    'id' => 'parameters9',
                                        'value' => 'attribute_10',
                                        'section' => 'parameters',
                ),
                'parameters10' => array(
                    'id' => 'parameters10',
                                        'value' => 'attribute_11',
                                        'section' => 'parameters',
                ),
                'parameters11' => array(
                    'id' => 'parameters11',
                                        'value' => 'attribute_12',
                                        'section' => 'parameters',
                ),
                'parameters12' => array(
                    'id' => 'parameters12',
                                        'value' => 'attribute_13',
                                        'section' => 'parameters',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-54' => array(
            'id' => 'op-54',
            'type' => 'MinusOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-55' => array(
            'id' => 'op-55',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-56' => array(
            'id' => 'op-56',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-57' => array(
            'id' => 'op-57',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-58' => array(
            'id' => 'op-58',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-59' => array(
            'id' => 'op-59',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-60' => array(
            'id' => 'op-60',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-61' => array(
            'id' => 'op-61',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-62' => array(
            'id' => 'op-62',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-63' => array(
            'id' => 'op-63',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-64' => array(
            'id' => 'op-64',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Amount Increase (RLI)',
                                    ),
            ),
        ),
        'op-65' => array(
            'id' => 'op-65',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'RLI Amount Increase (Accounts)',
                                    ),
            ),
        ),
        'op-66' => array(
            'id' => 'op-66',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-67' => array(
            'id' => 'op-67',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-68' => array(
            'id' => 'op-68',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-69' => array(
            'id' => 'op-69',
            'type' => 'NotOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand' => array(
                    'id' => 'operand',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-358' => array(
            'id' => 'op-358',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Opportunities',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-359' => array(
            'id' => 'op-359',
            'type' => 'GetAttributeDataOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'attributeName' => array(
                    'id' => 'attributeName',
                                        'value' => 'likely_case',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
                'text' => array(
                    'id' => 'text',
                                        'value' => '',
                                    ),
                'label' => array(
                    'id' => 'label',
                                        'value' => '',
                                    ),
                'name' => array(
                    'id' => 'name',
                                        'value' => 'likely_case',
                                    ),
            ),
        ),
        'op-360' => array(
            'id' => 'op-360',
            'type' => 'GetAttributeDataOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'attributeName' => array(
                    'id' => 'attributeName',
                                        'value' => 'likely_case',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
                'text' => array(
                    'id' => 'text',
                                        'value' => '',
                                    ),
                'label' => array(
                    'id' => 'label',
                                        'value' => '',
                                    ),
                'name' => array(
                    'id' => 'name',
                                        'value' => 'likely_case',
                                    ),
            ),
        ),
        'op-361' => array(
            'id' => 'op-361',
            'type' => 'GetAttributeDataOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'attributeName' => array(
                    'id' => 'attributeName',
                                        'value' => 'likely_case',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
                'text' => array(
                    'id' => 'text',
                                        'value' => '',
                                    ),
                'label' => array(
                    'id' => 'label',
                                        'value' => '',
                                    ),
                'name' => array(
                    'id' => 'name',
                                        'value' => 'likely_case',
                                    ),
            ),
        ),
        'op-362' => array(
            'id' => 'op-362',
            'type' => 'GetAttributeDataOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'attributeName' => array(
                    'id' => 'attributeName',
                                        'value' => 'likely_case',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
                'text' => array(
                    'id' => 'text',
                                        'value' => '',
                                    ),
                'label' => array(
                    'id' => 'label',
                                        'value' => '',
                                    ),
                'name' => array(
                    'id' => 'name',
                                        'value' => 'likely_case',
                                    ),
            ),
        ),
        'op-363' => array(
            'id' => 'op-363',
            'type' => 'GetAttributeDataOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'attributeName' => array(
                    'id' => 'attributeName',
                                        'value' => 'likely_case',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
                'text' => array(
                    'id' => 'text',
                                        'value' => '',
                                    ),
                'label' => array(
                    'id' => 'label',
                                        'value' => '',
                                    ),
                'name' => array(
                    'id' => 'name',
                                        'value' => 'likely_case',
                                    ),
            ),
        ),
        'op-364' => array(
            'id' => 'op-364',
            'type' => 'GetAttributeDataOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'RevenueLineItems',
                                    ),
                'attributeName' => array(
                    'id' => 'attributeName',
                                        'value' => 'likely_case',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
                'text' => array(
                    'id' => 'text',
                                        'value' => '',
                                    ),
                'label' => array(
                    'id' => 'label',
                                        'value' => '',
                                    ),
                'name' => array(
                    'id' => 'name',
                                        'value' => 'likely_case',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-5' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-9entity',
            'toOperator' => 'op-9',
            'toConnector' => 'entity'
        ),
        'link-14' => array(
            'from' => 'op-9singleEntity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'singleEntity',
            'to' => 'op-10entity',
            'toOperator' => 'op-10',
            'toConnector' => 'entity'
        ),
        'link-16' => array(
            'from' => 'op-6result',
            'fromOperator' => 'op-6',
            'fromConnector' => 'result',
            'to' => 'op-11condition',
            'toOperator' => 'op-11',
            'toConnector' => 'condition'
        ),
        'link-17' => array(
            'from' => 'op-11controlFlowIfFalse',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-12controlFlow',
            'toOperator' => 'op-12',
            'toConnector' => 'controlFlow'
        ),
        'link-18' => array(
            'from' => 'op-13result',
            'fromOperator' => 'op-13',
            'fromConnector' => 'result',
            'to' => 'op-12fields0',
            'toOperator' => 'op-12',
            'toConnector' => 'fields0'
        ),
        'link-21' => array(
            'from' => 'op-12singleEntity',
            'fromOperator' => 'op-12',
            'fromConnector' => 'singleEntity',
            'to' => 'op-15entity',
            'toOperator' => 'op-15',
            'toConnector' => 'entity'
        ),
        'link-22' => array(
            'from' => 'op-15fields0',
            'fromOperator' => 'op-15',
            'fromConnector' => 'fields0',
            'to' => 'op-14fields0',
            'toOperator' => 'op-14',
            'toConnector' => 'fields0'
        ),
        'link-23' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-14fields2',
            'toOperator' => 'op-14',
            'toConnector' => 'fields2'
        ),
        'link-24' => array(
            'from' => 'op-16dropdownValue',
            'fromOperator' => 'op-16',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-14fields1',
            'toOperator' => 'op-14',
            'toConnector' => 'fields1'
        ),
        'link-25' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-17entity',
            'toOperator' => 'op-17',
            'toConnector' => 'entity'
        ),
        'link-26' => array(
            'from' => 'op-17fields0',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields0',
            'to' => 'op-14fields3',
            'toOperator' => 'op-14',
            'toConnector' => 'fields3'
        ),
        'link-27' => array(
            'from' => 'op-18dropdownValue',
            'fromOperator' => 'op-18',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-14fields4',
            'toOperator' => 'op-14',
            'toConnector' => 'fields4'
        ),
        'link-28' => array(
            'from' => 'op-19result',
            'fromOperator' => 'op-19',
            'fromConnector' => 'result',
            'to' => 'op-14fields5',
            'toOperator' => 'op-14',
            'toConnector' => 'fields5'
        ),
        'link-29' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-21controlFlow',
            'toOperator' => 'op-21',
            'toConnector' => 'controlFlow'
        ),
        'link-30' => array(
            'from' => 'op-21controlFlow',
            'fromOperator' => 'op-21',
            'fromConnector' => 'controlFlow',
            'to' => 'op-20controlFlow',
            'toOperator' => 'op-20',
            'toConnector' => 'controlFlow'
        ),
        'link-33' => array(
            'from' => 'op-10fields1',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields1',
            'to' => 'op-21id',
            'toOperator' => 'op-21',
            'toConnector' => 'id'
        ),
        'link-34' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-22entity',
            'toOperator' => 'op-22',
            'toConnector' => 'entity'
        ),
        'link-35' => array(
            'from' => 'op-22fields0',
            'fromOperator' => 'op-22',
            'fromConnector' => 'fields0',
            'to' => 'op-20id',
            'toOperator' => 'op-20',
            'toConnector' => 'id'
        ),
        'link-36' => array(
            'from' => 'op-21entity',
            'fromOperator' => 'op-21',
            'fromConnector' => 'entity',
            'to' => 'op-24entity',
            'toOperator' => 'op-24',
            'toConnector' => 'entity'
        ),
        'link-37' => array(
            'from' => 'op-20entity',
            'fromOperator' => 'op-20',
            'fromConnector' => 'entity',
            'to' => 'op-23entity',
            'toOperator' => 'op-23',
            'toConnector' => 'entity'
        ),
        'link-38' => array(
            'from' => 'op-24fields0',
            'fromOperator' => 'op-24',
            'fromConnector' => 'fields0',
            'to' => 'op-19parameters5',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters5'
        ),
        'link-39' => array(
            'from' => 'op-23fields0',
            'fromOperator' => 'op-23',
            'fromConnector' => 'fields0',
            'to' => 'op-19parameters2',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters2'
        ),
        'link-40' => array(
            'from' => 'op-17fields1',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields1',
            'to' => 'op-19parameters0',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters0'
        ),
        'link-44' => array(
            'from' => 'op-26result',
            'fromOperator' => 'op-26',
            'fromConnector' => 'result',
            'to' => 'op-19parameters1',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters1'
        ),
        'link-47' => array(
            'from' => 'op-10fields2',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields2',
            'to' => 'op-19parameters6',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters6'
        ),
        'link-48' => array(
            'from' => 'op-14controlFlow',
            'fromOperator' => 'op-14',
            'fromConnector' => 'controlFlow',
            'to' => 'op-27controlFlow',
            'toOperator' => 'op-27',
            'toConnector' => 'controlFlow'
        ),
        'link-49' => array(
            'from' => 'op-14entity',
            'fromOperator' => 'op-14',
            'fromConnector' => 'entity',
            'to' => 'op-27entity',
            'toOperator' => 'op-27',
            'toConnector' => 'entity'
        ),
        'link-50' => array(
            'from' => 'op-20controlFlow',
            'fromOperator' => 'op-20',
            'fromConnector' => 'controlFlow',
            'to' => 'op-28controlFlow',
            'toOperator' => 'op-28',
            'toConnector' => 'controlFlow'
        ),
        'link-51' => array(
            'from' => 'op-29schema',
            'fromOperator' => 'op-29',
            'fromConnector' => 'schema',
            'to' => 'op-28schema',
            'toOperator' => 'op-28',
            'toConnector' => 'schema'
        ),
        'link-52' => array(
            'from' => 'op-28controlFlow',
            'fromOperator' => 'op-28',
            'fromConnector' => 'controlFlow',
            'to' => 'op-30controlFlow',
            'toOperator' => 'op-30',
            'toConnector' => 'controlFlow'
        ),
        'link-53' => array(
            'from' => 'op-28structure',
            'fromOperator' => 'op-28',
            'fromConnector' => 'structure',
            'to' => 'op-30structure',
            'toOperator' => 'op-30',
            'toConnector' => 'structure'
        ),
        'link-54' => array(
            'from' => 'op-10fields3',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields3',
            'to' => 'op-30fields0',
            'toOperator' => 'op-30',
            'toConnector' => 'fields0'
        ),
        'link-55' => array(
            'from' => 'op-30controlFlow',
            'fromOperator' => 'op-30',
            'fromConnector' => 'controlFlow',
            'to' => 'op-31controlFlow',
            'toOperator' => 'op-31',
            'toConnector' => 'controlFlow'
        ),
        'link-56' => array(
            'from' => 'op-30structure',
            'fromOperator' => 'op-30',
            'fromConnector' => 'structure',
            'to' => 'op-31structure',
            'toOperator' => 'op-31',
            'toConnector' => 'structure'
        ),
        'link-57' => array(
            'from' => 'op-33decorator',
            'fromOperator' => 'op-33',
            'fromConnector' => 'decorator',
            'to' => 'op-31decorator',
            'toOperator' => 'op-31',
            'toConnector' => 'decorator'
        ),
        'link-58' => array(
            'from' => 'op-32link',
            'fromOperator' => 'op-32',
            'fromConnector' => 'link',
            'to' => 'op-33link',
            'toOperator' => 'op-33',
            'toConnector' => 'link'
        ),
        'link-59' => array(
            'from' => 'op-10fields4',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields4',
            'to' => 'op-32id',
            'toOperator' => 'op-32',
            'toConnector' => 'id'
        ),
        'link-60' => array(
            'from' => 'op-31controlFlow',
            'fromOperator' => 'op-31',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-61' => array(
            'from' => 'op-31structure',
            'fromOperator' => 'op-31',
            'fromConnector' => 'structure',
            'to' => 'op-14fields6',
            'toOperator' => 'op-14',
            'toConnector' => 'fields6'
        ),
        'link-62' => array(
            'from' => 'op-27controlFlow',
            'fromOperator' => 'op-27',
            'fromConnector' => 'controlFlow',
            'to' => 'op-34controlFlow',
            'toOperator' => 'op-34',
            'toConnector' => 'controlFlow'
        ),
        'link-63' => array(
            'from' => 'op-35result',
            'fromOperator' => 'op-35',
            'fromConnector' => 'result',
            'to' => 'op-34fields0',
            'toOperator' => 'op-34',
            'toConnector' => 'fields0'
        ),
        'link-64' => array(
            'from' => 'op-37result',
            'fromOperator' => 'op-37',
            'fromConnector' => 'result',
            'to' => 'op-36fields0',
            'toOperator' => 'op-36',
            'toConnector' => 'fields0'
        ),
        'link-69' => array(
            'from' => 'op-34singleEntity',
            'fromOperator' => 'op-34',
            'fromConnector' => 'singleEntity',
            'to' => 'op-40entity',
            'toOperator' => 'op-40',
            'toConnector' => 'entity'
        ),
        'link-70' => array(
            'from' => 'op-40fields0',
            'fromOperator' => 'op-40',
            'fromConnector' => 'fields0',
            'to' => 'op-38fields0',
            'toOperator' => 'op-38',
            'toConnector' => 'fields0'
        ),
        'link-71' => array(
            'from' => 'op-36singleEntity',
            'fromOperator' => 'op-36',
            'fromConnector' => 'singleEntity',
            'to' => 'op-41entity',
            'toOperator' => 'op-41',
            'toConnector' => 'entity'
        ),
        'link-72' => array(
            'from' => 'op-41fields0',
            'fromOperator' => 'op-41',
            'fromConnector' => 'fields0',
            'to' => 'op-39fields0',
            'toOperator' => 'op-39',
            'toConnector' => 'fields0'
        ),
        'link-73' => array(
            'from' => 'op-42dropdownValue',
            'fromOperator' => 'op-42',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-38fields1',
            'toOperator' => 'op-38',
            'toConnector' => 'fields1'
        ),
        'link-74' => array(
            'from' => 'op-10fields4',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields4',
            'to' => 'op-38fields2',
            'toOperator' => 'op-38',
            'toConnector' => 'fields2'
        ),
        'link-75' => array(
            'from' => 'op-18dropdownValue',
            'fromOperator' => 'op-18',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-39fields1',
            'toOperator' => 'op-39',
            'toConnector' => 'fields1'
        ),
        'link-76' => array(
            'from' => 'op-17fields0',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields0',
            'to' => 'op-39fields2',
            'toOperator' => 'op-39',
            'toConnector' => 'fields2'
        ),
        'link-77' => array(
            'from' => 'op-18dropdownValue',
            'fromOperator' => 'op-18',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-38fields3',
            'toOperator' => 'op-38',
            'toConnector' => 'fields3'
        ),
        'link-78' => array(
            'from' => 'op-17fields0',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields0',
            'to' => 'op-38fields4',
            'toOperator' => 'op-38',
            'toConnector' => 'fields4'
        ),
        'link-79' => array(
            'from' => 'op-19result',
            'fromOperator' => 'op-19',
            'fromConnector' => 'result',
            'to' => 'op-38fields5',
            'toOperator' => 'op-38',
            'toConnector' => 'fields5'
        ),
        'link-80' => array(
            'from' => 'op-31structure',
            'fromOperator' => 'op-31',
            'fromConnector' => 'structure',
            'to' => 'op-39fields3',
            'toOperator' => 'op-39',
            'toConnector' => 'fields3'
        ),
        'link-81' => array(
            'from' => 'op-19result',
            'fromOperator' => 'op-19',
            'fromConnector' => 'result',
            'to' => 'op-39fields4',
            'toOperator' => 'op-39',
            'toConnector' => 'fields4'
        ),
        'link-82' => array(
            'from' => 'op-38controlFlow',
            'fromOperator' => 'op-38',
            'fromConnector' => 'controlFlow',
            'to' => 'op-44controlFlow',
            'toOperator' => 'op-44',
            'toConnector' => 'controlFlow'
        ),
        'link-83' => array(
            'from' => 'op-39controlFlow',
            'fromOperator' => 'op-39',
            'fromConnector' => 'controlFlow',
            'to' => 'op-43controlFlow',
            'toOperator' => 'op-43',
            'toConnector' => 'controlFlow'
        ),
        'link-84' => array(
            'from' => 'op-39entity',
            'fromOperator' => 'op-39',
            'fromConnector' => 'entity',
            'to' => 'op-43entity',
            'toOperator' => 'op-43',
            'toConnector' => 'entity'
        ),
        'link-85' => array(
            'from' => 'op-38entity',
            'fromOperator' => 'op-38',
            'fromConnector' => 'entity',
            'to' => 'op-44entity',
            'toOperator' => 'op-44',
            'toConnector' => 'entity'
        ),
        'link-86' => array(
            'from' => 'op-34controlFlow',
            'fromOperator' => 'op-34',
            'fromConnector' => 'controlFlow',
            'to' => 'op-45controlFlow',
            'toOperator' => 'op-45',
            'toConnector' => 'controlFlow'
        ),
        'link-87' => array(
            'from' => 'op-45controlFlow',
            'fromOperator' => 'op-45',
            'fromConnector' => 'controlFlow',
            'to' => 'op-38controlFlow',
            'toOperator' => 'op-38',
            'toConnector' => 'controlFlow'
        ),
        'link-88' => array(
            'from' => 'op-45entity',
            'fromOperator' => 'op-45',
            'fromConnector' => 'entity',
            'to' => 'op-38entity',
            'toOperator' => 'op-38',
            'toConnector' => 'entity'
        ),
        'link-89' => array(
            'from' => 'op-46entity',
            'fromOperator' => 'op-46',
            'fromConnector' => 'entity',
            'to' => 'op-39entity',
            'toOperator' => 'op-39',
            'toConnector' => 'entity'
        ),
        'link-90' => array(
            'from' => 'op-36controlFlow',
            'fromOperator' => 'op-36',
            'fromConnector' => 'controlFlow',
            'to' => 'op-46controlFlow',
            'toOperator' => 'op-46',
            'toConnector' => 'controlFlow'
        ),
        'link-91' => array(
            'from' => 'op-46controlFlow',
            'fromOperator' => 'op-46',
            'fromConnector' => 'controlFlow',
            'to' => 'op-39controlFlow',
            'toOperator' => 'op-39',
            'toConnector' => 'controlFlow'
        ),
        'link-92' => array(
            'from' => 'op-44controlFlow',
            'fromOperator' => 'op-44',
            'fromConnector' => 'controlFlow',
            'to' => 'op-36controlFlow',
            'toOperator' => 'op-36',
            'toConnector' => 'controlFlow'
        ),
        'link-93' => array(
            'from' => 'op-47entity',
            'fromOperator' => 'op-47',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-94' => array(
            'from' => 'op-47controlFlow',
            'fromOperator' => 'op-47',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-95' => array(
            'from' => 'op-12controlFlow',
            'fromOperator' => 'op-12',
            'fromConnector' => 'controlFlow',
            'to' => 'op-47controlFlow',
            'toOperator' => 'op-47',
            'toConnector' => 'controlFlow'
        ),
        'link-96' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-97' => array(
            'from' => 'op-11controlFlowIfTrue',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-48controlFlow',
            'toOperator' => 'op-48',
            'toConnector' => 'controlFlow'
        ),
        'link-98' => array(
            'from' => 'op-49result',
            'fromOperator' => 'op-49',
            'fromConnector' => 'result',
            'to' => 'op-48fields0',
            'toOperator' => 'op-48',
            'toConnector' => 'fields0'
        ),
        'link-99' => array(
            'from' => 'op-48controlFlow',
            'fromOperator' => 'op-48',
            'fromConnector' => 'controlFlow',
            'to' => 'op-50controlFlow',
            'toOperator' => 'op-50',
            'toConnector' => 'controlFlow'
        ),
        'link-100' => array(
            'from' => 'op-48singleEntity',
            'fromOperator' => 'op-48',
            'fromConnector' => 'singleEntity',
            'to' => 'op-51entity',
            'toOperator' => 'op-51',
            'toConnector' => 'entity'
        ),
        'link-101' => array(
            'from' => 'op-50controlFlow',
            'fromOperator' => 'op-50',
            'fromConnector' => 'controlFlow',
            'to' => 'op-52controlFlow',
            'toOperator' => 'op-52',
            'toConnector' => 'controlFlow'
        ),
        'link-102' => array(
            'from' => 'op-50entity',
            'fromOperator' => 'op-50',
            'fromConnector' => 'entity',
            'to' => 'op-52entity',
            'toOperator' => 'op-52',
            'toConnector' => 'entity'
        ),
        'link-103' => array(
            'from' => 'op-51fields0',
            'fromOperator' => 'op-51',
            'fromConnector' => 'fields0',
            'to' => 'op-52fields2',
            'toOperator' => 'op-52',
            'toConnector' => 'fields2'
        ),
        'link-104' => array(
            'from' => 'op-16dropdownValue',
            'fromOperator' => 'op-16',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-52fields0',
            'toOperator' => 'op-52',
            'toConnector' => 'fields0'
        ),
        'link-105' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-52fields1',
            'toOperator' => 'op-52',
            'toConnector' => 'fields1'
        ),
        'link-106' => array(
            'from' => 'op-18dropdownValue',
            'fromOperator' => 'op-18',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-52fields3',
            'toOperator' => 'op-52',
            'toConnector' => 'fields3'
        ),
        'link-107' => array(
            'from' => 'op-17fields0',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields0',
            'to' => 'op-52fields4',
            'toOperator' => 'op-52',
            'toConnector' => 'fields4'
        ),
        'link-108' => array(
            'from' => 'op-31structure',
            'fromOperator' => 'op-31',
            'fromConnector' => 'structure',
            'to' => 'op-52fields5',
            'toOperator' => 'op-52',
            'toConnector' => 'fields5'
        ),
        'link-109' => array(
            'from' => 'op-53result',
            'fromOperator' => 'op-53',
            'fromConnector' => 'result',
            'to' => 'op-52fields7',
            'toOperator' => 'op-52',
            'toConnector' => 'fields7'
        ),
        'link-110' => array(
            'from' => 'op-17fields1',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields1',
            'to' => 'op-53parameters0',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters0'
        ),
        'link-111' => array(
            'from' => 'op-54result',
            'fromOperator' => 'op-54',
            'fromConnector' => 'result',
            'to' => 'op-53parameters1',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters1'
        ),
        'link-114' => array(
            'from' => 'op-24fields0',
            'fromOperator' => 'op-24',
            'fromConnector' => 'fields0',
            'to' => 'op-53parameters5',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters5'
        ),
        'link-115' => array(
            'from' => 'op-10fields2',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields2',
            'to' => 'op-53parameters6',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters6'
        ),
        'link-118' => array(
            'from' => 'op-23fields0',
            'fromOperator' => 'op-23',
            'fromConnector' => 'fields0',
            'to' => 'op-53parameters2',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters2'
        ),
        'link-119' => array(
            'from' => 'op-52controlFlow',
            'fromOperator' => 'op-52',
            'fromConnector' => 'controlFlow',
            'to' => 'op-55controlFlow',
            'toOperator' => 'op-55',
            'toConnector' => 'controlFlow'
        ),
        'link-120' => array(
            'from' => 'op-52entity',
            'fromOperator' => 'op-52',
            'fromConnector' => 'entity',
            'to' => 'op-55entity',
            'toOperator' => 'op-55',
            'toConnector' => 'entity'
        ),
        'link-121' => array(
            'from' => 'op-55controlFlow',
            'fromOperator' => 'op-55',
            'fromConnector' => 'controlFlow',
            'to' => 'op-59controlFlow',
            'toOperator' => 'op-59',
            'toConnector' => 'controlFlow'
        ),
        'link-122' => array(
            'from' => 'op-64result',
            'fromOperator' => 'op-64',
            'fromConnector' => 'result',
            'to' => 'op-58fields0',
            'toOperator' => 'op-58',
            'toConnector' => 'fields0'
        ),
        'link-123' => array(
            'from' => 'op-65result',
            'fromOperator' => 'op-65',
            'fromConnector' => 'result',
            'to' => 'op-59fields0',
            'toOperator' => 'op-59',
            'toConnector' => 'fields0'
        ),
        'link-124' => array(
            'from' => 'op-59singleEntity',
            'fromOperator' => 'op-59',
            'fromConnector' => 'singleEntity',
            'to' => 'op-63entity',
            'toOperator' => 'op-63',
            'toConnector' => 'entity'
        ),
        'link-125' => array(
            'from' => 'op-59controlFlow',
            'fromOperator' => 'op-59',
            'fromConnector' => 'controlFlow',
            'to' => 'op-56controlFlow',
            'toOperator' => 'op-56',
            'toConnector' => 'controlFlow'
        ),
        'link-126' => array(
            'from' => 'op-56controlFlow',
            'fromOperator' => 'op-56',
            'fromConnector' => 'controlFlow',
            'to' => 'op-60controlFlow',
            'toOperator' => 'op-60',
            'toConnector' => 'controlFlow'
        ),
        'link-127' => array(
            'from' => 'op-56entity',
            'fromOperator' => 'op-56',
            'fromConnector' => 'entity',
            'to' => 'op-60entity',
            'toOperator' => 'op-60',
            'toConnector' => 'entity'
        ),
        'link-128' => array(
            'from' => 'op-63fields0',
            'fromOperator' => 'op-63',
            'fromConnector' => 'fields0',
            'to' => 'op-60fields0',
            'toOperator' => 'op-60',
            'toConnector' => 'fields0'
        ),
        'link-129' => array(
            'from' => 'op-42dropdownValue',
            'fromOperator' => 'op-42',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-60fields1',
            'toOperator' => 'op-60',
            'toConnector' => 'fields1'
        ),
        'link-130' => array(
            'from' => 'op-10fields4',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields4',
            'to' => 'op-60fields2',
            'toOperator' => 'op-60',
            'toConnector' => 'fields2'
        ),
        'link-131' => array(
            'from' => 'op-18dropdownValue',
            'fromOperator' => 'op-18',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-60fields4',
            'toOperator' => 'op-60',
            'toConnector' => 'fields4'
        ),
        'link-132' => array(
            'from' => 'op-17fields0',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields0',
            'to' => 'op-60fields3',
            'toOperator' => 'op-60',
            'toConnector' => 'fields3'
        ),
        'link-133' => array(
            'from' => 'op-53result',
            'fromOperator' => 'op-53',
            'fromConnector' => 'result',
            'to' => 'op-60fields5',
            'toOperator' => 'op-60',
            'toConnector' => 'fields5'
        ),
        'link-134' => array(
            'from' => 'op-60controlFlow',
            'fromOperator' => 'op-60',
            'fromConnector' => 'controlFlow',
            'to' => 'op-66controlFlow',
            'toOperator' => 'op-66',
            'toConnector' => 'controlFlow'
        ),
        'link-135' => array(
            'from' => 'op-60entity',
            'fromOperator' => 'op-60',
            'fromConnector' => 'entity',
            'to' => 'op-66entity',
            'toOperator' => 'op-66',
            'toConnector' => 'entity'
        ),
        'link-136' => array(
            'from' => 'op-66controlFlow',
            'fromOperator' => 'op-66',
            'fromConnector' => 'controlFlow',
            'to' => 'op-58controlFlow',
            'toOperator' => 'op-58',
            'toConnector' => 'controlFlow'
        ),
        'link-137' => array(
            'from' => 'op-58controlFlow',
            'fromOperator' => 'op-58',
            'fromConnector' => 'controlFlow',
            'to' => 'op-57controlFlow',
            'toOperator' => 'op-57',
            'toConnector' => 'controlFlow'
        ),
        'link-138' => array(
            'from' => 'op-58singleEntity',
            'fromOperator' => 'op-58',
            'fromConnector' => 'singleEntity',
            'to' => 'op-62entity',
            'toOperator' => 'op-62',
            'toConnector' => 'entity'
        ),
        'link-139' => array(
            'from' => 'op-57controlFlow',
            'fromOperator' => 'op-57',
            'fromConnector' => 'controlFlow',
            'to' => 'op-61controlFlow',
            'toOperator' => 'op-61',
            'toConnector' => 'controlFlow'
        ),
        'link-140' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-61entity',
            'toOperator' => 'op-61',
            'toConnector' => 'entity'
        ),
        'link-141' => array(
            'from' => 'op-62fields0',
            'fromOperator' => 'op-62',
            'fromConnector' => 'fields0',
            'to' => 'op-61fields0',
            'toOperator' => 'op-61',
            'toConnector' => 'fields0'
        ),
        'link-142' => array(
            'from' => 'op-61controlFlow',
            'fromOperator' => 'op-61',
            'fromConnector' => 'controlFlow',
            'to' => 'op-67controlFlow',
            'toOperator' => 'op-67',
            'toConnector' => 'controlFlow'
        ),
        'link-143' => array(
            'from' => 'op-61entity',
            'fromOperator' => 'op-61',
            'fromConnector' => 'entity',
            'to' => 'op-67entity',
            'toOperator' => 'op-67',
            'toConnector' => 'entity'
        ),
        'link-144' => array(
            'from' => 'op-18dropdownValue',
            'fromOperator' => 'op-18',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-61fields2',
            'toOperator' => 'op-61',
            'toConnector' => 'fields2'
        ),
        'link-145' => array(
            'from' => 'op-17fields0',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields0',
            'to' => 'op-61fields1',
            'toOperator' => 'op-61',
            'toConnector' => 'fields1'
        ),
        'link-146' => array(
            'from' => 'op-53result',
            'fromOperator' => 'op-53',
            'fromConnector' => 'result',
            'to' => 'op-61fields3',
            'toOperator' => 'op-61',
            'toConnector' => 'fields3'
        ),
        'link-147' => array(
            'from' => 'op-31structure',
            'fromOperator' => 'op-31',
            'fromConnector' => 'structure',
            'to' => 'op-61fields4',
            'toOperator' => 'op-61',
            'toConnector' => 'fields4'
        ),
        'link-148' => array(
            'from' => 'op-68result',
            'fromOperator' => 'op-68',
            'fromConnector' => 'result',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-149' => array(
            'from' => 'op-4result',
            'fromOperator' => 'op-4',
            'fromConnector' => 'result',
            'to' => 'op-68operand2',
            'toOperator' => 'op-68',
            'toConnector' => 'operand2'
        ),
        'link-150' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-69operand',
            'toOperator' => 'op-69',
            'toConnector' => 'operand'
        ),
        'link-151' => array(
            'from' => 'op-69result',
            'fromOperator' => 'op-69',
            'fromConnector' => 'result',
            'to' => 'op-68operand1',
            'toOperator' => 'op-68',
            'toConnector' => 'operand1'
        ),
        'link-619' => array(
            'from' => 'op-10fields5',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields5',
            'to' => 'op-53parameters7',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters7'
        ),
        'link-620' => array(
            'from' => 'op-10fields3',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields3',
            'to' => 'op-53parameters8',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters8'
        ),
        'link-621' => array(
            'from' => 'op-10fields3',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields3',
            'to' => 'op-19parameters8',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters8'
        ),
        'link-622' => array(
            'from' => 'op-10fields5',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields5',
            'to' => 'op-19parameters7',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters7'
        ),
        'link-633' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-19parameters9',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters9'
        ),
        'link-634' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-53parameters9',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters9'
        ),
        'link-635' => array(
            'from' => 'op-10fields4',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields4',
            'to' => 'op-53parameters10',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters10'
        ),
        'link-636' => array(
            'from' => 'op-10fields4',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields4',
            'to' => 'op-19parameters10',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters10'
        ),
        'link-703' => array(
            'from' => 'op-32link',
            'fromOperator' => 'op-32',
            'fromConnector' => 'link',
            'to' => 'op-19parameters12',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters12'
        ),
        'link-704' => array(
            'from' => 'op-358link',
            'fromOperator' => 'op-358',
            'fromConnector' => 'link',
            'to' => 'op-19parameters11',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters11'
        ),
        'link-705' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-358id',
            'toOperator' => 'op-358',
            'toConnector' => 'id'
        ),
        'link-706' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-360entity',
            'toOperator' => 'op-360',
            'toConnector' => 'entity'
        ),
        'link-707' => array(
            'from' => 'op-360value',
            'fromOperator' => 'op-360',
            'fromConnector' => 'value',
            'to' => 'op-26operand1',
            'toOperator' => 'op-26',
            'toConnector' => 'operand1'
        ),
        'link-708' => array(
            'from' => 'op-360value',
            'fromOperator' => 'op-360',
            'fromConnector' => 'value',
            'to' => 'op-19parameters3',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters3'
        ),
        'link-710' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-359entity',
            'toOperator' => 'op-359',
            'toConnector' => 'entity'
        ),
        'link-711' => array(
            'from' => 'op-359value',
            'fromOperator' => 'op-359',
            'fromConnector' => 'value',
            'to' => 'op-26operand2',
            'toOperator' => 'op-26',
            'toConnector' => 'operand2'
        ),
        'link-712' => array(
            'from' => 'op-359value',
            'fromOperator' => 'op-359',
            'fromConnector' => 'value',
            'to' => 'op-19parameters4',
            'toOperator' => 'op-19',
            'toConnector' => 'parameters4'
        ),
        'link-714' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-362entity',
            'toOperator' => 'op-362',
            'toConnector' => 'entity'
        ),
        'link-715' => array(
            'from' => 'op-362value',
            'fromOperator' => 'op-362',
            'fromConnector' => 'value',
            'to' => 'op-54operand1',
            'toOperator' => 'op-54',
            'toConnector' => 'operand1'
        ),
        'link-716' => array(
            'from' => 'op-362value',
            'fromOperator' => 'op-362',
            'fromConnector' => 'value',
            'to' => 'op-53parameters4',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters4'
        ),
        'link-717' => array(
            'from' => 'op-361value',
            'fromOperator' => 'op-361',
            'fromConnector' => 'value',
            'to' => 'op-54operand2',
            'toOperator' => 'op-54',
            'toConnector' => 'operand2'
        ),
        'link-718' => array(
            'from' => 'op-361value',
            'fromOperator' => 'op-361',
            'fromConnector' => 'value',
            'to' => 'op-53parameters3',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters3'
        ),
        'link-719' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-361entity',
            'toOperator' => 'op-361',
            'toConnector' => 'entity'
        ),
        'link-720' => array(
            'from' => 'op-32link',
            'fromOperator' => 'op-32',
            'fromConnector' => 'link',
            'to' => 'op-53parameters12',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters12'
        ),
        'link-721' => array(
            'from' => 'op-358link',
            'fromOperator' => 'op-358',
            'fromConnector' => 'link',
            'to' => 'op-53parameters11',
            'toOperator' => 'op-53',
            'toConnector' => 'parameters11'
        ),
        'link-722' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-364entity',
            'toOperator' => 'op-364',
            'toConnector' => 'entity'
        ),
        'link-723' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-363entity',
            'toOperator' => 'op-363',
            'toConnector' => 'entity'
        ),
        'link-724' => array(
            'from' => 'op-364value',
            'fromOperator' => 'op-364',
            'fromConnector' => 'value',
            'to' => 'op-4operand1',
            'toOperator' => 'op-4',
            'toConnector' => 'operand1'
        ),
        'link-725' => array(
            'from' => 'op-363value',
            'fromOperator' => 'op-363',
            'fromConnector' => 'value',
            'to' => 'op-4operand2',
            'toOperator' => 'op-4',
            'toConnector' => 'operand2'
        ),
        'link-726' => array(
            'from' => 'op-364value',
            'fromOperator' => 'op-364',
            'fromConnector' => 'value',
            'to' => 'op-6operand1',
            'toOperator' => 'op-6',
            'toConnector' => 'operand1'
        ),
        'link-727' => array(
            'from' => 'op-363value',
            'fromOperator' => 'op-363',
            'fromConnector' => 'value',
            'to' => 'op-6operand2',
            'toOperator' => 'op-6',
            'toConnector' => 'operand2'
        ),
    )
);
