<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809f640752_81469867/operators/FlowchartOperator_lb5bd0809f640752_81469867.php';

class SetEntityAttributesOperator_lb5bd0809f640752_81469867_op39 extends FlowchartOperator_lb5bd0809f640752_81469867{

    protected $entity;
    protected $attributes;

    public function __construct($params){
        parent::__construct($params);
    }

    public function process($params = array()){
        $this->initBeanWithInData();
    }

    protected function initBeanWithInData(){
        $fieldDef = $this->entity->field_defs['event_id'];
        switch($fieldDef['type']){
            case 'date':
            case 'datetime':
            case 'datetimecombo':
                require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809f640752_81469867/helpers/DateTimeConverter_lb5bd0809f640752_81469867.php';
                $newValue = DateTimeConverter_lb5bd0809f640752_81469867::convertDateForEntitySet($fieldDef, $this->attributes['event_id']);
                $this->entity->event_id = $newValue;
                break;
            default:
                $this->entity->event_id = $this->attributes['event_id'];
            }
        $fieldDef = $this->entity->field_defs['parent_type'];
        switch($fieldDef['type']){
            case 'date':
            case 'datetime':
            case 'datetimecombo':
                require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809f640752_81469867/helpers/DateTimeConverter_lb5bd0809f640752_81469867.php';
                $newValue = DateTimeConverter_lb5bd0809f640752_81469867::convertDateForEntitySet($fieldDef, $this->attributes['parent_type']);
                $this->entity->parent_type = $newValue;
                break;
            default:
                $this->entity->parent_type = $this->attributes['parent_type'];
            }
        $fieldDef = $this->entity->field_defs['parent_id'];
        switch($fieldDef['type']){
            case 'date':
            case 'datetime':
            case 'datetimecombo':
                require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809f640752_81469867/helpers/DateTimeConverter_lb5bd0809f640752_81469867.php';
                $newValue = DateTimeConverter_lb5bd0809f640752_81469867::convertDateForEntitySet($fieldDef, $this->attributes['parent_id']);
                $this->entity->parent_id = $newValue;
                break;
            default:
                $this->entity->parent_id = $this->attributes['parent_id'];
            }
        $fieldDef = $this->entity->field_defs['context'];
        switch($fieldDef['type']){
            case 'date':
            case 'datetime':
            case 'datetimecombo':
                require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809f640752_81469867/helpers/DateTimeConverter_lb5bd0809f640752_81469867.php';
                $newValue = DateTimeConverter_lb5bd0809f640752_81469867::convertDateForEntitySet($fieldDef, $this->attributes['context']);
                $this->entity->context = $newValue;
                break;
            default:
                $this->entity->context = $this->attributes['context'];
            }
        $fieldDef = $this->entity->field_defs['name_html'];
        switch($fieldDef['type']){
            case 'date':
            case 'datetime':
            case 'datetimecombo':
                require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809f640752_81469867/helpers/DateTimeConverter_lb5bd0809f640752_81469867.php';
                $newValue = DateTimeConverter_lb5bd0809f640752_81469867::convertDateForEntitySet($fieldDef, $this->attributes['name_html']);
                $this->entity->name_html = $newValue;
                break;
            default:
                $this->entity->name_html = $this->attributes['name_html'];
            }
    }

    public function setInDataPortById($id, $value){
        if(!empty($this->inDataPorts[$id])){
            if($value instanceof SugarBean){
                $this->entity = $value;
            }else{
                $this->attributes[$this->inDataPorts[$id]['value']] = $value;
            }
        }
    }

    public function getOutDataByPortId($portId){
        return $this->entity;
    }

}
