<?php
function post_install() {

    require_once 'modules/Administration/QuickRepairAndRebuild.php';
    echo "Performing a quick repair & rebuild ... <br>\n";
    $GLOBALS['log']->info('Performing a quick repair & rebuild');
    $autoexecute = false;
    $show_output = false;
    $randc = new RepairAndClear();
    $randc->repairAndClearAll(array('clearAll'), array(translate('LBL_ALL_MODULES')), $autoexecute, $show_output);

    if(SugarAutoLoader::fileExists('custom/PxRoutines/TimelineViewer/Package/ControlPanel.php')) {
        require_once "custom/PxRoutines/TimelineViewer/Package/ControlPanel.php";
        $control = new \Sugarcrm\Sugarcrm\custom\PxRoutines\TimelineViewer\Package\ControlPanel();

        if ($GLOBALS['db']->tableExists('px_timelineevents')){
            echo "\nImporting Timeline Events ... <br>\n";
            $GLOBALS['log']->info('Timeline Standard Library Install: Importing Timeline Events');
            $control->importTimelineEvents();
        }

        if ($GLOBALS['db']->tableExists('px_flowcharttemplates')) {
            echo "\nImporting LB Templates ... <br>\n";
            $GLOBALS['log']->info('Timeline Standard Library Install: Importing LB Templates');
            $control->importLBTemplates();
        }
    }

}