<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Leads',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Leads',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status_description',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'assigned_user_name',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Leads',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields9' => array(
                    'id' => 'fields9',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields10' => array(
                    'id' => 'fields10',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '<font ',
                                    ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '<b>Lead</b> got status ',
                                    ),
            ),
        ),
        'op-17' => array(
            'id' => 'op-17',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand4' => array(
                    'id' => 'operand4',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand5' => array(
                    'id' => 'operand5',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand6' => array(
                    'id' => 'operand6',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand7' => array(
                    'id' => 'operand7',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Status Description',
                                        'fields1' => 'Assigned to',
                                        'fields2' => 'Description',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Status Description',
                                        'fields1' => 'Assigned to',
                                        'fields2' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Status Description',
                                        'fields1' => 'Assigned to',
                                        'fields2' => 'Description',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Status Description',
                                        'fields1' => 'Assigned to',
                                        'fields2' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Status Description',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Assigned to',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Description',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Status Description',
                                        'fields1' => 'Assigned to',
                                        'fields2' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-250' => array(
            'id' => 'op-250',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Account Lead status change',
                                    ),
            ),
        ),
        'op-267' => array(
            'id' => 'op-267',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' with ',
                                    ),
            ),
        ),
        'op-278' => array(
            'id' => 'op-278',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-337' => array(
            'id' => 'op-337',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-338' => array(
            'id' => 'op-338',
            'type' => 'NotOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand' => array(
                    'id' => 'operand',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-351' => array(
            'id' => 'op-351',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-352' => array(
            'id' => 'op-352',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-353' => array(
            'id' => 'op-353',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-354' => array(
            'id' => 'op-354',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-355' => array(
            'id' => 'op-355',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-356' => array(
            'id' => 'op-356',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-357' => array(
            'id' => 'op-357',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Status',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'Modified by',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Status',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-358' => array(
            'id' => 'op-358',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Status',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Modified by',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Status',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-359' => array(
            'id' => 'op-359',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Status',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Modified by',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Status',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-360' => array(
            'id' => 'op-360',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Status',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Modified by',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Status',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Modified by',
                                        ),
                                    ),
            ),
        ),
        'op-361' => array(
            'id' => 'op-361',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '"><b>',
                                    ),
            ),
        ),
        'op-362' => array(
            'id' => 'op-362',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '</b></font>',
                                    ),
            ),
        ),
        'op-363' => array(
            'id' => 'op-363',
            'type' => 'HtmlDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-364' => array(
            'id' => 'op-364',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '#555',
                                    ),
            ),
        ),
        'op-365' => array(
            'id' => 'op-365',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'black',
                                    ),
            ),
        ),
        'op-366' => array(
            'id' => 'op-366',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'green',
                                    ),
            ),
        ),
        'op-367' => array(
            'id' => 'op-367',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-368' => array(
            'id' => 'op-368',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-369' => array(
            'id' => 'op-369',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'lead_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Dead',
                                    ),
            ),
        ),
        'op-370' => array(
            'id' => 'op-370',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'lead_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Converted',
                                    ),
            ),
        ),
        'op-371' => array(
            'id' => 'op-371',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-495' => array(
            'id' => 'op-495',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-496' => array(
            'id' => 'op-496',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-497' => array(
            'id' => 'op-497',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'blue',
                                    ),
            ),
        ),
        'op-498' => array(
            'id' => 'op-498',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'lead_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'New',
                                    ),
            ),
        ),
        'op-499' => array(
            'id' => 'op-499',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-500' => array(
            'id' => 'op-500',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' color="',
                                    ),
            ),
        ),
        'op-501' => array(
            'id' => 'op-501',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'style="background-color: yellow"',
                                    ),
            ),
        ),
        'op-502' => array(
            'id' => 'op-502',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'style yellow',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-503' => array(
            'id' => 'op-503',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-504' => array(
            'id' => 'op-504',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'lead_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'In Process',
                                    ),
            ),
        ),
        'op-505' => array(
            'id' => 'op-505',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-506' => array(
            'id' => 'op-506',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'style yellow',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-507' => array(
            'id' => 'op-507',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Leads',
                                    ),
            ),
        ),
        'op-508' => array(
            'id' => 'op-508',
            'type' => 'ConstantNullOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-509' => array(
            'id' => 'op-509',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-510' => array(
            'id' => 'op-510',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-2' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-3entity',
            'toOperator' => 'op-3',
            'toConnector' => 'entity'
        ),
        'link-4' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-4operand2',
            'toOperator' => 'op-4',
            'toConnector' => 'operand2'
        ),
        'link-6' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-8' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-13entity',
            'toOperator' => 'op-13',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-13entity',
            'fromOperator' => 'op-13',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-20' => array(
            'from' => 'op-20schema',
            'fromOperator' => 'op-20',
            'fromConnector' => 'schema',
            'to' => 'op-19schema',
            'toOperator' => 'op-19',
            'toConnector' => 'schema'
        ),
        'link-21' => array(
            'from' => 'op-19structure',
            'fromOperator' => 'op-19',
            'fromConnector' => 'structure',
            'to' => 'op-18structure',
            'toOperator' => 'op-18',
            'toConnector' => 'structure'
        ),
        'link-22' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-28' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-11fields0',
            'toOperator' => 'op-11',
            'toConnector' => 'fields0'
        ),
        'link-29' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-13fields6',
            'toOperator' => 'op-13',
            'toConnector' => 'fields6'
        ),
        'link-31' => array(
            'from' => 'op-11singleEntity',
            'fromOperator' => 'op-11',
            'fromConnector' => 'singleEntity',
            'to' => 'op-22entity',
            'toOperator' => 'op-22',
            'toConnector' => 'entity'
        ),
        'link-32' => array(
            'from' => 'op-22fields0',
            'fromOperator' => 'op-22',
            'fromConnector' => 'fields0',
            'to' => 'op-13fields8',
            'toOperator' => 'op-13',
            'toConnector' => 'fields8'
        ),
        'link-558' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-4operand1',
            'toOperator' => 'op-4',
            'toConnector' => 'operand1'
        ),
        'link-843' => array(
            'from' => 'op-337result',
            'fromOperator' => 'op-337',
            'fromConnector' => 'result',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-844' => array(
            'from' => 'op-4result',
            'fromOperator' => 'op-4',
            'fromConnector' => 'result',
            'to' => 'op-337operand2',
            'toOperator' => 'op-337',
            'toConnector' => 'operand2'
        ),
        'link-845' => array(
            'from' => 'op-338result',
            'fromOperator' => 'op-338',
            'fromConnector' => 'result',
            'to' => 'op-337operand1',
            'toOperator' => 'op-337',
            'toConnector' => 'operand1'
        ),
        'link-846' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-338operand',
            'toOperator' => 'op-338',
            'toConnector' => 'operand'
        ),
        'link-871' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-872' => array(
            'from' => 'op-351entity',
            'fromOperator' => 'op-351',
            'fromConnector' => 'entity',
            'to' => 'op-278entity',
            'toOperator' => 'op-278',
            'toConnector' => 'entity'
        ),
        'link-873' => array(
            'from' => 'op-354controlFlowIfTrue',
            'fromOperator' => 'op-354',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-352controlFlow',
            'toOperator' => 'op-352',
            'toConnector' => 'controlFlow'
        ),
        'link-874' => array(
            'from' => 'op-355controlFlowIfTrue',
            'fromOperator' => 'op-355',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-353controlFlow',
            'toOperator' => 'op-353',
            'toConnector' => 'controlFlow'
        ),
        'link-875' => array(
            'from' => 'op-354controlFlowIfFalse',
            'fromOperator' => 'op-354',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-355controlFlow',
            'toOperator' => 'op-355',
            'toConnector' => 'controlFlow'
        ),
        'link-877' => array(
            'from' => 'op-352controlFlow',
            'fromOperator' => 'op-352',
            'fromConnector' => 'controlFlow',
            'to' => 'op-358controlFlow',
            'toOperator' => 'op-358',
            'toConnector' => 'controlFlow'
        ),
        'link-878' => array(
            'from' => 'op-353controlFlow',
            'fromOperator' => 'op-353',
            'fromConnector' => 'controlFlow',
            'to' => 'op-358controlFlow',
            'toOperator' => 'op-358',
            'toConnector' => 'controlFlow'
        ),
        'link-879' => array(
            'from' => 'op-356controlFlow',
            'fromOperator' => 'op-356',
            'fromConnector' => 'controlFlow',
            'to' => 'op-358controlFlow',
            'toOperator' => 'op-358',
            'toConnector' => 'controlFlow'
        ),
        'link-880' => array(
            'from' => 'op-357schema',
            'fromOperator' => 'op-357',
            'fromConnector' => 'schema',
            'to' => 'op-358schema',
            'toOperator' => 'op-358',
            'toConnector' => 'schema'
        ),
        'link-881' => array(
            'from' => 'op-358controlFlow',
            'fromOperator' => 'op-358',
            'fromConnector' => 'controlFlow',
            'to' => 'op-359controlFlow',
            'toOperator' => 'op-359',
            'toConnector' => 'controlFlow'
        ),
        'link-882' => array(
            'from' => 'op-358structure',
            'fromOperator' => 'op-358',
            'fromConnector' => 'structure',
            'to' => 'op-359structure',
            'toOperator' => 'op-359',
            'toConnector' => 'structure'
        ),
        'link-883' => array(
            'from' => 'op-359controlFlow',
            'fromOperator' => 'op-359',
            'fromConnector' => 'controlFlow',
            'to' => 'op-360controlFlow',
            'toOperator' => 'op-360',
            'toConnector' => 'controlFlow'
        ),
        'link-884' => array(
            'from' => 'op-359structure',
            'fromOperator' => 'op-359',
            'fromConnector' => 'structure',
            'to' => 'op-360structure',
            'toOperator' => 'op-360',
            'toConnector' => 'structure'
        ),
        'link-885' => array(
            'from' => 'op-360controlFlow',
            'fromOperator' => 'op-360',
            'fromConnector' => 'controlFlow',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-886' => array(
            'from' => 'op-360structure',
            'fromOperator' => 'op-360',
            'fromConnector' => 'structure',
            'to' => 'op-13fields7',
            'toOperator' => 'op-13',
            'toConnector' => 'fields7'
        ),
        'link-887' => array(
            'from' => 'op-16result',
            'fromOperator' => 'op-16',
            'fromConnector' => 'result',
            'to' => 'op-359fields0',
            'toOperator' => 'op-359',
            'toConnector' => 'fields0'
        ),
        'link-888' => array(
            'from' => 'op-15result',
            'fromOperator' => 'op-15',
            'fromConnector' => 'result',
            'to' => 'op-17operand1',
            'toOperator' => 'op-17',
            'toConnector' => 'operand1'
        ),
        'link-889' => array(
            'from' => 'op-267result',
            'fromOperator' => 'op-267',
            'fromConnector' => 'result',
            'to' => 'op-359fields2',
            'toOperator' => 'op-359',
            'toConnector' => 'fields2'
        ),
        'link-890' => array(
            'from' => 'op-17result',
            'fromOperator' => 'op-17',
            'fromConnector' => 'result',
            'to' => 'op-359fields1',
            'toOperator' => 'op-359',
            'toConnector' => 'fields1'
        ),
        'link-891' => array(
            'from' => 'op-278fields0',
            'fromOperator' => 'op-278',
            'fromConnector' => 'fields0',
            'to' => 'op-359fields3',
            'toOperator' => 'op-359',
            'toConnector' => 'fields3'
        ),
        'link-894' => array(
            'from' => 'op-363decorator',
            'fromOperator' => 'op-363',
            'fromConnector' => 'decorator',
            'to' => 'op-360decorator',
            'toOperator' => 'op-360',
            'toConnector' => 'decorator'
        ),
        'link-896' => array(
            'from' => 'op-370dropdownValue',
            'fromOperator' => 'op-370',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-368operand2',
            'toOperator' => 'op-368',
            'toConnector' => 'operand2'
        ),
        'link-897' => array(
            'from' => 'op-369dropdownValue',
            'fromOperator' => 'op-369',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-367operand2',
            'toOperator' => 'op-367',
            'toConnector' => 'operand2'
        ),
        'link-898' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-368operand1',
            'toOperator' => 'op-368',
            'toConnector' => 'operand1'
        ),
        'link-899' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-367operand1',
            'toOperator' => 'op-367',
            'toConnector' => 'operand1'
        ),
        'link-900' => array(
            'from' => 'op-368result',
            'fromOperator' => 'op-368',
            'fromConnector' => 'result',
            'to' => 'op-354condition',
            'toOperator' => 'op-354',
            'toConnector' => 'condition'
        ),
        'link-901' => array(
            'from' => 'op-367result',
            'fromOperator' => 'op-367',
            'fromConnector' => 'result',
            'to' => 'op-355condition',
            'toOperator' => 'op-355',
            'toConnector' => 'condition'
        ),
        'link-902' => array(
            'from' => 'op-366result',
            'fromOperator' => 'op-366',
            'fromConnector' => 'result',
            'to' => 'op-352value',
            'toOperator' => 'op-352',
            'toConnector' => 'value'
        ),
        'link-903' => array(
            'from' => 'op-365result',
            'fromOperator' => 'op-365',
            'fromConnector' => 'result',
            'to' => 'op-353value',
            'toOperator' => 'op-353',
            'toConnector' => 'value'
        ),
        'link-904' => array(
            'from' => 'op-364result',
            'fromOperator' => 'op-364',
            'fromConnector' => 'result',
            'to' => 'op-356value',
            'toOperator' => 'op-356',
            'toConnector' => 'value'
        ),
        'link-1221' => array(
            'from' => 'op-496controlFlow',
            'fromOperator' => 'op-496',
            'fromConnector' => 'controlFlow',
            'to' => 'op-358controlFlow',
            'toOperator' => 'op-358',
            'toConnector' => 'controlFlow'
        ),
        'link-1222' => array(
            'from' => 'op-495controlFlowIfTrue',
            'fromOperator' => 'op-495',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-496controlFlow',
            'toOperator' => 'op-496',
            'toConnector' => 'controlFlow'
        ),
        'link-1223' => array(
            'from' => 'op-355controlFlowIfFalse',
            'fromOperator' => 'op-355',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-495controlFlow',
            'toOperator' => 'op-495',
            'toConnector' => 'controlFlow'
        ),
        'link-1224' => array(
            'from' => 'op-499result',
            'fromOperator' => 'op-499',
            'fromConnector' => 'result',
            'to' => 'op-495condition',
            'toOperator' => 'op-495',
            'toConnector' => 'condition'
        ),
        'link-1225' => array(
            'from' => 'op-498dropdownValue',
            'fromOperator' => 'op-498',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-499operand2',
            'toOperator' => 'op-499',
            'toConnector' => 'operand2'
        ),
        'link-1226' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-499operand1',
            'toOperator' => 'op-499',
            'toConnector' => 'operand1'
        ),
        'link-1227' => array(
            'from' => 'op-495controlFlowIfFalse',
            'fromOperator' => 'op-495',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-356controlFlow',
            'toOperator' => 'op-356',
            'toConnector' => 'controlFlow'
        ),
        'link-1228' => array(
            'from' => 'op-497result',
            'fromOperator' => 'op-497',
            'fromConnector' => 'result',
            'to' => 'op-496value',
            'toOperator' => 'op-496',
            'toConnector' => 'value'
        ),
        'link-1229' => array(
            'from' => 'op-362result',
            'fromOperator' => 'op-362',
            'fromConnector' => 'result',
            'to' => 'op-17operand7',
            'toOperator' => 'op-17',
            'toConnector' => 'operand7'
        ),
        'link-1230' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-17operand6',
            'toOperator' => 'op-17',
            'toConnector' => 'operand6'
        ),
        'link-1231' => array(
            'from' => 'op-361result',
            'fromOperator' => 'op-361',
            'fromConnector' => 'result',
            'to' => 'op-17operand5',
            'toOperator' => 'op-17',
            'toConnector' => 'operand5'
        ),
        'link-1232' => array(
            'from' => 'op-371value',
            'fromOperator' => 'op-371',
            'fromConnector' => 'value',
            'to' => 'op-17operand4',
            'toOperator' => 'op-17',
            'toConnector' => 'operand4'
        ),
        'link-1233' => array(
            'from' => 'op-500result',
            'fromOperator' => 'op-500',
            'fromConnector' => 'result',
            'to' => 'op-17operand3',
            'toOperator' => 'op-17',
            'toConnector' => 'operand3'
        ),
        'link-1234' => array(
            'from' => 'op-502value',
            'fromOperator' => 'op-502',
            'fromConnector' => 'value',
            'to' => 'op-17operand2',
            'toOperator' => 'op-17',
            'toConnector' => 'operand2'
        ),
        'link-1236' => array(
            'from' => 'op-505result',
            'fromOperator' => 'op-505',
            'fromConnector' => 'result',
            'to' => 'op-503condition',
            'toOperator' => 'op-503',
            'toConnector' => 'condition'
        ),
        'link-1237' => array(
            'from' => 'op-504dropdownValue',
            'fromOperator' => 'op-504',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-505operand2',
            'toOperator' => 'op-505',
            'toConnector' => 'operand2'
        ),
        'link-1238' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-505operand1',
            'toOperator' => 'op-505',
            'toConnector' => 'operand1'
        ),
        'link-1239' => array(
            'from' => 'op-503controlFlowIfFalse',
            'fromOperator' => 'op-503',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-354controlFlow',
            'toOperator' => 'op-354',
            'toConnector' => 'controlFlow'
        ),
        'link-1240' => array(
            'from' => 'op-503controlFlowIfTrue',
            'fromOperator' => 'op-503',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-506controlFlow',
            'toOperator' => 'op-506',
            'toConnector' => 'controlFlow'
        ),
        'link-1241' => array(
            'from' => 'op-506controlFlow',
            'fromOperator' => 'op-506',
            'fromConnector' => 'controlFlow',
            'to' => 'op-354controlFlow',
            'toOperator' => 'op-354',
            'toConnector' => 'controlFlow'
        ),
        'link-1242' => array(
            'from' => 'op-501result',
            'fromOperator' => 'op-501',
            'fromConnector' => 'result',
            'to' => 'op-506value',
            'toOperator' => 'op-506',
            'toConnector' => 'value'
        ),
        'link-1243' => array(
            'from' => 'op-250result',
            'fromOperator' => 'op-250',
            'fromConnector' => 'result',
            'to' => 'op-11fields1',
            'toOperator' => 'op-11',
            'toConnector' => 'fields1'
        ),
        'link-1245' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-18fields0',
            'toOperator' => 'op-18',
            'toConnector' => 'fields0'
        ),
        'link-1246' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-18fields1',
            'toOperator' => 'op-18',
            'toConnector' => 'fields1'
        ),
        'link-1247' => array(
            'from' => 'op-2fields3',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields3',
            'to' => 'op-18fields2',
            'toOperator' => 'op-18',
            'toConnector' => 'fields2'
        ),
        'link-1248' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-503controlFlow',
            'toOperator' => 'op-503',
            'toConnector' => 'controlFlow'
        ),
        'link-1249' => array(
            'from' => 'op-18structure',
            'fromOperator' => 'op-18',
            'fromConnector' => 'structure',
            'to' => 'op-13fields5',
            'toOperator' => 'op-13',
            'toConnector' => 'fields5'
        ),
        'link-1334' => array(
            'from' => 'op-507dropdownValue',
            'fromOperator' => 'op-507',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-13fields9',
            'toOperator' => 'op-13',
            'toConnector' => 'fields9'
        ),
        'link-1335' => array(
            'from' => 'op-2fields4',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields4',
            'to' => 'op-13fields10',
            'toOperator' => 'op-13',
            'toConnector' => 'fields10'
        ),
        'link-1336' => array(
            'from' => 'op-508result',
            'fromOperator' => 'op-508',
            'fromConnector' => 'result',
            'to' => 'op-510operand2',
            'toOperator' => 'op-510',
            'toConnector' => 'operand2'
        ),
        'link-1337' => array(
            'from' => 'op-2fields6',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields6',
            'to' => 'op-510operand1',
            'toOperator' => 'op-510',
            'toConnector' => 'operand1'
        ),
        'link-1338' => array(
            'from' => 'op-510result',
            'fromOperator' => 'op-510',
            'fromConnector' => 'result',
            'to' => 'op-509condition',
            'toOperator' => 'op-509',
            'toConnector' => 'condition'
        ),
        'link-1339' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-509controlFlow',
            'toOperator' => 'op-509',
            'toConnector' => 'controlFlow'
        ),
        'link-1340' => array(
            'from' => 'op-509controlFlowIfTrue',
            'fromOperator' => 'op-509',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-1341' => array(
            'from' => 'op-2fields6',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields6',
            'to' => 'op-13fields0',
            'toOperator' => 'op-13',
            'toConnector' => 'fields0'
        ),
    )
);
