<?php
$operatorMeta = array(
    'operators' => array(
        'op-83' => array(
            'id' => 'op-83',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Emails',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'from_addr_name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'to_addrs_names',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'cc_addrs_names',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'bcc_addrs_names',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-85' => array(
            'id' => 'op-85',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Subject',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'From',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'To',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'CC',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'BCC',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'Body',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-86' => array(
            'id' => 'op-86',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-87' => array(
            'id' => 'op-87',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'fields4',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'fields5',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-88' => array(
            'id' => 'op-88',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-89' => array(
            'id' => 'op-89',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-95' => array(
            'id' => 'op-95',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-97' => array(
            'id' => 'op-97',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Account. Email was created',
                                    ),
            ),
        ),
        'op-98' => array(
            'id' => 'op-98',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-102' => array(
            'id' => 'op-102',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-141' => array(
            'id' => 'op-141',
            'type' => 'ForEachElementOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'elements' => array(
                    'id' => 'elements',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'element' => array(
                    'id' => 'element',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-142' => array(
            'id' => 'op-142',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'email',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-143' => array(
            'id' => 'op-143',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-145' => array(
            'id' => 'op-145',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-149' => array(
            'id' => 'op-149',
            'type' => 'CreateEmailCollectionFromStringOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-159' => array(
            'id' => 'op-159',
            'type' => 'AddElementToCollectionOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
                'element' => array(
                    'id' => 'element',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-170' => array(
            'id' => 'op-170',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Emails',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'to_addrs_names',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'from_addr_name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-179' => array(
            'id' => 'op-179',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-186' => array(
            'id' => 'op-186',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'timeline_event_id',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-187' => array(
            'id' => 'op-187',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'timeline_event_id',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-188' => array(
            'id' => 'op-188',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-189' => array(
            'id' => 'op-189',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-190' => array(
            'id' => 'op-190',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' ; ',
                                    ),
            ),
        ),
        'op-191' => array(
            'id' => 'op-191',
            'type' => 'OnLinkChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectModule' => array(
                    'id' => 'objectModule',
                                        'value' => 'Emails',
                                    ),
                'subjectModule' => array(
                    'id' => 'subjectModule',
                                        'value' => 'Accounts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'accounts',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_relationship_add',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Emails',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-195' => array(
            'id' => 'op-195',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-201' => array(
            'id' => 'op-201',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-202' => array(
            'id' => 'op-202',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'fields4',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'fields5',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-203' => array(
            'id' => 'op-203',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Subject',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'From',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'To',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'CC',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'BCC',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'Body',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-204' => array(
            'id' => 'op-204',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Emails',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'from_addr_name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'to_addrs_names',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'cc_addrs_names',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'bcc_addrs_names',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'description_html',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'date_sent',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-205' => array(
            'id' => 'op-205',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-206' => array(
            'id' => 'op-206',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'action_date',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-207' => array(
            'id' => 'op-207',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' Subject: ',
                                    ),
            ),
        ),
        'op-208' => array(
            'id' => 'op-208',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' To: ',
                                    ),
            ),
        ),
        'op-209' => array(
            'id' => 'op-209',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Email from: ',
                                    ),
            ),
        ),
        'op-211' => array(
            'id' => 'op-211',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-212' => array(
            'id' => 'op-212',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-213' => array(
            'id' => 'op-213',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'account_parent_id',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-214' => array(
            'id' => 'op-214',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'account_parent_id',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-215' => array(
            'id' => 'op-215',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-222' => array(
            'id' => 'op-222',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-223' => array(
            'id' => 'op-223',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-224' => array(
            'id' => 'op-224',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Emails',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-225' => array(
            'id' => 'op-225',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Emails',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-226' => array(
            'id' => 'op-226',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-227' => array(
            'id' => 'op-227',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-232' => array(
            'id' => 'op-232',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-234' => array(
            'id' => 'op-234',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-467' => array(
            'id' => 'op-467',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'timeline_event_id',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-471' => array(
            'id' => 'op-471',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields5',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Subject',
                                        'fields1' => 'From',
                                        'fields2' => 'To',
                                        'fields3' => 'CC',
                                        'fields4' => 'BCC',
                                        'fields5' => 'Body',
                                        ),
                                    ),
            ),
        ),
        'op-472' => array(
            'id' => 'op-472',
            'type' => 'HtmlDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-475' => array(
            'id' => 'op-475',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'EmailFrom',
                                        'fields2' => 'Text2',
                                        'fields3' => 'EmailTo',
                                        'fields4' => 'Text3',
                                        'fields5' => 'Subject',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'EmailFrom',
                                        'fields2' => 'Text2',
                                        'fields3' => 'EmailTo',
                                        'fields4' => 'Text3',
                                        'fields5' => 'Subject',
                                        ),
                                    ),
            ),
        ),
        'op-476' => array(
            'id' => 'op-476',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'EmailFrom',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'EmailTo',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'Text3',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'Subject',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'EmailFrom',
                                        'fields2' => 'Text2',
                                        'fields3' => 'EmailTo',
                                        'fields4' => 'Text3',
                                        'fields5' => 'Subject',
                                        ),
                                    ),
            ),
        ),
        'op-477' => array(
            'id' => 'op-477',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'EmailFrom',
                                        'fields2' => 'Text2',
                                        'fields3' => 'EmailTo',
                                        'fields4' => 'Text3',
                                        'fields5' => 'Subject',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'fields4',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'fields5',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'EmailFrom',
                                        'fields2' => 'Text2',
                                        'fields3' => 'EmailTo',
                                        'fields4' => 'Text3',
                                        'fields5' => 'Subject',
                                        ),
                                    ),
            ),
        ),
        'op-478' => array(
            'id' => 'op-478',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'EmailFrom',
                                        'fields2' => 'Text2',
                                        'fields3' => 'EmailTo',
                                        'fields4' => 'Text3',
                                        'fields5' => 'Subject',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'EmailFrom',
                                        'fields2' => 'Text2',
                                        'fields3' => 'EmailTo',
                                        'fields4' => 'Text3',
                                        'fields5' => 'Subject',
                                        ),
                                    ),
            ),
        ),
        'op-479' => array(
            'id' => 'op-479',
            'type' => 'HtmlDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-480' => array(
            'id' => 'op-480',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-481' => array(
            'id' => 'op-481',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-482' => array(
            'id' => 'op-482',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '</b>',
                                    ),
            ),
        ),
        'op-483' => array(
            'id' => 'op-483',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '<b>',
                                    ),
            ),
        ),
        'op-485' => array(
            'id' => 'op-485',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Emails',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-194' => array(
            'from' => 'op-85schema',
            'fromOperator' => 'op-85',
            'fromConnector' => 'schema',
            'to' => 'op-86schema',
            'toOperator' => 'op-86',
            'toConnector' => 'schema'
        ),
        'link-196' => array(
            'from' => 'op-86controlFlow',
            'fromOperator' => 'op-86',
            'fromConnector' => 'controlFlow',
            'to' => 'op-87controlFlow',
            'toOperator' => 'op-87',
            'toConnector' => 'controlFlow'
        ),
        'link-197' => array(
            'from' => 'op-86structure',
            'fromOperator' => 'op-86',
            'fromConnector' => 'structure',
            'to' => 'op-87structure',
            'toOperator' => 'op-87',
            'toConnector' => 'structure'
        ),
        'link-216' => array(
            'from' => 'op-89entity',
            'fromOperator' => 'op-89',
            'fromConnector' => 'entity',
            'to' => 'op-88entity',
            'toOperator' => 'op-88',
            'toConnector' => 'entity'
        ),
        'link-228' => array(
            'from' => 'op-88controlFlow',
            'fromOperator' => 'op-88',
            'fromConnector' => 'controlFlow',
            'to' => 'op-95controlFlow',
            'toOperator' => 'op-95',
            'toConnector' => 'controlFlow'
        ),
        'link-229' => array(
            'from' => 'op-88entity',
            'fromOperator' => 'op-88',
            'fromConnector' => 'entity',
            'to' => 'op-95entity',
            'toOperator' => 'op-95',
            'toConnector' => 'entity'
        ),
        'link-231' => array(
            'from' => 'op-97result',
            'fromOperator' => 'op-97',
            'fromConnector' => 'result',
            'to' => 'op-98fields1',
            'toOperator' => 'op-98',
            'toConnector' => 'fields1'
        ),
        'link-234' => array(
            'from' => 'op-98singleEntity',
            'fromOperator' => 'op-98',
            'fromConnector' => 'singleEntity',
            'to' => 'op-102entity',
            'toOperator' => 'op-102',
            'toConnector' => 'entity'
        ),
        'link-260' => array(
            'from' => 'op-141element',
            'fromOperator' => 'op-141',
            'fromConnector' => 'element',
            'to' => 'op-142fields0',
            'toOperator' => 'op-142',
            'toConnector' => 'fields0'
        ),
        'link-261' => array(
            'from' => 'op-83fields0',
            'fromOperator' => 'op-83',
            'fromConnector' => 'fields0',
            'to' => 'op-87fields1',
            'toOperator' => 'op-87',
            'toConnector' => 'fields1'
        ),
        'link-262' => array(
            'from' => 'op-83fields2',
            'fromOperator' => 'op-83',
            'fromConnector' => 'fields2',
            'to' => 'op-87fields2',
            'toOperator' => 'op-87',
            'toConnector' => 'fields2'
        ),
        'link-275' => array(
            'from' => 'op-143dropdownValue',
            'fromOperator' => 'op-143',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-98fields0',
            'toOperator' => 'op-98',
            'toConnector' => 'fields0'
        ),
        'link-286' => array(
            'from' => 'op-83fields3',
            'fromOperator' => 'op-83',
            'fromConnector' => 'fields3',
            'to' => 'op-87fields3',
            'toOperator' => 'op-87',
            'toConnector' => 'fields3'
        ),
        'link-287' => array(
            'from' => 'op-83fields4',
            'fromOperator' => 'op-83',
            'fromConnector' => 'fields4',
            'to' => 'op-87fields4',
            'toOperator' => 'op-87',
            'toConnector' => 'fields4'
        ),
        'link-288' => array(
            'from' => 'op-83fields5',
            'fromOperator' => 'op-83',
            'fromConnector' => 'fields5',
            'to' => 'op-87fields0',
            'toOperator' => 'op-87',
            'toConnector' => 'fields0'
        ),
        'link-293' => array(
            'from' => 'op-149collection',
            'fromOperator' => 'op-149',
            'fromConnector' => 'collection',
            'to' => 'op-141elements',
            'toOperator' => 'op-141',
            'toConnector' => 'elements'
        ),
        'link-314' => array(
            'from' => 'op-83fields6',
            'fromOperator' => 'op-83',
            'fromConnector' => 'fields6',
            'to' => 'op-87fields5',
            'toOperator' => 'op-87',
            'toConnector' => 'fields5'
        ),
        'link-323' => array(
            'from' => 'op-145fields0',
            'fromOperator' => 'op-145',
            'fromConnector' => 'fields0',
            'to' => 'op-159element',
            'toOperator' => 'op-159',
            'toConnector' => 'element'
        ),
        'link-363' => array(
            'from' => 'op-142controlFlow',
            'fromOperator' => 'op-142',
            'fromConnector' => 'controlFlow',
            'to' => 'op-179controlFlow',
            'toOperator' => 'op-179',
            'toConnector' => 'controlFlow'
        ),
        'link-364' => array(
            'from' => 'op-142entities',
            'fromOperator' => 'op-142',
            'fromConnector' => 'entities',
            'to' => 'op-179entities',
            'toOperator' => 'op-179',
            'toConnector' => 'entities'
        ),
        'link-366' => array(
            'from' => 'op-179entity',
            'fromOperator' => 'op-179',
            'fromConnector' => 'entity',
            'to' => 'op-145entity',
            'toOperator' => 'op-145',
            'toConnector' => 'entity'
        ),
        'link-377' => array(
            'from' => 'op-179controlFlowLoopBody',
            'fromOperator' => 'op-179',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-159controlFlow',
            'toOperator' => 'op-159',
            'toConnector' => 'controlFlow'
        ),
        'link-378' => array(
            'from' => 'op-98controlFlow',
            'fromOperator' => 'op-98',
            'fromConnector' => 'controlFlow',
            'to' => 'op-186controlFlow',
            'toOperator' => 'op-186',
            'toConnector' => 'controlFlow'
        ),
        'link-379' => array(
            'from' => 'op-187value',
            'fromOperator' => 'op-187',
            'fromConnector' => 'value',
            'to' => 'op-88fields4',
            'toOperator' => 'op-88',
            'toConnector' => 'fields4'
        ),
        'link-380' => array(
            'from' => 'op-102fields0',
            'fromOperator' => 'op-102',
            'fromConnector' => 'fields0',
            'to' => 'op-186value',
            'toOperator' => 'op-186',
            'toConnector' => 'value'
        ),
        'link-381' => array(
            'from' => 'op-188dropdownValue',
            'fromOperator' => 'op-188',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-88fields1',
            'toOperator' => 'op-88',
            'toConnector' => 'fields1'
        ),
        'link-384' => array(
            'from' => 'op-89controlFlow',
            'fromOperator' => 'op-89',
            'fromConnector' => 'controlFlow',
            'to' => 'op-88controlFlow',
            'toOperator' => 'op-88',
            'toConnector' => 'controlFlow'
        ),
        'link-385' => array(
            'from' => 'op-170fields0',
            'fromOperator' => 'op-170',
            'fromConnector' => 'fields0',
            'to' => 'op-189operand1',
            'toOperator' => 'op-189',
            'toConnector' => 'operand1'
        ),
        'link-386' => array(
            'from' => 'op-190result',
            'fromOperator' => 'op-190',
            'fromConnector' => 'result',
            'to' => 'op-189operand2',
            'toOperator' => 'op-189',
            'toConnector' => 'operand2'
        ),
        'link-387' => array(
            'from' => 'op-170fields1',
            'fromOperator' => 'op-170',
            'fromConnector' => 'fields1',
            'to' => 'op-189operand3',
            'toOperator' => 'op-189',
            'toConnector' => 'operand3'
        ),
        'link-388' => array(
            'from' => 'op-189result',
            'fromOperator' => 'op-189',
            'fromConnector' => 'result',
            'to' => 'op-149string',
            'toOperator' => 'op-149',
            'toConnector' => 'string'
        ),
        'link-392' => array(
            'from' => 'op-145fields0',
            'fromOperator' => 'op-145',
            'fromConnector' => 'fields0',
            'to' => 'op-88fields2',
            'toOperator' => 'op-88',
            'toConnector' => 'fields2'
        ),
        'link-399' => array(
            'from' => 'op-141controlFlowLoopBody',
            'fromOperator' => 'op-141',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-142controlFlow',
            'toOperator' => 'op-142',
            'toConnector' => 'controlFlow'
        ),
        'link-400' => array(
            'from' => 'op-159controlFlow',
            'fromOperator' => 'op-159',
            'fromConnector' => 'controlFlow',
            'to' => 'op-86controlFlow',
            'toOperator' => 'op-86',
            'toConnector' => 'controlFlow'
        ),
        'link-401' => array(
            'from' => 'op-191objectEntity',
            'fromOperator' => 'op-191',
            'fromConnector' => 'objectEntity',
            'to' => 'op-170entity',
            'toOperator' => 'op-170',
            'toConnector' => 'entity'
        ),
        'link-402' => array(
            'from' => 'op-191objectEntity',
            'fromOperator' => 'op-191',
            'fromConnector' => 'objectEntity',
            'to' => 'op-83entity',
            'toOperator' => 'op-83',
            'toConnector' => 'entity'
        ),
        'link-415' => array(
            'from' => 'op-203schema',
            'fromOperator' => 'op-203',
            'fromConnector' => 'schema',
            'to' => 'op-201schema',
            'toOperator' => 'op-201',
            'toConnector' => 'schema'
        ),
        'link-417' => array(
            'from' => 'op-201controlFlow',
            'fromOperator' => 'op-201',
            'fromConnector' => 'controlFlow',
            'to' => 'op-202controlFlow',
            'toOperator' => 'op-202',
            'toConnector' => 'controlFlow'
        ),
        'link-418' => array(
            'from' => 'op-191objectEntity',
            'fromOperator' => 'op-191',
            'fromConnector' => 'objectEntity',
            'to' => 'op-204entity',
            'toOperator' => 'op-204',
            'toConnector' => 'entity'
        ),
        'link-419' => array(
            'from' => 'op-204fields0',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields0',
            'to' => 'op-202fields0',
            'toOperator' => 'op-202',
            'toConnector' => 'fields0'
        ),
        'link-420' => array(
            'from' => 'op-204fields1',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields1',
            'to' => 'op-202fields1',
            'toOperator' => 'op-202',
            'toConnector' => 'fields1'
        ),
        'link-421' => array(
            'from' => 'op-204fields2',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields2',
            'to' => 'op-202fields2',
            'toOperator' => 'op-202',
            'toConnector' => 'fields2'
        ),
        'link-422' => array(
            'from' => 'op-204fields3',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields3',
            'to' => 'op-202fields3',
            'toOperator' => 'op-202',
            'toConnector' => 'fields3'
        ),
        'link-423' => array(
            'from' => 'op-204fields4',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields4',
            'to' => 'op-202fields4',
            'toOperator' => 'op-202',
            'toConnector' => 'fields4'
        ),
        'link-424' => array(
            'from' => 'op-204fields5',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields5',
            'to' => 'op-202fields5',
            'toOperator' => 'op-202',
            'toConnector' => 'fields5'
        ),
        'link-425' => array(
            'from' => 'op-201structure',
            'fromOperator' => 'op-201',
            'fromConnector' => 'structure',
            'to' => 'op-202structure',
            'toOperator' => 'op-202',
            'toConnector' => 'structure'
        ),
        'link-427' => array(
            'from' => 'op-205entity',
            'fromOperator' => 'op-205',
            'fromConnector' => 'entity',
            'to' => 'op-206entity',
            'toOperator' => 'op-206',
            'toConnector' => 'entity'
        ),
        'link-428' => array(
            'from' => 'op-205controlFlow',
            'fromOperator' => 'op-205',
            'fromConnector' => 'controlFlow',
            'to' => 'op-206controlFlow',
            'toOperator' => 'op-206',
            'toConnector' => 'controlFlow'
        ),
        'link-439' => array(
            'from' => 'op-212dropdownValue',
            'fromOperator' => 'op-212',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-206fields2',
            'toOperator' => 'op-206',
            'toConnector' => 'fields2'
        ),
        'link-440' => array(
            'from' => 'op-206entity',
            'fromOperator' => 'op-206',
            'fromConnector' => 'entity',
            'to' => 'op-211entity',
            'toOperator' => 'op-211',
            'toConnector' => 'entity'
        ),
        'link-441' => array(
            'from' => 'op-206controlFlow',
            'fromOperator' => 'op-206',
            'fromConnector' => 'controlFlow',
            'to' => 'op-211controlFlow',
            'toOperator' => 'op-211',
            'toConnector' => 'controlFlow'
        ),
        'link-445' => array(
            'from' => 'op-214value',
            'fromOperator' => 'op-214',
            'fromConnector' => 'value',
            'to' => 'op-206fields3',
            'toOperator' => 'op-206',
            'toConnector' => 'fields3'
        ),
        'link-446' => array(
            'from' => 'op-191subjectEntity',
            'fromOperator' => 'op-191',
            'fromConnector' => 'subjectEntity',
            'to' => 'op-215entity',
            'toOperator' => 'op-215',
            'toConnector' => 'entity'
        ),
        'link-447' => array(
            'from' => 'op-215fields0',
            'fromOperator' => 'op-215',
            'fromConnector' => 'fields0',
            'to' => 'op-213value',
            'toOperator' => 'op-213',
            'toConnector' => 'value'
        ),
        'link-463' => array(
            'from' => 'op-224link',
            'fromOperator' => 'op-224',
            'fromConnector' => 'link',
            'to' => 'op-222link',
            'toOperator' => 'op-222',
            'toConnector' => 'link'
        ),
        'link-464' => array(
            'from' => 'op-222decorator',
            'fromOperator' => 'op-222',
            'fromConnector' => 'decorator',
            'to' => 'op-223decorator',
            'toOperator' => 'op-223',
            'toConnector' => 'decorator'
        ),
        'link-467' => array(
            'from' => 'op-223structure',
            'fromOperator' => 'op-223',
            'fromConnector' => 'structure',
            'to' => 'op-206fields1',
            'toOperator' => 'op-206',
            'toConnector' => 'fields1'
        ),
        'link-469' => array(
            'from' => 'op-170fields3',
            'fromOperator' => 'op-170',
            'fromConnector' => 'fields3',
            'to' => 'op-225id',
            'toOperator' => 'op-225',
            'toConnector' => 'id'
        ),
        'link-470' => array(
            'from' => 'op-225link',
            'fromOperator' => 'op-225',
            'fromConnector' => 'link',
            'to' => 'op-226link',
            'toOperator' => 'op-226',
            'toConnector' => 'link'
        ),
        'link-471' => array(
            'from' => 'op-226decorator',
            'fromOperator' => 'op-226',
            'fromConnector' => 'decorator',
            'to' => 'op-227decorator',
            'toOperator' => 'op-227',
            'toConnector' => 'decorator'
        ),
        'link-472' => array(
            'from' => 'op-87structure',
            'fromOperator' => 'op-87',
            'fromConnector' => 'structure',
            'to' => 'op-227structure',
            'toOperator' => 'op-227',
            'toConnector' => 'structure'
        ),
        'link-473' => array(
            'from' => 'op-87controlFlow',
            'fromOperator' => 'op-87',
            'fromConnector' => 'controlFlow',
            'to' => 'op-227controlFlow',
            'toOperator' => 'op-227',
            'toConnector' => 'controlFlow'
        ),
        'link-474' => array(
            'from' => 'op-227structure',
            'fromOperator' => 'op-227',
            'fromConnector' => 'structure',
            'to' => 'op-88fields0',
            'toOperator' => 'op-88',
            'toConnector' => 'fields0'
        ),
        'link-475' => array(
            'from' => 'op-227controlFlow',
            'fromOperator' => 'op-227',
            'fromConnector' => 'controlFlow',
            'to' => 'op-89controlFlow',
            'toOperator' => 'op-89',
            'toConnector' => 'controlFlow'
        ),
        'link-482' => array(
            'from' => 'op-232result',
            'fromOperator' => 'op-232',
            'fromConnector' => 'result',
            'to' => 'op-195condition',
            'toOperator' => 'op-195',
            'toConnector' => 'condition'
        ),
        'link-491' => array(
            'from' => 'op-234result',
            'fromOperator' => 'op-234',
            'fromConnector' => 'result',
            'to' => 'op-232operand2',
            'toOperator' => 'op-232',
            'toConnector' => 'operand2'
        ),
        'link-501' => array(
            'from' => 'op-191controlFlow',
            'fromOperator' => 'op-191',
            'fromConnector' => 'controlFlow',
            'to' => 'op-213controlFlow',
            'toOperator' => 'op-213',
            'toConnector' => 'controlFlow'
        ),
        'link-638' => array(
            'from' => 'op-204fields6',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields6',
            'to' => 'op-206fields5',
            'toOperator' => 'op-206',
            'toConnector' => 'fields5'
        ),
        'link-1155' => array(
            'from' => 'op-149controlFlow',
            'fromOperator' => 'op-149',
            'fromConnector' => 'controlFlow',
            'to' => 'op-141controlFlow',
            'toOperator' => 'op-141',
            'toConnector' => 'controlFlow'
        ),
        'link-1156' => array(
            'from' => 'op-213controlFlow',
            'fromOperator' => 'op-213',
            'fromConnector' => 'controlFlow',
            'to' => 'op-98controlFlow',
            'toOperator' => 'op-98',
            'toConnector' => 'controlFlow'
        ),
        'link-1157' => array(
            'from' => 'op-467value',
            'fromOperator' => 'op-467',
            'fromConnector' => 'value',
            'to' => 'op-206fields4',
            'toOperator' => 'op-206',
            'toConnector' => 'fields4'
        ),
        'link-1158' => array(
            'from' => 'op-186controlFlow',
            'fromOperator' => 'op-186',
            'fromConnector' => 'controlFlow',
            'to' => 'op-201controlFlow',
            'toOperator' => 'op-201',
            'toConnector' => 'controlFlow'
        ),
        'link-1159' => array(
            'from' => 'op-204fields7',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields7',
            'to' => 'op-224id',
            'toOperator' => 'op-224',
            'toConnector' => 'id'
        ),
        'link-1163' => array(
            'from' => 'op-202structure',
            'fromOperator' => 'op-202',
            'fromConnector' => 'structure',
            'to' => 'op-471structure',
            'toOperator' => 'op-471',
            'toConnector' => 'structure'
        ),
        'link-1164' => array(
            'from' => 'op-471structure',
            'fromOperator' => 'op-471',
            'fromConnector' => 'structure',
            'to' => 'op-223structure',
            'toOperator' => 'op-223',
            'toConnector' => 'structure'
        ),
        'link-1165' => array(
            'from' => 'op-202controlFlow',
            'fromOperator' => 'op-202',
            'fromConnector' => 'controlFlow',
            'to' => 'op-471controlFlow',
            'toOperator' => 'op-471',
            'toConnector' => 'controlFlow'
        ),
        'link-1166' => array(
            'from' => 'op-471controlFlow',
            'fromOperator' => 'op-471',
            'fromConnector' => 'controlFlow',
            'to' => 'op-223controlFlow',
            'toOperator' => 'op-223',
            'toConnector' => 'controlFlow'
        ),
        'link-1167' => array(
            'from' => 'op-472decorator',
            'fromOperator' => 'op-472',
            'fromConnector' => 'decorator',
            'to' => 'op-471decorator',
            'toOperator' => 'op-471',
            'toConnector' => 'decorator'
        ),
        'link-1172' => array(
            'from' => 'op-476schema',
            'fromOperator' => 'op-476',
            'fromConnector' => 'schema',
            'to' => 'op-475schema',
            'toOperator' => 'op-475',
            'toConnector' => 'schema'
        ),
        'link-1173' => array(
            'from' => 'op-223controlFlow',
            'fromOperator' => 'op-223',
            'fromConnector' => 'controlFlow',
            'to' => 'op-475controlFlow',
            'toOperator' => 'op-475',
            'toConnector' => 'controlFlow'
        ),
        'link-1174' => array(
            'from' => 'op-475controlFlow',
            'fromOperator' => 'op-475',
            'fromConnector' => 'controlFlow',
            'to' => 'op-477controlFlow',
            'toOperator' => 'op-477',
            'toConnector' => 'controlFlow'
        ),
        'link-1175' => array(
            'from' => 'op-475structure',
            'fromOperator' => 'op-475',
            'fromConnector' => 'structure',
            'to' => 'op-477structure',
            'toOperator' => 'op-477',
            'toConnector' => 'structure'
        ),
        'link-1176' => array(
            'from' => 'op-477controlFlow',
            'fromOperator' => 'op-477',
            'fromConnector' => 'controlFlow',
            'to' => 'op-478controlFlow',
            'toOperator' => 'op-478',
            'toConnector' => 'controlFlow'
        ),
        'link-1177' => array(
            'from' => 'op-477structure',
            'fromOperator' => 'op-477',
            'fromConnector' => 'structure',
            'to' => 'op-478structure',
            'toOperator' => 'op-478',
            'toConnector' => 'structure'
        ),
        'link-1178' => array(
            'from' => 'op-479decorator',
            'fromOperator' => 'op-479',
            'fromConnector' => 'decorator',
            'to' => 'op-478decorator',
            'toOperator' => 'op-478',
            'toConnector' => 'decorator'
        ),
        'link-1179' => array(
            'from' => 'op-209result',
            'fromOperator' => 'op-209',
            'fromConnector' => 'result',
            'to' => 'op-477fields0',
            'toOperator' => 'op-477',
            'toConnector' => 'fields0'
        ),
        'link-1180' => array(
            'from' => 'op-208result',
            'fromOperator' => 'op-208',
            'fromConnector' => 'result',
            'to' => 'op-477fields2',
            'toOperator' => 'op-477',
            'toConnector' => 'fields2'
        ),
        'link-1182' => array(
            'from' => 'op-204fields0',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields0',
            'to' => 'op-477fields5',
            'toOperator' => 'op-477',
            'toConnector' => 'fields5'
        ),
        'link-1183' => array(
            'from' => 'op-207result',
            'fromOperator' => 'op-207',
            'fromConnector' => 'result',
            'to' => 'op-477fields4',
            'toOperator' => 'op-477',
            'toConnector' => 'fields4'
        ),
        'link-1184' => array(
            'from' => 'op-481result',
            'fromOperator' => 'op-481',
            'fromConnector' => 'result',
            'to' => 'op-477fields1',
            'toOperator' => 'op-477',
            'toConnector' => 'fields1'
        ),
        'link-1185' => array(
            'from' => 'op-480result',
            'fromOperator' => 'op-480',
            'fromConnector' => 'result',
            'to' => 'op-477fields3',
            'toOperator' => 'op-477',
            'toConnector' => 'fields3'
        ),
        'link-1186' => array(
            'from' => 'op-483result',
            'fromOperator' => 'op-483',
            'fromConnector' => 'result',
            'to' => 'op-481operand1',
            'toOperator' => 'op-481',
            'toConnector' => 'operand1'
        ),
        'link-1187' => array(
            'from' => 'op-483result',
            'fromOperator' => 'op-483',
            'fromConnector' => 'result',
            'to' => 'op-480operand1',
            'toOperator' => 'op-480',
            'toConnector' => 'operand1'
        ),
        'link-1188' => array(
            'from' => 'op-482result',
            'fromOperator' => 'op-482',
            'fromConnector' => 'result',
            'to' => 'op-481operand3',
            'toOperator' => 'op-481',
            'toConnector' => 'operand3'
        ),
        'link-1189' => array(
            'from' => 'op-482result',
            'fromOperator' => 'op-482',
            'fromConnector' => 'result',
            'to' => 'op-480operand3',
            'toOperator' => 'op-480',
            'toConnector' => 'operand3'
        ),
        'link-1190' => array(
            'from' => 'op-204fields1',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields1',
            'to' => 'op-481operand2',
            'toOperator' => 'op-481',
            'toConnector' => 'operand2'
        ),
        'link-1191' => array(
            'from' => 'op-204fields2',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields2',
            'to' => 'op-480operand2',
            'toOperator' => 'op-480',
            'toConnector' => 'operand2'
        ),
        'link-1192' => array(
            'from' => 'op-478controlFlow',
            'fromOperator' => 'op-478',
            'fromConnector' => 'controlFlow',
            'to' => 'op-205controlFlow',
            'toOperator' => 'op-205',
            'toConnector' => 'controlFlow'
        ),
        'link-1193' => array(
            'from' => 'op-478structure',
            'fromOperator' => 'op-478',
            'fromConnector' => 'structure',
            'to' => 'op-206fields0',
            'toOperator' => 'op-206',
            'toConnector' => 'fields0'
        ),
        'link-1196' => array(
            'from' => 'op-485dropdownValue',
            'fromOperator' => 'op-485',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-206fields7',
            'toOperator' => 'op-206',
            'toConnector' => 'fields7'
        ),
        'link-1197' => array(
            'from' => 'op-204fields7',
            'fromOperator' => 'op-204',
            'fromConnector' => 'fields7',
            'to' => 'op-206fields6',
            'toOperator' => 'op-206',
            'toConnector' => 'fields6'
        ),
    )
);
