<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0800cf065d0_93356080/operators/FlowchartOperator_lb5bd0800cf065d0_93356080.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0800cf065d0_93356080/dataStorage/FlowchartStructures_lb5bd0800cf065d0_93356080.php';

class SetStructureFieldsOperator_lb5bd0800cf065d0_93356080 extends FlowchartOperator_lb5bd0800cf065d0_93356080{

    protected $structure;
    protected $fieldValues = array();

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'structure'){
            $this->structure = $value;
        }else{
            $fieldSystemName = $this->inDataPorts[$id]['value'];
            $this->fieldValues[$fieldSystemName] = $value;
        }
    }

    public function process($params = array()){
        if(!empty($this->structure) && $this->structure instanceof FlowchartStructures_lb5bd0800cf065d0_93356080){
            foreach($this->fieldValues as $systemName => $value){
                $this->structure->setSchemaValue($systemName, $value);
            }
        }
    }

    public function getOutDataByPortId($portId){
        return $this->structure;
    }

}
