<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Cases',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Cases',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'case_number',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'type',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' got status ',
                                    ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Case #',
                                    ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Status',
                                        'fields1' => 'Type',
                                        'fields2' => 'Assigned User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Status',
                                        'fields1' => 'Type',
                                        'fields2' => 'Assigned User',
                                        ),
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Status',
                                        'fields1' => 'Type',
                                        'fields2' => 'Assigned User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Status',
                                        'fields1' => 'Type',
                                        'fields2' => 'Assigned User',
                                        ),
                                    ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Status',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Assigned User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Status',
                                        'fields1' => 'Type',
                                        'fields2' => 'Assigned User',
                                        ),
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Cases',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-267' => array(
            'id' => 'op-267',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' with ',
                                    ),
            ),
        ),
        'op-275' => array(
            'id' => 'op-275',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-276' => array(
            'id' => 'op-276',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-277' => array(
            'id' => 'op-277',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-279' => array(
            'id' => 'op-279',
            'type' => 'NotOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand' => array(
                    'id' => 'operand',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-281' => array(
            'id' => 'op-281',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-282' => array(
            'id' => 'op-282',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' >',
                                    ),
            ),
        ),
        'op-283' => array(
            'id' => 'op-283',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-284' => array(
            'id' => 'op-284',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'full_name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-300' => array(
            'id' => 'op-300',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Case status change',
                                    ),
            ),
        ),
        'op-436' => array(
            'id' => 'op-436',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-437' => array(
            'id' => 'op-437',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-438' => array(
            'id' => 'op-438',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-439' => array(
            'id' => 'op-439',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-440' => array(
            'id' => 'op-440',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Number',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Status',
                                        'fields4' => 'Text3',
                                        'fields5' => 'User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Number',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Status',
                                        'fields4' => 'Text3',
                                        'fields5' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-441' => array(
            'id' => 'op-441',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Number',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Status',
                                        'fields4' => 'Text3',
                                        'fields5' => 'User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'fields4',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'fields5',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Number',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Status',
                                        'fields4' => 'Text3',
                                        'fields5' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-442' => array(
            'id' => 'op-442',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Number',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'Status',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'Text3',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Number',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Status',
                                        'fields4' => 'Text3',
                                        'fields5' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-443' => array(
            'id' => 'op-443',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Number',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Status',
                                        'fields4' => 'Text3',
                                        'fields5' => 'User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Number',
                                        'fields2' => 'Text2',
                                        'fields3' => 'Status',
                                        'fields4' => 'Text3',
                                        'fields5' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-444' => array(
            'id' => 'op-444',
            'type' => 'HtmlDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-445' => array(
            'id' => 'op-445',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'color',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-446' => array(
            'id' => 'op-446',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand4' => array(
                    'id' => 'operand4',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand5' => array(
                    'id' => 'operand5',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-447' => array(
            'id' => 'op-447',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '</b></font>',
                                    ),
            ),
        ),
        'op-448' => array(
            'id' => 'op-448',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '"><b>',
                                    ),
            ),
        ),
        'op-449' => array(
            'id' => 'op-449',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '<font color="',
                                    ),
            ),
        ),
        'op-450' => array(
            'id' => 'op-450',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'color',
                                    ),
            ),
        ),
        'op-451' => array(
            'id' => 'op-451',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-452' => array(
            'id' => 'op-452',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-453' => array(
            'id' => 'op-453',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'case_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Closed',
                                    ),
            ),
        ),
        'op-454' => array(
            'id' => 'op-454',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'red',
                                    ),
            ),
        ),
        'op-455' => array(
            'id' => 'op-455',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '#B22222',
                                    ),
            ),
        ),
        'op-456' => array(
            'id' => 'op-456',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'green',
                                    ),
            ),
        ),
        'op-457' => array(
            'id' => 'op-457',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'blue',
                                    ),
            ),
        ),
        'op-458' => array(
            'id' => 'op-458',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-459' => array(
            'id' => 'op-459',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-460' => array(
            'id' => 'op-460',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-461' => array(
            'id' => 'op-461',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'case_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Rejected',
                                    ),
            ),
        ),
        'op-462' => array(
            'id' => 'op-462',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-463' => array(
            'id' => 'op-463',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-464' => array(
            'id' => 'op-464',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-465' => array(
            'id' => 'op-465',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'case_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Pending Input',
                                    ),
            ),
        ),
        'op-466' => array(
            'id' => 'op-466',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'case_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Assigned',
                                    ),
            ),
        ),
        'op-520' => array(
            'id' => 'op-520',
            'type' => 'GetDropdownLabelOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'case_status_dom',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'label' => array(
                    'id' => 'label',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-2' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-3entity',
            'toOperator' => 'op-3',
            'toConnector' => 'entity'
        ),
        'link-4' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-4operand2',
            'toOperator' => 'op-4',
            'toConnector' => 'operand2'
        ),
        'link-8' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-13entity',
            'toOperator' => 'op-13',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-14controlFlow',
            'toOperator' => 'op-14',
            'toConnector' => 'controlFlow'
        ),
        'link-13' => array(
            'from' => 'op-13entity',
            'fromOperator' => 'op-13',
            'fromConnector' => 'entity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-20' => array(
            'from' => 'op-20schema',
            'fromOperator' => 'op-20',
            'fromConnector' => 'schema',
            'to' => 'op-19schema',
            'toOperator' => 'op-19',
            'toConnector' => 'schema'
        ),
        'link-21' => array(
            'from' => 'op-19structure',
            'fromOperator' => 'op-19',
            'fromConnector' => 'structure',
            'to' => 'op-18structure',
            'toOperator' => 'op-18',
            'toConnector' => 'structure'
        ),
        'link-22' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-28' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-11fields0',
            'toOperator' => 'op-11',
            'toConnector' => 'fields0'
        ),
        'link-29' => array(
            'from' => 'op-21dropdownValue',
            'fromOperator' => 'op-21',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-13fields6',
            'toOperator' => 'op-13',
            'toConnector' => 'fields6'
        ),
        'link-31' => array(
            'from' => 'op-11singleEntity',
            'fromOperator' => 'op-11',
            'fromConnector' => 'singleEntity',
            'to' => 'op-22entity',
            'toOperator' => 'op-22',
            'toConnector' => 'entity'
        ),
        'link-32' => array(
            'from' => 'op-22fields0',
            'fromOperator' => 'op-22',
            'fromConnector' => 'fields0',
            'to' => 'op-13fields8',
            'toOperator' => 'op-13',
            'toConnector' => 'fields8'
        ),
        'link-536' => array(
            'from' => 'op-2fields4',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields4',
            'to' => 'op-13fields0',
            'toOperator' => 'op-13',
            'toConnector' => 'fields0'
        ),
        'link-558' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-4operand1',
            'toOperator' => 'op-4',
            'toConnector' => 'operand1'
        ),
        'link-582' => array(
            'from' => 'op-275entity',
            'fromOperator' => 'op-275',
            'fromConnector' => 'entity',
            'to' => 'op-276entity',
            'toOperator' => 'op-276',
            'toConnector' => 'entity'
        ),
        'link-649' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-659' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-279operand',
            'toOperator' => 'op-279',
            'toConnector' => 'operand'
        ),
        'link-660' => array(
            'from' => 'op-4result',
            'fromOperator' => 'op-4',
            'fromConnector' => 'result',
            'to' => 'op-277operand2',
            'toOperator' => 'op-277',
            'toConnector' => 'operand2'
        ),
        'link-661' => array(
            'from' => 'op-279result',
            'fromOperator' => 'op-279',
            'fromConnector' => 'result',
            'to' => 'op-277operand1',
            'toOperator' => 'op-277',
            'toConnector' => 'operand1'
        ),
        'link-662' => array(
            'from' => 'op-277result',
            'fromOperator' => 'op-277',
            'fromConnector' => 'result',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-664' => array(
            'from' => 'op-2fields3',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields3',
            'to' => 'op-18fields1',
            'toOperator' => 'op-18',
            'toConnector' => 'fields1'
        ),
        'link-668' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-670' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-281operand1',
            'toOperator' => 'op-281',
            'toConnector' => 'operand1'
        ),
        'link-671' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-281operand3',
            'toOperator' => 'op-281',
            'toConnector' => 'operand3'
        ),
        'link-672' => array(
            'from' => 'op-282result',
            'fromOperator' => 'op-282',
            'fromConnector' => 'result',
            'to' => 'op-281operand2',
            'toOperator' => 'op-281',
            'toConnector' => 'operand2'
        ),
        'link-674' => array(
            'from' => 'op-283entity',
            'fromOperator' => 'op-283',
            'fromConnector' => 'entity',
            'to' => 'op-284entity',
            'toOperator' => 'op-284',
            'toConnector' => 'entity'
        ),
        'link-675' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-283controlFlow',
            'toOperator' => 'op-283',
            'toConnector' => 'controlFlow'
        ),
        'link-676' => array(
            'from' => 'op-2fields6',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields6',
            'to' => 'op-283id',
            'toOperator' => 'op-283',
            'toConnector' => 'id'
        ),
        'link-677' => array(
            'from' => 'op-284fields0',
            'fromOperator' => 'op-284',
            'fromConnector' => 'fields0',
            'to' => 'op-18fields2',
            'toOperator' => 'op-18',
            'toConnector' => 'fields2'
        ),
        'link-691' => array(
            'from' => 'op-283controlFlow',
            'fromOperator' => 'op-283',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-692' => array(
            'from' => 'op-300result',
            'fromOperator' => 'op-300',
            'fromConnector' => 'result',
            'to' => 'op-11fields1',
            'toOperator' => 'op-11',
            'toConnector' => 'fields1'
        ),
        'link-1097' => array(
            'from' => 'op-442schema',
            'fromOperator' => 'op-442',
            'fromConnector' => 'schema',
            'to' => 'op-440schema',
            'toOperator' => 'op-440',
            'toConnector' => 'schema'
        ),
        'link-1098' => array(
            'from' => 'op-444decorator',
            'fromOperator' => 'op-444',
            'fromConnector' => 'decorator',
            'to' => 'op-443decorator',
            'toOperator' => 'op-443',
            'toConnector' => 'decorator'
        ),
        'link-1099' => array(
            'from' => 'op-441structure',
            'fromOperator' => 'op-441',
            'fromConnector' => 'structure',
            'to' => 'op-443structure',
            'toOperator' => 'op-443',
            'toConnector' => 'structure'
        ),
        'link-1100' => array(
            'from' => 'op-441controlFlow',
            'fromOperator' => 'op-441',
            'fromConnector' => 'controlFlow',
            'to' => 'op-443controlFlow',
            'toOperator' => 'op-443',
            'toConnector' => 'controlFlow'
        ),
        'link-1101' => array(
            'from' => 'op-440controlFlow',
            'fromOperator' => 'op-440',
            'fromConnector' => 'controlFlow',
            'to' => 'op-441controlFlow',
            'toOperator' => 'op-441',
            'toConnector' => 'controlFlow'
        ),
        'link-1102' => array(
            'from' => 'op-440structure',
            'fromOperator' => 'op-440',
            'fromConnector' => 'structure',
            'to' => 'op-441structure',
            'toOperator' => 'op-441',
            'toConnector' => 'structure'
        ),
        'link-1103' => array(
            'from' => 'op-443controlFlow',
            'fromOperator' => 'op-443',
            'fromConnector' => 'controlFlow',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-1104' => array(
            'from' => 'op-443structure',
            'fromOperator' => 'op-443',
            'fromConnector' => 'structure',
            'to' => 'op-13fields7',
            'toOperator' => 'op-13',
            'toConnector' => 'fields7'
        ),
        'link-1105' => array(
            'from' => 'op-16result',
            'fromOperator' => 'op-16',
            'fromConnector' => 'result',
            'to' => 'op-441fields0',
            'toOperator' => 'op-441',
            'toConnector' => 'fields0'
        ),
        'link-1106' => array(
            'from' => 'op-15result',
            'fromOperator' => 'op-15',
            'fromConnector' => 'result',
            'to' => 'op-441fields2',
            'toOperator' => 'op-441',
            'toConnector' => 'fields2'
        ),
        'link-1107' => array(
            'from' => 'op-267result',
            'fromOperator' => 'op-267',
            'fromConnector' => 'result',
            'to' => 'op-441fields4',
            'toOperator' => 'op-441',
            'toConnector' => 'fields4'
        ),
        'link-1108' => array(
            'from' => 'op-276fields0',
            'fromOperator' => 'op-276',
            'fromConnector' => 'fields0',
            'to' => 'op-441fields5',
            'toOperator' => 'op-441',
            'toConnector' => 'fields5'
        ),
        'link-1109' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-441fields1',
            'toOperator' => 'op-441',
            'toConnector' => 'fields1'
        ),
        'link-1112' => array(
            'from' => 'op-446result',
            'fromOperator' => 'op-446',
            'fromConnector' => 'result',
            'to' => 'op-441fields3',
            'toOperator' => 'op-441',
            'toConnector' => 'fields3'
        ),
        'link-1114' => array(
            'from' => 'op-449result',
            'fromOperator' => 'op-449',
            'fromConnector' => 'result',
            'to' => 'op-446operand1',
            'toOperator' => 'op-446',
            'toConnector' => 'operand1'
        ),
        'link-1115' => array(
            'from' => 'op-448result',
            'fromOperator' => 'op-448',
            'fromConnector' => 'result',
            'to' => 'op-446operand3',
            'toOperator' => 'op-446',
            'toConnector' => 'operand3'
        ),
        'link-1116' => array(
            'from' => 'op-447result',
            'fromOperator' => 'op-447',
            'fromConnector' => 'result',
            'to' => 'op-446operand5',
            'toOperator' => 'op-446',
            'toConnector' => 'operand5'
        ),
        'link-1117' => array(
            'from' => 'op-445value',
            'fromOperator' => 'op-445',
            'fromConnector' => 'value',
            'to' => 'op-446operand2',
            'toOperator' => 'op-446',
            'toConnector' => 'operand2'
        ),
        'link-1118' => array(
            'from' => 'op-450result',
            'fromOperator' => 'op-450',
            'fromConnector' => 'result',
            'to' => 'op-439name',
            'toOperator' => 'op-439',
            'toConnector' => 'name'
        ),
        'link-1119' => array(
            'from' => 'op-450result',
            'fromOperator' => 'op-450',
            'fromConnector' => 'result',
            'to' => 'op-438name',
            'toOperator' => 'op-438',
            'toConnector' => 'name'
        ),
        'link-1120' => array(
            'from' => 'op-450result',
            'fromOperator' => 'op-450',
            'fromConnector' => 'result',
            'to' => 'op-437name',
            'toOperator' => 'op-437',
            'toConnector' => 'name'
        ),
        'link-1121' => array(
            'from' => 'op-450result',
            'fromOperator' => 'op-450',
            'fromConnector' => 'result',
            'to' => 'op-436name',
            'toOperator' => 'op-436',
            'toConnector' => 'name'
        ),
        'link-1122' => array(
            'from' => 'op-450result',
            'fromOperator' => 'op-450',
            'fromConnector' => 'result',
            'to' => 'op-445name',
            'toOperator' => 'op-445',
            'toConnector' => 'name'
        ),
        'link-1123' => array(
            'from' => 'op-451controlFlowIfTrue',
            'fromOperator' => 'op-451',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-439controlFlow',
            'toOperator' => 'op-439',
            'toConnector' => 'controlFlow'
        ),
        'link-1125' => array(
            'from' => 'op-452result',
            'fromOperator' => 'op-452',
            'fromConnector' => 'result',
            'to' => 'op-451condition',
            'toOperator' => 'op-451',
            'toConnector' => 'condition'
        ),
        'link-1126' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-452operand1',
            'toOperator' => 'op-452',
            'toConnector' => 'operand1'
        ),
        'link-1127' => array(
            'from' => 'op-453dropdownValue',
            'fromOperator' => 'op-453',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-452operand2',
            'toOperator' => 'op-452',
            'toConnector' => 'operand2'
        ),
        'link-1128' => array(
            'from' => 'op-456result',
            'fromOperator' => 'op-456',
            'fromConnector' => 'result',
            'to' => 'op-439value',
            'toOperator' => 'op-439',
            'toConnector' => 'value'
        ),
        'link-1129' => array(
            'from' => 'op-458controlFlowIfTrue',
            'fromOperator' => 'op-458',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-438controlFlow',
            'toOperator' => 'op-438',
            'toConnector' => 'controlFlow'
        ),
        'link-1130' => array(
            'from' => 'op-451controlFlowIfFalse',
            'fromOperator' => 'op-451',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-458controlFlow',
            'toOperator' => 'op-458',
            'toConnector' => 'controlFlow'
        ),
        'link-1131' => array(
            'from' => 'op-454result',
            'fromOperator' => 'op-454',
            'fromConnector' => 'result',
            'to' => 'op-438value',
            'toOperator' => 'op-438',
            'toConnector' => 'value'
        ),
        'link-1132' => array(
            'from' => 'op-459controlFlowIfTrue',
            'fromOperator' => 'op-459',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-437controlFlow',
            'toOperator' => 'op-437',
            'toConnector' => 'controlFlow'
        ),
        'link-1133' => array(
            'from' => 'op-464result',
            'fromOperator' => 'op-464',
            'fromConnector' => 'result',
            'to' => 'op-458condition',
            'toOperator' => 'op-458',
            'toConnector' => 'condition'
        ),
        'link-1134' => array(
            'from' => 'op-461dropdownValue',
            'fromOperator' => 'op-461',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-464operand2',
            'toOperator' => 'op-464',
            'toConnector' => 'operand2'
        ),
        'link-1135' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-464operand1',
            'toOperator' => 'op-464',
            'toConnector' => 'operand1'
        ),
        'link-1136' => array(
            'from' => 'op-463result',
            'fromOperator' => 'op-463',
            'fromConnector' => 'result',
            'to' => 'op-459condition',
            'toOperator' => 'op-459',
            'toConnector' => 'condition'
        ),
        'link-1137' => array(
            'from' => 'op-458controlFlowIfFalse',
            'fromOperator' => 'op-458',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-459controlFlow',
            'toOperator' => 'op-459',
            'toConnector' => 'controlFlow'
        ),
        'link-1138' => array(
            'from' => 'op-457result',
            'fromOperator' => 'op-457',
            'fromConnector' => 'result',
            'to' => 'op-437value',
            'toOperator' => 'op-437',
            'toConnector' => 'value'
        ),
        'link-1139' => array(
            'from' => 'op-466dropdownValue',
            'fromOperator' => 'op-466',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-463operand2',
            'toOperator' => 'op-463',
            'toConnector' => 'operand2'
        ),
        'link-1140' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-463operand1',
            'toOperator' => 'op-463',
            'toConnector' => 'operand1'
        ),
        'link-1141' => array(
            'from' => 'op-465dropdownValue',
            'fromOperator' => 'op-465',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-462operand2',
            'toOperator' => 'op-462',
            'toConnector' => 'operand2'
        ),
        'link-1142' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-462operand1',
            'toOperator' => 'op-462',
            'toConnector' => 'operand1'
        ),
        'link-1143' => array(
            'from' => 'op-462result',
            'fromOperator' => 'op-462',
            'fromConnector' => 'result',
            'to' => 'op-460condition',
            'toOperator' => 'op-460',
            'toConnector' => 'condition'
        ),
        'link-1144' => array(
            'from' => 'op-459controlFlowIfFalse',
            'fromOperator' => 'op-459',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-460controlFlow',
            'toOperator' => 'op-460',
            'toConnector' => 'controlFlow'
        ),
        'link-1145' => array(
            'from' => 'op-455result',
            'fromOperator' => 'op-455',
            'fromConnector' => 'result',
            'to' => 'op-436value',
            'toOperator' => 'op-436',
            'toConnector' => 'value'
        ),
        'link-1146' => array(
            'from' => 'op-460controlFlowIfTrue',
            'fromOperator' => 'op-460',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-436controlFlow',
            'toOperator' => 'op-436',
            'toConnector' => 'controlFlow'
        ),
        'link-1147' => array(
            'from' => 'op-460controlFlowIfFalse',
            'fromOperator' => 'op-460',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-440controlFlow',
            'toOperator' => 'op-440',
            'toConnector' => 'controlFlow'
        ),
        'link-1148' => array(
            'from' => 'op-439controlFlow',
            'fromOperator' => 'op-439',
            'fromConnector' => 'controlFlow',
            'to' => 'op-440controlFlow',
            'toOperator' => 'op-440',
            'toConnector' => 'controlFlow'
        ),
        'link-1149' => array(
            'from' => 'op-438controlFlow',
            'fromOperator' => 'op-438',
            'fromConnector' => 'controlFlow',
            'to' => 'op-440controlFlow',
            'toOperator' => 'op-440',
            'toConnector' => 'controlFlow'
        ),
        'link-1150' => array(
            'from' => 'op-437controlFlow',
            'fromOperator' => 'op-437',
            'fromConnector' => 'controlFlow',
            'to' => 'op-440controlFlow',
            'toOperator' => 'op-440',
            'toConnector' => 'controlFlow'
        ),
        'link-1151' => array(
            'from' => 'op-436controlFlow',
            'fromOperator' => 'op-436',
            'fromConnector' => 'controlFlow',
            'to' => 'op-440controlFlow',
            'toOperator' => 'op-440',
            'toConnector' => 'controlFlow'
        ),
        'link-1334' => array(
            'from' => 'op-281result',
            'fromOperator' => 'op-281',
            'fromConnector' => 'result',
            'to' => 'op-18fields0',
            'toOperator' => 'op-18',
            'toConnector' => 'fields0'
        ),
        'link-1335' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-451controlFlow',
            'toOperator' => 'op-451',
            'toConnector' => 'controlFlow'
        ),
        'link-1336' => array(
            'from' => 'op-18structure',
            'fromOperator' => 'op-18',
            'fromConnector' => 'structure',
            'to' => 'op-13fields5',
            'toOperator' => 'op-13',
            'toConnector' => 'fields5'
        ),
        'link-1337' => array(
            'from' => 'op-2fields5',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields5',
            'to' => 'op-520value',
            'toOperator' => 'op-520',
            'toConnector' => 'value'
        ),
        'link-1338' => array(
            'from' => 'op-520label',
            'fromOperator' => 'op-520',
            'fromConnector' => 'label',
            'to' => 'op-446operand4',
            'toOperator' => 'op-446',
            'toConnector' => 'operand4'
        ),
    )
);
