<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd080289349f3_58575389/operators/FlowchartOperator_lb5bd080289349f3_58575389.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd080289349f3_58575389/dataStorage/FlowchartStructures_lb5bd080289349f3_58575389.php';

class SetStructureFieldsOperator_lb5bd080289349f3_58575389 extends FlowchartOperator_lb5bd080289349f3_58575389{

    protected $structure;
    protected $fieldValues = array();

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'structure'){
            $this->structure = $value;
        }else{
            $fieldSystemName = $this->inDataPorts[$id]['value'];
            $this->fieldValues[$fieldSystemName] = $value;
        }
    }

    public function process($params = array()){
        if(!empty($this->structure) && $this->structure instanceof FlowchartStructures_lb5bd080289349f3_58575389){
            foreach($this->fieldValues as $systemName => $value){
                $this->structure->setSchemaValue($systemName, $value);
            }
        }
    }

    public function getOutDataByPortId($portId){
        return $this->structure;
    }

}
