<?php
$operatorMeta = array(
    'operators' => array(
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'action_date',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Call ',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'GetEntityFieldsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'object' => array(
                    'id' => 'object',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-57' => array(
            'id' => 'op-57',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Calls',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Calls',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-59' => array(
            'id' => 'op-59',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'date_start',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'direction',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-60' => array(
            'id' => 'op-60',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-62' => array(
            'id' => 'op-62',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-63' => array(
            'id' => 'op-63',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'meeting_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Held',
                                    ),
            ),
        ),
        'op-64' => array(
            'id' => 'op-64',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-65' => array(
            'id' => 'op-65',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-66' => array(
            'id' => 'op-66',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-68' => array(
            'id' => 'op-68',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Calls',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-69' => array(
            'id' => 'op-69',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-95' => array(
            'id' => 'op-95',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-97' => array(
            'id' => 'op-97',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-268' => array(
            'id' => 'op-268',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-269' => array(
            'id' => 'op-269',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'type',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-270' => array(
            'id' => 'op-270',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'type',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-271' => array(
            'id' => 'op-271',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 'type',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-272' => array(
            'id' => 'op-272',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'call_direction_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Inbound',
                                    ),
            ),
        ),
        'op-273' => array(
            'id' => 'op-273',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-274' => array(
            'id' => 'op-274',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Contact Inbound Call held',
                                    ),
            ),
        ),
        'op-275' => array(
            'id' => 'op-275',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Contact Outbound Call held',
                                    ),
            ),
        ),
        'op-279' => array(
            'id' => 'op-279',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-280' => array(
            'id' => 'op-280',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-309' => array(
            'id' => 'op-309',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-310' => array(
            'id' => 'op-310',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-405' => array(
            'id' => 'op-405',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-406' => array(
            'id' => 'op-406',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-407' => array(
            'id' => 'op-407',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Call',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-515' => array(
            'id' => 'op-515',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Calls',
                                    ),
            ),
        ),
        'op-517' => array(
            'id' => 'op-517',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Description',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-518' => array(
            'id' => 'op-518',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-519' => array(
            'id' => 'op-519',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        ),
                                    ),
            ),
        ),
        'op-545' => array(
            'id' => 'op-545',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Call',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-546' => array(
            'id' => 'op-546',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' by ',
                                    ),
            ),
        ),
        'op-547' => array(
            'id' => 'op-547',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-548' => array(
            'id' => 'op-548',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Calls',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-31' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-19entity',
            'toOperator' => 'op-19',
            'toConnector' => 'entity'
        ),
        'link-41' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-25controlFlow',
            'toOperator' => 'op-25',
            'toConnector' => 'controlFlow'
        ),
        'link-42' => array(
            'from' => 'op-19entity',
            'fromOperator' => 'op-19',
            'fromConnector' => 'entity',
            'to' => 'op-25entity',
            'toOperator' => 'op-25',
            'toConnector' => 'entity'
        ),
        'link-101' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-47controlFlow',
            'toOperator' => 'op-47',
            'toConnector' => 'controlFlow'
        ),
        'link-102' => array(
            'from' => 'op-47controlFlow',
            'fromOperator' => 'op-47',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-105' => array(
            'from' => 'op-47singleEntity',
            'fromOperator' => 'op-47',
            'fromConnector' => 'singleEntity',
            'to' => 'op-50object',
            'toOperator' => 'op-50',
            'toConnector' => 'object'
        ),
        'link-109' => array(
            'from' => 'op-50fields0',
            'fromOperator' => 'op-50',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields1',
            'toOperator' => 'op-19',
            'toConnector' => 'fields1'
        ),
        'link-127' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-59entity',
            'toOperator' => 'op-59',
            'toConnector' => 'entity'
        ),
        'link-128' => array(
            'from' => 'op-57previousEntityState',
            'fromOperator' => 'op-57',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-60entity',
            'toOperator' => 'op-60',
            'toConnector' => 'entity'
        ),
        'link-129' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand1',
            'toOperator' => 'op-62',
            'toConnector' => 'operand1'
        ),
        'link-130' => array(
            'from' => 'op-60fields0',
            'fromOperator' => 'op-60',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand2',
            'toOperator' => 'op-62',
            'toConnector' => 'operand2'
        ),
        'link-131' => array(
            'from' => 'op-63dropdownValue',
            'fromOperator' => 'op-63',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-64operand1',
            'toOperator' => 'op-64',
            'toConnector' => 'operand1'
        ),
        'link-132' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-64operand2',
            'toOperator' => 'op-64',
            'toConnector' => 'operand2'
        ),
        'link-133' => array(
            'from' => 'op-64result',
            'fromOperator' => 'op-64',
            'fromConnector' => 'result',
            'to' => 'op-65operand1',
            'toOperator' => 'op-65',
            'toConnector' => 'operand1'
        ),
        'link-134' => array(
            'from' => 'op-62result',
            'fromOperator' => 'op-62',
            'fromConnector' => 'result',
            'to' => 'op-65operand2',
            'toOperator' => 'op-65',
            'toConnector' => 'operand2'
        ),
        'link-140' => array(
            'from' => 'op-65result',
            'fromOperator' => 'op-65',
            'fromConnector' => 'result',
            'to' => 'op-66condition',
            'toOperator' => 'op-66',
            'toConnector' => 'condition'
        ),
        'link-150' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-68entity',
            'toOperator' => 'op-68',
            'toConnector' => 'entity'
        ),
        'link-152' => array(
            'from' => 'op-68controlFlow',
            'fromOperator' => 'op-68',
            'fromConnector' => 'controlFlow',
            'to' => 'op-69controlFlow',
            'toOperator' => 'op-69',
            'toConnector' => 'controlFlow'
        ),
        'link-153' => array(
            'from' => 'op-68entities',
            'fromOperator' => 'op-68',
            'fromConnector' => 'entities',
            'to' => 'op-69entities',
            'toOperator' => 'op-69',
            'toConnector' => 'entities'
        ),
        'link-338' => array(
            'from' => 'op-95dropdownValue',
            'fromOperator' => 'op-95',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-47fields0',
            'toOperator' => 'op-47',
            'toConnector' => 'fields0'
        ),
        'link-339' => array(
            'from' => 'op-95dropdownValue',
            'fromOperator' => 'op-95',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields2',
            'toOperator' => 'op-19',
            'toConnector' => 'fields2'
        ),
        'link-340' => array(
            'from' => 'op-69entity',
            'fromOperator' => 'op-69',
            'fromConnector' => 'entity',
            'to' => 'op-97entity',
            'toOperator' => 'op-97',
            'toConnector' => 'entity'
        ),
        'link-341' => array(
            'from' => 'op-97fields0',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields3',
            'toOperator' => 'op-19',
            'toConnector' => 'fields3'
        ),
        'link-580' => array(
            'from' => 'op-271value',
            'fromOperator' => 'op-271',
            'fromConnector' => 'value',
            'to' => 'op-47fields1',
            'toOperator' => 'op-47',
            'toConnector' => 'fields1'
        ),
        'link-581' => array(
            'from' => 'op-268controlFlowIfTrue',
            'fromOperator' => 'op-268',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-269controlFlow',
            'toOperator' => 'op-269',
            'toConnector' => 'controlFlow'
        ),
        'link-582' => array(
            'from' => 'op-268controlFlowIfFalse',
            'fromOperator' => 'op-268',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-270controlFlow',
            'toOperator' => 'op-270',
            'toConnector' => 'controlFlow'
        ),
        'link-583' => array(
            'from' => 'op-59fields6',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields6',
            'to' => 'op-273operand1',
            'toOperator' => 'op-273',
            'toConnector' => 'operand1'
        ),
        'link-584' => array(
            'from' => 'op-272dropdownValue',
            'fromOperator' => 'op-272',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-273operand2',
            'toOperator' => 'op-273',
            'toConnector' => 'operand2'
        ),
        'link-585' => array(
            'from' => 'op-273result',
            'fromOperator' => 'op-273',
            'fromConnector' => 'result',
            'to' => 'op-268condition',
            'toOperator' => 'op-268',
            'toConnector' => 'condition'
        ),
        'link-586' => array(
            'from' => 'op-274result',
            'fromOperator' => 'op-274',
            'fromConnector' => 'result',
            'to' => 'op-269value',
            'toOperator' => 'op-269',
            'toConnector' => 'value'
        ),
        'link-587' => array(
            'from' => 'op-275result',
            'fromOperator' => 'op-275',
            'fromConnector' => 'result',
            'to' => 'op-270value',
            'toOperator' => 'op-270',
            'toConnector' => 'value'
        ),
        'link-588' => array(
            'from' => 'op-269controlFlow',
            'fromOperator' => 'op-269',
            'fromConnector' => 'controlFlow',
            'to' => 'op-68controlFlow',
            'toOperator' => 'op-68',
            'toConnector' => 'controlFlow'
        ),
        'link-589' => array(
            'from' => 'op-270controlFlow',
            'fromOperator' => 'op-270',
            'fromConnector' => 'controlFlow',
            'to' => 'op-68controlFlow',
            'toOperator' => 'op-68',
            'toConnector' => 'controlFlow'
        ),
        'link-592' => array(
            'from' => 'op-59fields3',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields3',
            'to' => 'op-279id',
            'toOperator' => 'op-279',
            'toConnector' => 'id'
        ),
        'link-596' => array(
            'from' => 'op-279entity',
            'fromOperator' => 'op-279',
            'fromConnector' => 'entity',
            'to' => 'op-280entity',
            'toOperator' => 'op-280',
            'toConnector' => 'entity'
        ),
        'link-715' => array(
            'from' => 'op-310controlFlowIfFalse',
            'fromOperator' => 'op-310',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-716' => array(
            'from' => 'op-309result',
            'fromOperator' => 'op-309',
            'fromConnector' => 'result',
            'to' => 'op-310condition',
            'toOperator' => 'op-310',
            'toConnector' => 'condition'
        ),
        'link-717' => array(
            'from' => 'op-97fields0',
            'fromOperator' => 'op-97',
            'fromConnector' => 'fields0',
            'to' => 'op-309operand2',
            'toOperator' => 'op-309',
            'toConnector' => 'operand2'
        ),
        'link-718' => array(
            'from' => 'op-69controlFlowLoopBody',
            'fromOperator' => 'op-69',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-310controlFlow',
            'toOperator' => 'op-310',
            'toConnector' => 'controlFlow'
        ),
        'link-719' => array(
            'from' => 'op-59fields7',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields7',
            'to' => 'op-309operand1',
            'toOperator' => 'op-309',
            'toConnector' => 'operand1'
        ),
        'link-1010' => array(
            'from' => 'op-406controlFlow',
            'fromOperator' => 'op-406',
            'fromConnector' => 'controlFlow',
            'to' => 'op-405controlFlow',
            'toOperator' => 'op-405',
            'toConnector' => 'controlFlow'
        ),
        'link-1014' => array(
            'from' => 'op-23result',
            'fromOperator' => 'op-23',
            'fromConnector' => 'result',
            'to' => 'op-405fields0',
            'toOperator' => 'op-405',
            'toConnector' => 'fields0'
        ),
        'link-1255' => array(
            'from' => 'op-57controlFlow',
            'fromOperator' => 'op-57',
            'fromConnector' => 'controlFlow',
            'to' => 'op-66controlFlow',
            'toOperator' => 'op-66',
            'toConnector' => 'controlFlow'
        ),
        'link-1312' => array(
            'from' => 'op-279controlFlow',
            'fromOperator' => 'op-279',
            'fromConnector' => 'controlFlow',
            'to' => 'op-406controlFlow',
            'toOperator' => 'op-406',
            'toConnector' => 'controlFlow'
        ),
        'link-1313' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-19fields0',
            'toOperator' => 'op-19',
            'toConnector' => 'fields0'
        ),
        'link-1314' => array(
            'from' => 'op-515dropdownValue',
            'fromOperator' => 'op-515',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields5',
            'toOperator' => 'op-19',
            'toConnector' => 'fields5'
        ),
        'link-1315' => array(
            'from' => 'op-407schema',
            'fromOperator' => 'op-407',
            'fromConnector' => 'schema',
            'to' => 'op-406schema',
            'toOperator' => 'op-406',
            'toConnector' => 'schema'
        ),
        'link-1316' => array(
            'from' => 'op-406structure',
            'fromOperator' => 'op-406',
            'fromConnector' => 'structure',
            'to' => 'op-405structure',
            'toOperator' => 'op-405',
            'toConnector' => 'structure'
        ),
        'link-1321' => array(
            'from' => 'op-59fields2',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields2',
            'to' => 'op-19fields7',
            'toOperator' => 'op-19',
            'toConnector' => 'fields7'
        ),
        'link-1322' => array(
            'from' => 'op-66controlFlowIfTrue',
            'fromOperator' => 'op-66',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-518controlFlow',
            'toOperator' => 'op-518',
            'toConnector' => 'controlFlow'
        ),
        'link-1323' => array(
            'from' => 'op-518controlFlow',
            'fromOperator' => 'op-518',
            'fromConnector' => 'controlFlow',
            'to' => 'op-519controlFlow',
            'toOperator' => 'op-519',
            'toConnector' => 'controlFlow'
        ),
        'link-1324' => array(
            'from' => 'op-518structure',
            'fromOperator' => 'op-518',
            'fromConnector' => 'structure',
            'to' => 'op-519structure',
            'toOperator' => 'op-519',
            'toConnector' => 'structure'
        ),
        'link-1325' => array(
            'from' => 'op-519controlFlow',
            'fromOperator' => 'op-519',
            'fromConnector' => 'controlFlow',
            'to' => 'op-279controlFlow',
            'toOperator' => 'op-279',
            'toConnector' => 'controlFlow'
        ),
        'link-1326' => array(
            'from' => 'op-517schema',
            'fromOperator' => 'op-517',
            'fromConnector' => 'schema',
            'to' => 'op-518schema',
            'toOperator' => 'op-518',
            'toConnector' => 'schema'
        ),
        'link-1327' => array(
            'from' => 'op-59fields5',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields5',
            'to' => 'op-519fields0',
            'toOperator' => 'op-519',
            'toConnector' => 'fields0'
        ),
        'link-1328' => array(
            'from' => 'op-519structure',
            'fromOperator' => 'op-519',
            'fromConnector' => 'structure',
            'to' => 'op-19fields8',
            'toOperator' => 'op-19',
            'toConnector' => 'fields8'
        ),
        'link-1395' => array(
            'from' => 'op-280fields0',
            'fromOperator' => 'op-280',
            'fromConnector' => 'fields0',
            'to' => 'op-405fields3',
            'toOperator' => 'op-405',
            'toConnector' => 'fields3'
        ),
        'link-1396' => array(
            'from' => 'op-546result',
            'fromOperator' => 'op-546',
            'fromConnector' => 'result',
            'to' => 'op-405fields2',
            'toOperator' => 'op-405',
            'toConnector' => 'fields2'
        ),
        'link-1397' => array(
            'from' => 'op-59fields1',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields1',
            'to' => 'op-405fields1',
            'toOperator' => 'op-405',
            'toConnector' => 'fields1'
        ),
        'link-1398' => array(
            'from' => 'op-405controlFlow',
            'fromOperator' => 'op-405',
            'fromConnector' => 'controlFlow',
            'to' => 'op-545controlFlow',
            'toOperator' => 'op-545',
            'toConnector' => 'controlFlow'
        ),
        'link-1399' => array(
            'from' => 'op-545controlFlow',
            'fromOperator' => 'op-545',
            'fromConnector' => 'controlFlow',
            'to' => 'op-268controlFlow',
            'toOperator' => 'op-268',
            'toConnector' => 'controlFlow'
        ),
        'link-1400' => array(
            'from' => 'op-405structure',
            'fromOperator' => 'op-405',
            'fromConnector' => 'structure',
            'to' => 'op-545structure',
            'toOperator' => 'op-545',
            'toConnector' => 'structure'
        ),
        'link-1401' => array(
            'from' => 'op-548link',
            'fromOperator' => 'op-548',
            'fromConnector' => 'link',
            'to' => 'op-547link',
            'toOperator' => 'op-547',
            'toConnector' => 'link'
        ),
        'link-1402' => array(
            'from' => 'op-547decorator',
            'fromOperator' => 'op-547',
            'fromConnector' => 'decorator',
            'to' => 'op-545decorator',
            'toOperator' => 'op-545',
            'toConnector' => 'decorator'
        ),
        'link-1403' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-548id',
            'toOperator' => 'op-548',
            'toConnector' => 'id'
        ),
        'link-1404' => array(
            'from' => 'op-545structure',
            'fromOperator' => 'op-545',
            'fromConnector' => 'structure',
            'to' => 'op-19fields4',
            'toOperator' => 'op-19',
            'toConnector' => 'fields4'
        ),
    )
);
