<?php

class FlowchartTable_lb5bd08052c122f5_95857282{

    protected $schema;
    protected $headers;
    protected $rows;

    public function __construct($schema){
        $this->schema = $schema;
        $this->setHeaders();
    }

    protected function setHeaders(){
        $headerRow = array();
        foreach($this->schema as $collId => $coll){
            $headerRow[$collId] = $coll['label'];
        }

        $this->headers = $headerRow;
    }

    public function addRow($row){
        $tableRow = array();

        foreach($this->schema as $collId => $coll)
            $tableRow[$collId] = !empty($row[$collId]) ? $row[$collId] : '';

        $this->rows[] = $tableRow;
    }

    public function getHeaders(){
        return $this->headers;
    }

    public function getBody(){
        return $this->rows;
    }

}
