<?php

class TypeOperations_lb5bd0805b640e87_28908580{

    public static function isNumeric($value){
        return is_numeric($value) || empty($value);
    }

    public static function getNumber($number){
        return empty($number) ? 0 : $number + 0;
    }

    public static function isString($value){
        return is_string($value);
    }

    public static function isDate($value){
        return self::getDatetime($value) != null;
    }

    public static function getDatetime($string){
        global $timedate, $current_user;

        $sugarDT = $timedate->fromUserType($string, 'datetime', $current_user);
        if(empty($sugarDT))
            $sugarDT = $timedate->fromUserType($string, 'date', $current_user);
        if(empty($sugarDT))
            $sugarDT = $timedate->fromDbType($string, 'datetime');
        if(empty($sugarDT))
            $sugarDT = $timedate->fromDbType($string, 'date');
        if(empty($sugarDT))
            $sugarDT =  $timedate->fromIso($string);

        return $sugarDT;
    }
}
