<?php
$operatorMeta = array(
    'operators' => array(
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'action_date',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-26' => array(
            'id' => 'op-26',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Related Contacts',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Related Contacts',
                                        ),
                                    ),
            ),
        ),
        'op-28' => array(
            'id' => 'op-28',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Description',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Related Contacts',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Related Contacts',
                                        ),
                                    ),
            ),
        ),
        'op-29' => array(
            'id' => 'op-29',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Related Contacts',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Related Contacts',
                                        ),
                                    ),
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-49' => array(
            'id' => 'op-49',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' Meeting Held',
                                    ),
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'GetEntityFieldsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'object' => array(
                    'id' => 'object',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-57' => array(
            'id' => 'op-57',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Meetings',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Meetings',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Meetings',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-59' => array(
            'id' => 'op-59',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Meetings',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'date_start',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => '',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-60' => array(
            'id' => 'op-60',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Meetings',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-62' => array(
            'id' => 'op-62',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-63' => array(
            'id' => 'op-63',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'meeting_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Held',
                                    ),
            ),
        ),
        'op-64' => array(
            'id' => 'op-64',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-65' => array(
            'id' => 'op-65',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-66' => array(
            'id' => 'op-66',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-67' => array(
            'id' => 'op-67',
            'type' => 'CreateCollectionOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'elements1' => array(
                    'id' => 'elements1',
                                        'value' => '',
                                        'section' => 'elements',
                ),
            ),
            'outDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-68' => array(
            'id' => 'op-68',
            'type' => 'RetrieveRelatedEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Meetings',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-69' => array(
            'id' => 'op-69',
            'type' => 'ForEachEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-70' => array(
            'id' => 'op-70',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Related Contacts',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Related Contacts',
                                        ),
                                    ),
            ),
        ),
        'op-71' => array(
            'id' => 'op-71',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Email',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Mobile',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Name',
                                        'fields1' => 'Email',
                                        'fields2' => 'Mobile',
                                        ),
                                    ),
            ),
        ),
        'op-72' => array(
            'id' => 'op-72',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Name',
                                        'fields1' => 'Email',
                                        'fields2' => 'Mobile',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Name',
                                        'fields1' => 'Email',
                                        'fields2' => 'Mobile',
                                        ),
                                    ),
            ),
        ),
        'op-73' => array(
            'id' => 'op-73',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'email1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'phone_mobile',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-74' => array(
            'id' => 'op-74',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Name',
                                        'fields1' => 'Email',
                                        'fields2' => 'Mobile',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Name',
                                        'fields1' => 'Email',
                                        'fields2' => 'Mobile',
                                        ),
                                    ),
            ),
        ),
        'op-75' => array(
            'id' => 'op-75',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-76' => array(
            'id' => 'op-76',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-77' => array(
            'id' => 'op-77',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Name',
                                        'fields1' => 'Email',
                                        'fields2' => 'Mobile',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Name',
                                        'fields1' => 'Email',
                                        'fields2' => 'Mobile',
                                        ),
                                    ),
            ),
        ),
        'op-78' => array(
            'id' => 'op-78',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        ),
                                    ),
            ),
        ),
        'op-79' => array(
            'id' => 'op-79',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Contact',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        ),
                                    ),
            ),
        ),
        'op-80' => array(
            'id' => 'op-80',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Contact',
                                        ),
                                    ),
            ),
        ),
        'op-81' => array(
            'id' => 'op-81',
            'type' => 'AddElementToCollectionOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
                'element' => array(
                    'id' => 'element',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-298' => array(
            'id' => 'op-298',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Meeting ',
                                    ),
            ),
        ),
        'op-303' => array(
            'id' => 'op-303',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-304' => array(
            'id' => 'op-304',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-413' => array(
            'id' => 'op-413',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Meeting',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Meeting',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-414' => array(
            'id' => 'op-414',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Meeting',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Meeting',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-415' => array(
            'id' => 'op-415',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Meeting',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Meeting',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-514' => array(
            'id' => 'op-514',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Meetings',
                                    ),
            ),
        ),
        'op-515' => array(
            'id' => 'op-515',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' by ',
                                    ),
            ),
        ),
        'op-516' => array(
            'id' => 'op-516',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Meetings',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-517' => array(
            'id' => 'op-517',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-518' => array(
            'id' => 'op-518',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Meeting',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Meeting',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-527' => array(
            'id' => 'op-527',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-31' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-19entity',
            'toOperator' => 'op-19',
            'toConnector' => 'entity'
        ),
        'link-41' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-25controlFlow',
            'toOperator' => 'op-25',
            'toConnector' => 'controlFlow'
        ),
        'link-42' => array(
            'from' => 'op-19entity',
            'fromOperator' => 'op-19',
            'fromConnector' => 'entity',
            'to' => 'op-25entity',
            'toOperator' => 'op-25',
            'toConnector' => 'entity'
        ),
        'link-44' => array(
            'from' => 'op-28schema',
            'fromOperator' => 'op-28',
            'fromConnector' => 'schema',
            'to' => 'op-26schema',
            'toOperator' => 'op-26',
            'toConnector' => 'schema'
        ),
        'link-46' => array(
            'from' => 'op-26controlFlow',
            'fromOperator' => 'op-26',
            'fromConnector' => 'controlFlow',
            'to' => 'op-29controlFlow',
            'toOperator' => 'op-29',
            'toConnector' => 'controlFlow'
        ),
        'link-47' => array(
            'from' => 'op-26structure',
            'fromOperator' => 'op-26',
            'fromConnector' => 'structure',
            'to' => 'op-29structure',
            'toOperator' => 'op-29',
            'toConnector' => 'structure'
        ),
        'link-101' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-47controlFlow',
            'toOperator' => 'op-47',
            'toConnector' => 'controlFlow'
        ),
        'link-102' => array(
            'from' => 'op-47controlFlow',
            'fromOperator' => 'op-47',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-105' => array(
            'from' => 'op-47singleEntity',
            'fromOperator' => 'op-47',
            'fromConnector' => 'singleEntity',
            'to' => 'op-50object',
            'toOperator' => 'op-50',
            'toConnector' => 'object'
        ),
        'link-109' => array(
            'from' => 'op-50fields0',
            'fromOperator' => 'op-50',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields1',
            'toOperator' => 'op-19',
            'toConnector' => 'fields1'
        ),
        'link-127' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-59entity',
            'toOperator' => 'op-59',
            'toConnector' => 'entity'
        ),
        'link-128' => array(
            'from' => 'op-57previousEntityState',
            'fromOperator' => 'op-57',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-60entity',
            'toOperator' => 'op-60',
            'toConnector' => 'entity'
        ),
        'link-129' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand1',
            'toOperator' => 'op-62',
            'toConnector' => 'operand1'
        ),
        'link-130' => array(
            'from' => 'op-60fields0',
            'fromOperator' => 'op-60',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand2',
            'toOperator' => 'op-62',
            'toConnector' => 'operand2'
        ),
        'link-131' => array(
            'from' => 'op-63dropdownValue',
            'fromOperator' => 'op-63',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-64operand1',
            'toOperator' => 'op-64',
            'toConnector' => 'operand1'
        ),
        'link-132' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-64operand2',
            'toOperator' => 'op-64',
            'toConnector' => 'operand2'
        ),
        'link-133' => array(
            'from' => 'op-64result',
            'fromOperator' => 'op-64',
            'fromConnector' => 'result',
            'to' => 'op-65operand1',
            'toOperator' => 'op-65',
            'toConnector' => 'operand1'
        ),
        'link-134' => array(
            'from' => 'op-62result',
            'fromOperator' => 'op-62',
            'fromConnector' => 'result',
            'to' => 'op-65operand2',
            'toOperator' => 'op-65',
            'toConnector' => 'operand2'
        ),
        'link-140' => array(
            'from' => 'op-65result',
            'fromOperator' => 'op-65',
            'fromConnector' => 'result',
            'to' => 'op-66condition',
            'toOperator' => 'op-66',
            'toConnector' => 'condition'
        ),
        'link-141' => array(
            'from' => 'op-66controlFlowIfTrue',
            'fromOperator' => 'op-66',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-26controlFlow',
            'toOperator' => 'op-26',
            'toConnector' => 'controlFlow'
        ),
        'link-142' => array(
            'from' => 'op-57controlFlow',
            'fromOperator' => 'op-57',
            'fromConnector' => 'controlFlow',
            'to' => 'op-66controlFlow',
            'toOperator' => 'op-66',
            'toConnector' => 'controlFlow'
        ),
        'link-145' => array(
            'from' => 'op-59fields5',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields5',
            'to' => 'op-47fields0',
            'toOperator' => 'op-47',
            'toConnector' => 'fields0'
        ),
        'link-146' => array(
            'from' => 'op-59fields5',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields5',
            'to' => 'op-19fields2',
            'toOperator' => 'op-19',
            'toConnector' => 'fields2'
        ),
        'link-147' => array(
            'from' => 'op-59fields6',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields6',
            'to' => 'op-19fields3',
            'toOperator' => 'op-19',
            'toConnector' => 'fields3'
        ),
        'link-149' => array(
            'from' => 'op-67controlFlow',
            'fromOperator' => 'op-67',
            'fromConnector' => 'controlFlow',
            'to' => 'op-68controlFlow',
            'toOperator' => 'op-68',
            'toConnector' => 'controlFlow'
        ),
        'link-150' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-68entity',
            'toOperator' => 'op-68',
            'toConnector' => 'entity'
        ),
        'link-152' => array(
            'from' => 'op-68controlFlow',
            'fromOperator' => 'op-68',
            'fromConnector' => 'controlFlow',
            'to' => 'op-69controlFlow',
            'toOperator' => 'op-69',
            'toConnector' => 'controlFlow'
        ),
        'link-153' => array(
            'from' => 'op-68entities',
            'fromOperator' => 'op-68',
            'fromConnector' => 'entities',
            'to' => 'op-69entities',
            'toOperator' => 'op-69',
            'toConnector' => 'entities'
        ),
        'link-154' => array(
            'from' => 'op-69controlFlowCompleted',
            'fromOperator' => 'op-69',
            'fromConnector' => 'controlFlowCompleted',
            'to' => 'op-70controlFlow',
            'toOperator' => 'op-70',
            'toConnector' => 'controlFlow'
        ),
        'link-157' => array(
            'from' => 'op-70structure',
            'fromOperator' => 'op-70',
            'fromConnector' => 'structure',
            'to' => 'op-19fields0',
            'toOperator' => 'op-19',
            'toConnector' => 'fields0'
        ),
        'link-158' => array(
            'from' => 'op-67collection',
            'fromOperator' => 'op-67',
            'fromConnector' => 'collection',
            'to' => 'op-70fields0',
            'toOperator' => 'op-70',
            'toConnector' => 'fields0'
        ),
        'link-159' => array(
            'from' => 'op-69controlFlowLoopBody',
            'fromOperator' => 'op-69',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-72controlFlow',
            'toOperator' => 'op-72',
            'toConnector' => 'controlFlow'
        ),
        'link-160' => array(
            'from' => 'op-71schema',
            'fromOperator' => 'op-71',
            'fromConnector' => 'schema',
            'to' => 'op-72schema',
            'toOperator' => 'op-72',
            'toConnector' => 'schema'
        ),
        'link-161' => array(
            'from' => 'op-69entity',
            'fromOperator' => 'op-69',
            'fromConnector' => 'entity',
            'to' => 'op-73entity',
            'toOperator' => 'op-73',
            'toConnector' => 'entity'
        ),
        'link-162' => array(
            'from' => 'op-72controlFlow',
            'fromOperator' => 'op-72',
            'fromConnector' => 'controlFlow',
            'to' => 'op-74controlFlow',
            'toOperator' => 'op-74',
            'toConnector' => 'controlFlow'
        ),
        'link-163' => array(
            'from' => 'op-73fields0',
            'fromOperator' => 'op-73',
            'fromConnector' => 'fields0',
            'to' => 'op-74fields0',
            'toOperator' => 'op-74',
            'toConnector' => 'fields0'
        ),
        'link-164' => array(
            'from' => 'op-73fields1',
            'fromOperator' => 'op-73',
            'fromConnector' => 'fields1',
            'to' => 'op-74fields1',
            'toOperator' => 'op-74',
            'toConnector' => 'fields1'
        ),
        'link-165' => array(
            'from' => 'op-73fields2',
            'fromOperator' => 'op-73',
            'fromConnector' => 'fields2',
            'to' => 'op-74fields2',
            'toOperator' => 'op-74',
            'toConnector' => 'fields2'
        ),
        'link-166' => array(
            'from' => 'op-72structure',
            'fromOperator' => 'op-72',
            'fromConnector' => 'structure',
            'to' => 'op-74structure',
            'toOperator' => 'op-74',
            'toConnector' => 'structure'
        ),
        'link-167' => array(
            'from' => 'op-73fields3',
            'fromOperator' => 'op-73',
            'fromConnector' => 'fields3',
            'to' => 'op-75id',
            'toOperator' => 'op-75',
            'toConnector' => 'id'
        ),
        'link-170' => array(
            'from' => 'op-75link',
            'fromOperator' => 'op-75',
            'fromConnector' => 'link',
            'to' => 'op-76link',
            'toOperator' => 'op-76',
            'toConnector' => 'link'
        ),
        'link-175' => array(
            'from' => 'op-76decorator',
            'fromOperator' => 'op-76',
            'fromConnector' => 'decorator',
            'to' => 'op-77decorator',
            'toOperator' => 'op-77',
            'toConnector' => 'decorator'
        ),
        'link-176' => array(
            'from' => 'op-74structure',
            'fromOperator' => 'op-74',
            'fromConnector' => 'structure',
            'to' => 'op-77structure',
            'toOperator' => 'op-77',
            'toConnector' => 'structure'
        ),
        'link-177' => array(
            'from' => 'op-74controlFlow',
            'fromOperator' => 'op-74',
            'fromConnector' => 'controlFlow',
            'to' => 'op-77controlFlow',
            'toOperator' => 'op-77',
            'toConnector' => 'controlFlow'
        ),
        'link-180' => array(
            'from' => 'op-77controlFlow',
            'fromOperator' => 'op-77',
            'fromConnector' => 'controlFlow',
            'to' => 'op-80controlFlow',
            'toOperator' => 'op-80',
            'toConnector' => 'controlFlow'
        ),
        'link-181' => array(
            'from' => 'op-79schema',
            'fromOperator' => 'op-79',
            'fromConnector' => 'schema',
            'to' => 'op-80schema',
            'toOperator' => 'op-80',
            'toConnector' => 'schema'
        ),
        'link-182' => array(
            'from' => 'op-80structure',
            'fromOperator' => 'op-80',
            'fromConnector' => 'structure',
            'to' => 'op-78structure',
            'toOperator' => 'op-78',
            'toConnector' => 'structure'
        ),
        'link-183' => array(
            'from' => 'op-80controlFlow',
            'fromOperator' => 'op-80',
            'fromConnector' => 'controlFlow',
            'to' => 'op-78controlFlow',
            'toOperator' => 'op-78',
            'toConnector' => 'controlFlow'
        ),
        'link-184' => array(
            'from' => 'op-77structure',
            'fromOperator' => 'op-77',
            'fromConnector' => 'structure',
            'to' => 'op-78fields0',
            'toOperator' => 'op-78',
            'toConnector' => 'fields0'
        ),
        'link-185' => array(
            'from' => 'op-78controlFlow',
            'fromOperator' => 'op-78',
            'fromConnector' => 'controlFlow',
            'to' => 'op-81controlFlow',
            'toOperator' => 'op-81',
            'toConnector' => 'controlFlow'
        ),
        'link-186' => array(
            'from' => 'op-78structure',
            'fromOperator' => 'op-78',
            'fromConnector' => 'structure',
            'to' => 'op-81element',
            'toOperator' => 'op-81',
            'toConnector' => 'element'
        ),
        'link-187' => array(
            'from' => 'op-67collection',
            'fromOperator' => 'op-67',
            'fromConnector' => 'collection',
            'to' => 'op-81collection',
            'toOperator' => 'op-81',
            'toConnector' => 'collection'
        ),
        'link-664' => array(
            'from' => 'op-70controlFlow',
            'fromOperator' => 'op-70',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-697' => array(
            'from' => 'op-303entity',
            'fromOperator' => 'op-303',
            'fromConnector' => 'entity',
            'to' => 'op-304entity',
            'toOperator' => 'op-304',
            'toConnector' => 'entity'
        ),
        'link-1034' => array(
            'from' => 'op-413controlFlow',
            'fromOperator' => 'op-413',
            'fromConnector' => 'controlFlow',
            'to' => 'op-414controlFlow',
            'toOperator' => 'op-414',
            'toConnector' => 'controlFlow'
        ),
        'link-1035' => array(
            'from' => 'op-413structure',
            'fromOperator' => 'op-413',
            'fromConnector' => 'structure',
            'to' => 'op-414structure',
            'toOperator' => 'op-414',
            'toConnector' => 'structure'
        ),
        'link-1038' => array(
            'from' => 'op-415schema',
            'fromOperator' => 'op-415',
            'fromConnector' => 'schema',
            'to' => 'op-413schema',
            'toOperator' => 'op-413',
            'toConnector' => 'schema'
        ),
        'link-1039' => array(
            'from' => 'op-298result',
            'fromOperator' => 'op-298',
            'fromConnector' => 'result',
            'to' => 'op-414fields0',
            'toOperator' => 'op-414',
            'toConnector' => 'fields0'
        ),
        'link-1309' => array(
            'from' => 'op-59fields2',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields2',
            'to' => 'op-19fields5',
            'toOperator' => 'op-19',
            'toConnector' => 'fields5'
        ),
        'link-1310' => array(
            'from' => 'op-514dropdownValue',
            'fromOperator' => 'op-514',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields7',
            'toOperator' => 'op-19',
            'toConnector' => 'fields7'
        ),
        'link-1311' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-19fields6',
            'toOperator' => 'op-19',
            'toConnector' => 'fields6'
        ),
        'link-1351' => array(
            'from' => 'op-29controlFlow',
            'fromOperator' => 'op-29',
            'fromConnector' => 'controlFlow',
            'to' => 'op-413controlFlow',
            'toOperator' => 'op-413',
            'toConnector' => 'controlFlow'
        ),
        'link-1352' => array(
            'from' => 'op-29structure',
            'fromOperator' => 'op-29',
            'fromConnector' => 'structure',
            'to' => 'op-70structure',
            'toOperator' => 'op-70',
            'toConnector' => 'structure'
        ),
        'link-1353' => array(
            'from' => 'op-59fields7',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields7',
            'to' => 'op-29fields0',
            'toOperator' => 'op-29',
            'toConnector' => 'fields0'
        ),
        'link-1354' => array(
            'from' => 'op-515result',
            'fromOperator' => 'op-515',
            'fromConnector' => 'result',
            'to' => 'op-414fields2',
            'toOperator' => 'op-414',
            'toConnector' => 'fields2'
        ),
        'link-1355' => array(
            'from' => 'op-304fields0',
            'fromOperator' => 'op-304',
            'fromConnector' => 'fields0',
            'to' => 'op-414fields3',
            'toOperator' => 'op-414',
            'toConnector' => 'fields3'
        ),
        'link-1356' => array(
            'from' => 'op-59fields1',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields1',
            'to' => 'op-414fields1',
            'toOperator' => 'op-414',
            'toConnector' => 'fields1'
        ),
        'link-1357' => array(
            'from' => 'op-516link',
            'fromOperator' => 'op-516',
            'fromConnector' => 'link',
            'to' => 'op-517link',
            'toOperator' => 'op-517',
            'toConnector' => 'link'
        ),
        'link-1358' => array(
            'from' => 'op-414controlFlow',
            'fromOperator' => 'op-414',
            'fromConnector' => 'controlFlow',
            'to' => 'op-518controlFlow',
            'toOperator' => 'op-518',
            'toConnector' => 'controlFlow'
        ),
        'link-1359' => array(
            'from' => 'op-518controlFlow',
            'fromOperator' => 'op-518',
            'fromConnector' => 'controlFlow',
            'to' => 'op-67controlFlow',
            'toOperator' => 'op-67',
            'toConnector' => 'controlFlow'
        ),
        'link-1360' => array(
            'from' => 'op-414structure',
            'fromOperator' => 'op-414',
            'fromConnector' => 'structure',
            'to' => 'op-518structure',
            'toOperator' => 'op-518',
            'toConnector' => 'structure'
        ),
        'link-1361' => array(
            'from' => 'op-517decorator',
            'fromOperator' => 'op-517',
            'fromConnector' => 'decorator',
            'to' => 'op-518decorator',
            'toOperator' => 'op-518',
            'toConnector' => 'decorator'
        ),
        'link-1362' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-516id',
            'toOperator' => 'op-516',
            'toConnector' => 'id'
        ),
        'link-1363' => array(
            'from' => 'op-518structure',
            'fromOperator' => 'op-518',
            'fromConnector' => 'structure',
            'to' => 'op-19fields4',
            'toOperator' => 'op-19',
            'toConnector' => 'fields4'
        ),
        'link-1364' => array(
            'from' => 'op-527result',
            'fromOperator' => 'op-527',
            'fromConnector' => 'result',
            'to' => 'op-47fields1',
            'toOperator' => 'op-47',
            'toConnector' => 'fields1'
        ),
        'link-1365' => array(
            'from' => 'op-49result',
            'fromOperator' => 'op-49',
            'fromConnector' => 'result',
            'to' => 'op-527operand2',
            'toOperator' => 'op-527',
            'toConnector' => 'operand2'
        ),
        'link-1366' => array(
            'from' => 'op-59fields5',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields5',
            'to' => 'op-527operand1',
            'toOperator' => 'op-527',
            'toConnector' => 'operand1'
        ),
    )
);
