<?php
$operatorMeta = array(
    'operators' => array(
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-49' => array(
            'id' => 'op-49',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' New note',
                                    ),
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'GetEntityFieldsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'object' => array(
                    'id' => 'object',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-57' => array(
            'id' => 'op-57',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Notes',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Notes',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-59' => array(
            'id' => 'op-59',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'assigned_user_name',
                                        'section' => 'fields',
                ),
                'fields9' => array(
                    'id' => 'fields9',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields10' => array(
                    'id' => 'fields10',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields11' => array(
                    'id' => 'fields11',
                                        'value' => 'filename',
                                        'section' => 'fields',
                ),
                'fields12' => array(
                    'id' => 'fields12',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields13' => array(
                    'id' => 'fields13',
                                        'value' => 'portal_flag',
                                        'section' => 'fields',
                ),
                'fields14' => array(
                    'id' => 'fields14',
                                        'value' => 'contact_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-66' => array(
            'id' => 'op-66',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-83' => array(
            'id' => 'op-83',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 't',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-84' => array(
            'id' => 'op-84',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' New Note with attach',
                                    ),
            ),
        ),
        'op-85' => array(
            'id' => 'op-85',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-86' => array(
            'id' => 'op-86',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-87' => array(
            'id' => 'op-87',
            'type' => 'SetVariableOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 't',
                                    ),
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-88' => array(
            'id' => 'op-88',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-89' => array(
            'id' => 'op-89',
            'type' => 'GetVariableOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'name' => array(
                    'id' => 'name',
                                        'value' => 't',
                                    ),
            ),
            'outDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-92' => array(
            'id' => 'op-92',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-93' => array(
            'id' => 'op-93',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-94' => array(
            'id' => 'op-94',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-95' => array(
            'id' => 'op-95',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-96' => array(
            'id' => 'op-96',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-97' => array(
            'id' => 'op-97',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-99' => array(
            'id' => 'op-99',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-100' => array(
            'id' => 'op-100',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-101' => array(
            'id' => 'op-101',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'context',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-102' => array(
            'id' => 'op-102',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-103' => array(
            'id' => 'op-103',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-104' => array(
            'id' => 'op-104',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-105' => array(
            'id' => 'op-105',
            'type' => 'CheckIfStringMatchesPatternOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'pattern' => array(
                    'id' => 'pattern',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-106' => array(
            'id' => 'op-106',
            'type' => 'TrivialTemplateMatchPatternOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'template' => array(
                    'id' => 'template',
                                        'value' => '{TLV}*',
                                    ),
            ),
            'outDataPorts' => array(
                'pattern' => array(
                    'id' => 'pattern',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-107' => array(
            'id' => 'op-107',
            'type' => 'NotOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand' => array(
                    'id' => 'operand',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-258' => array(
            'id' => 'op-258',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Note ',
                                    ),
            ),
        ),
        'op-283' => array(
            'id' => 'op-283',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-284' => array(
            'id' => 'op-284',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-397' => array(
            'id' => 'op-397',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'Text2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-398' => array(
            'id' => 'op-398',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-399' => array(
            'id' => 'op-399',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-507' => array(
            'id' => 'op-507',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Notes',
                                    ),
            ),
        ),
        'op-508' => array(
            'id' => 'op-508',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-509' => array(
            'id' => 'op-509',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Emails',
                                    ),
            ),
        ),
        'op-510' => array(
            'id' => 'op-510',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-511' => array(
            'id' => 'op-511',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Description',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'Attachment',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Attachment',
                                        ),
                                    ),
            ),
        ),
        'op-512' => array(
            'id' => 'op-512',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Attachment',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Attachment',
                                        ),
                                    ),
            ),
        ),
        'op-513' => array(
            'id' => 'op-513',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Attachment',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Attachment',
                                        ),
                                    ),
            ),
        ),
        'op-514' => array(
            'id' => 'op-514',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Attachment',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Description',
                                        'fields1' => 'Attachment',
                                        ),
                                    ),
            ),
        ),
        'op-515' => array(
            'id' => 'op-515',
            'type' => 'AttachDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Notes',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
                'field' => array(
                    'id' => 'field',
                                        'value' => 'filename',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-516' => array(
            'id' => 'op-516',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-517' => array(
            'id' => 'op-517',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-518' => array(
            'id' => 'op-518',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' by ',
                                    ),
            ),
        ),
        'op-519' => array(
            'id' => 'op-519',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'Name',
                                        'fields2' => 'Text2',
                                        'fields3' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-520' => array(
            'id' => 'op-520',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Notes',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-521' => array(
            'id' => 'op-521',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-31' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-19entity',
            'toOperator' => 'op-19',
            'toConnector' => 'entity'
        ),
        'link-41' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-25controlFlow',
            'toOperator' => 'op-25',
            'toConnector' => 'controlFlow'
        ),
        'link-42' => array(
            'from' => 'op-19entity',
            'fromOperator' => 'op-19',
            'fromConnector' => 'entity',
            'to' => 'op-25entity',
            'toOperator' => 'op-25',
            'toConnector' => 'entity'
        ),
        'link-101' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-47controlFlow',
            'toOperator' => 'op-47',
            'toConnector' => 'controlFlow'
        ),
        'link-105' => array(
            'from' => 'op-47singleEntity',
            'fromOperator' => 'op-47',
            'fromConnector' => 'singleEntity',
            'to' => 'op-50object',
            'toOperator' => 'op-50',
            'toConnector' => 'object'
        ),
        'link-109' => array(
            'from' => 'op-50fields0',
            'fromOperator' => 'op-50',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields1',
            'toOperator' => 'op-19',
            'toConnector' => 'fields1'
        ),
        'link-127' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-59entity',
            'toOperator' => 'op-59',
            'toConnector' => 'entity'
        ),
        'link-142' => array(
            'from' => 'op-57controlFlow',
            'fromOperator' => 'op-57',
            'fromConnector' => 'controlFlow',
            'to' => 'op-66controlFlow',
            'toOperator' => 'op-66',
            'toConnector' => 'controlFlow'
        ),
        'link-202' => array(
            'from' => 'op-59fields9',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields9',
            'to' => 'op-19fields2',
            'toOperator' => 'op-19',
            'toConnector' => 'fields2'
        ),
        'link-203' => array(
            'from' => 'op-59fields10',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields10',
            'to' => 'op-19fields3',
            'toOperator' => 'op-19',
            'toConnector' => 'fields3'
        ),
        'link-204' => array(
            'from' => 'op-59fields9',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields9',
            'to' => 'op-47fields0',
            'toOperator' => 'op-47',
            'toConnector' => 'fields0'
        ),
        'link-210' => array(
            'from' => 'op-83controlFlow',
            'fromOperator' => 'op-83',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-211' => array(
            'from' => 'op-86controlFlowIfTrue',
            'fromOperator' => 'op-86',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-83controlFlow',
            'toOperator' => 'op-83',
            'toConnector' => 'controlFlow'
        ),
        'link-212' => array(
            'from' => 'op-86controlFlowIfFalse',
            'fromOperator' => 'op-86',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-87controlFlow',
            'toOperator' => 'op-87',
            'toConnector' => 'controlFlow'
        ),
        'link-213' => array(
            'from' => 'op-88result',
            'fromOperator' => 'op-88',
            'fromConnector' => 'result',
            'to' => 'op-86condition',
            'toOperator' => 'op-86',
            'toConnector' => 'condition'
        ),
        'link-214' => array(
            'from' => 'op-59fields11',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields11',
            'to' => 'op-88operand1',
            'toOperator' => 'op-88',
            'toConnector' => 'operand1'
        ),
        'link-215' => array(
            'from' => 'op-85result',
            'fromOperator' => 'op-85',
            'fromConnector' => 'result',
            'to' => 'op-88operand2',
            'toOperator' => 'op-88',
            'toConnector' => 'operand2'
        ),
        'link-216' => array(
            'from' => 'op-84result',
            'fromOperator' => 'op-84',
            'fromConnector' => 'result',
            'to' => 'op-87value',
            'toOperator' => 'op-87',
            'toConnector' => 'value'
        ),
        'link-217' => array(
            'from' => 'op-49result',
            'fromOperator' => 'op-49',
            'fromConnector' => 'result',
            'to' => 'op-83value',
            'toOperator' => 'op-83',
            'toConnector' => 'value'
        ),
        'link-219' => array(
            'from' => 'op-87controlFlow',
            'fromOperator' => 'op-87',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-327' => array(
            'from' => 'op-93result',
            'fromOperator' => 'op-93',
            'fromConnector' => 'result',
            'to' => 'op-92operand1',
            'toOperator' => 'op-92',
            'toConnector' => 'operand1'
        ),
        'link-328' => array(
            'from' => 'op-94result',
            'fromOperator' => 'op-94',
            'fromConnector' => 'result',
            'to' => 'op-92operand2',
            'toOperator' => 'op-92',
            'toConnector' => 'operand2'
        ),
        'link-329' => array(
            'from' => 'op-92result',
            'fromOperator' => 'op-92',
            'fromConnector' => 'result',
            'to' => 'op-95condition',
            'toOperator' => 'op-95',
            'toConnector' => 'condition'
        ),
        'link-330' => array(
            'from' => 'op-25controlFlow',
            'fromOperator' => 'op-25',
            'fromConnector' => 'controlFlow',
            'to' => 'op-95controlFlow',
            'toOperator' => 'op-95',
            'toConnector' => 'controlFlow'
        ),
        'link-331' => array(
            'from' => 'op-95controlFlowIfTrue',
            'fromOperator' => 'op-95',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-96controlFlow',
            'toOperator' => 'op-96',
            'toConnector' => 'controlFlow'
        ),
        'link-332' => array(
            'from' => 'op-96controlFlow',
            'fromOperator' => 'op-96',
            'fromConnector' => 'controlFlow',
            'to' => 'op-97controlFlow',
            'toOperator' => 'op-97',
            'toConnector' => 'controlFlow'
        ),
        'link-333' => array(
            'from' => 'op-97controlFlow',
            'fromOperator' => 'op-97',
            'fromConnector' => 'controlFlow',
            'to' => 'op-101controlFlow',
            'toOperator' => 'op-101',
            'toConnector' => 'controlFlow'
        ),
        'link-334' => array(
            'from' => 'op-96entity',
            'fromOperator' => 'op-96',
            'fromConnector' => 'entity',
            'to' => 'op-101entity',
            'toOperator' => 'op-101',
            'toConnector' => 'entity'
        ),
        'link-335' => array(
            'from' => 'op-97singleEntity',
            'fromOperator' => 'op-97',
            'fromConnector' => 'singleEntity',
            'to' => 'op-100entity',
            'toOperator' => 'op-100',
            'toConnector' => 'entity'
        ),
        'link-338' => array(
            'from' => 'op-99dropdownValue',
            'fromOperator' => 'op-99',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-97fields0',
            'toOperator' => 'op-97',
            'toConnector' => 'fields0'
        ),
        'link-339' => array(
            'from' => 'op-101entity',
            'fromOperator' => 'op-101',
            'fromConnector' => 'entity',
            'to' => 'op-102entity',
            'toOperator' => 'op-102',
            'toConnector' => 'entity'
        ),
        'link-340' => array(
            'from' => 'op-101controlFlow',
            'fromOperator' => 'op-101',
            'fromConnector' => 'controlFlow',
            'to' => 'op-102controlFlow',
            'toOperator' => 'op-102',
            'toConnector' => 'controlFlow'
        ),
        'link-341' => array(
            'from' => 'op-100fields0',
            'fromOperator' => 'op-100',
            'fromConnector' => 'fields0',
            'to' => 'op-101fields1',
            'toOperator' => 'op-101',
            'toConnector' => 'fields1'
        ),
        'link-344' => array(
            'from' => 'op-99dropdownValue',
            'fromOperator' => 'op-99',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-101fields2',
            'toOperator' => 'op-101',
            'toConnector' => 'fields2'
        ),
        'link-345' => array(
            'from' => 'op-59fields14',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields14',
            'to' => 'op-101fields3',
            'toOperator' => 'op-101',
            'toConnector' => 'fields3'
        ),
        'link-346' => array(
            'from' => 'op-59fields14',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields14',
            'to' => 'op-94operand1',
            'toOperator' => 'op-94',
            'toConnector' => 'operand1'
        ),
        'link-347' => array(
            'from' => 'op-59fields14',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields14',
            'to' => 'op-93operand2',
            'toOperator' => 'op-93',
            'toConnector' => 'operand2'
        ),
        'link-348' => array(
            'from' => 'op-59fields10',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields10',
            'to' => 'op-93operand1',
            'toOperator' => 'op-93',
            'toConnector' => 'operand1'
        ),
        'link-349' => array(
            'from' => 'op-103result',
            'fromOperator' => 'op-103',
            'fromConnector' => 'result',
            'to' => 'op-94operand2',
            'toOperator' => 'op-94',
            'toConnector' => 'operand2'
        ),
        'link-350' => array(
            'from' => 'op-57isNewRecord',
            'fromOperator' => 'op-57',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-104operand2',
            'toOperator' => 'op-104',
            'toConnector' => 'operand2'
        ),
        'link-353' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-105string',
            'toOperator' => 'op-105',
            'toConnector' => 'string'
        ),
        'link-354' => array(
            'from' => 'op-106pattern',
            'fromOperator' => 'op-106',
            'fromConnector' => 'pattern',
            'to' => 'op-105pattern',
            'toOperator' => 'op-105',
            'toConnector' => 'pattern'
        ),
        'link-355' => array(
            'from' => 'op-105result',
            'fromOperator' => 'op-105',
            'fromConnector' => 'result',
            'to' => 'op-107operand',
            'toOperator' => 'op-107',
            'toConnector' => 'operand'
        ),
        'link-356' => array(
            'from' => 'op-107result',
            'fromOperator' => 'op-107',
            'fromConnector' => 'result',
            'to' => 'op-104operand1',
            'toOperator' => 'op-104',
            'toConnector' => 'operand1'
        ),
        'link-543' => array(
            'from' => 'op-47controlFlow',
            'fromOperator' => 'op-47',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-604' => array(
            'from' => 'op-283entity',
            'fromOperator' => 'op-283',
            'fromConnector' => 'entity',
            'to' => 'op-284entity',
            'toOperator' => 'op-284',
            'toConnector' => 'entity'
        ),
        'link-977' => array(
            'from' => 'op-397schema',
            'fromOperator' => 'op-397',
            'fromConnector' => 'schema',
            'to' => 'op-398schema',
            'toOperator' => 'op-398',
            'toConnector' => 'schema'
        ),
        'link-978' => array(
            'from' => 'op-398controlFlow',
            'fromOperator' => 'op-398',
            'fromConnector' => 'controlFlow',
            'to' => 'op-399controlFlow',
            'toOperator' => 'op-399',
            'toConnector' => 'controlFlow'
        ),
        'link-979' => array(
            'from' => 'op-398structure',
            'fromOperator' => 'op-398',
            'fromConnector' => 'structure',
            'to' => 'op-399structure',
            'toOperator' => 'op-399',
            'toConnector' => 'structure'
        ),
        'link-983' => array(
            'from' => 'op-258result',
            'fromOperator' => 'op-258',
            'fromConnector' => 'result',
            'to' => 'op-399fields0',
            'toOperator' => 'op-399',
            'toConnector' => 'fields0'
        ),
        'link-1263' => array(
            'from' => 'op-507dropdownValue',
            'fromOperator' => 'op-507',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields5',
            'toOperator' => 'op-19',
            'toConnector' => 'fields5'
        ),
        'link-1264' => array(
            'from' => 'op-507dropdownValue',
            'fromOperator' => 'op-507',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-101fields5',
            'toOperator' => 'op-101',
            'toConnector' => 'fields5'
        ),
        'link-1268' => array(
            'from' => 'op-104result',
            'fromOperator' => 'op-104',
            'fromConnector' => 'result',
            'to' => 'op-508operand1',
            'toOperator' => 'op-508',
            'toConnector' => 'operand1'
        ),
        'link-1269' => array(
            'from' => 'op-508result',
            'fromOperator' => 'op-508',
            'fromConnector' => 'result',
            'to' => 'op-66condition',
            'toOperator' => 'op-66',
            'toConnector' => 'condition'
        ),
        'link-1270' => array(
            'from' => 'op-510result',
            'fromOperator' => 'op-510',
            'fromConnector' => 'result',
            'to' => 'op-508operand2',
            'toOperator' => 'op-508',
            'toConnector' => 'operand2'
        ),
        'link-1271' => array(
            'from' => 'op-509dropdownValue',
            'fromOperator' => 'op-509',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-510operand2',
            'toOperator' => 'op-510',
            'toConnector' => 'operand2'
        ),
        'link-1272' => array(
            'from' => 'op-59fields9',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields9',
            'to' => 'op-510operand1',
            'toOperator' => 'op-510',
            'toConnector' => 'operand1'
        ),
        'link-1277' => array(
            'from' => 'op-59fields7',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields7',
            'to' => 'op-101fields0',
            'toOperator' => 'op-101',
            'toConnector' => 'fields0'
        ),
        'link-1278' => array(
            'from' => 'op-59fields7',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields7',
            'to' => 'op-19fields0',
            'toOperator' => 'op-19',
            'toConnector' => 'fields0'
        ),
        'link-1280' => array(
            'from' => 'op-511schema',
            'fromOperator' => 'op-511',
            'fromConnector' => 'schema',
            'to' => 'op-512schema',
            'toOperator' => 'op-512',
            'toConnector' => 'schema'
        ),
        'link-1281' => array(
            'from' => 'op-66controlFlowIfTrue',
            'fromOperator' => 'op-66',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-512controlFlow',
            'toOperator' => 'op-512',
            'toConnector' => 'controlFlow'
        ),
        'link-1282' => array(
            'from' => 'op-512controlFlow',
            'fromOperator' => 'op-512',
            'fromConnector' => 'controlFlow',
            'to' => 'op-513controlFlow',
            'toOperator' => 'op-513',
            'toConnector' => 'controlFlow'
        ),
        'link-1283' => array(
            'from' => 'op-512structure',
            'fromOperator' => 'op-512',
            'fromConnector' => 'structure',
            'to' => 'op-513structure',
            'toOperator' => 'op-513',
            'toConnector' => 'structure'
        ),
        'link-1284' => array(
            'from' => 'op-513controlFlow',
            'fromOperator' => 'op-513',
            'fromConnector' => 'controlFlow',
            'to' => 'op-514controlFlow',
            'toOperator' => 'op-514',
            'toConnector' => 'controlFlow'
        ),
        'link-1285' => array(
            'from' => 'op-513structure',
            'fromOperator' => 'op-513',
            'fromConnector' => 'structure',
            'to' => 'op-514structure',
            'toOperator' => 'op-514',
            'toConnector' => 'structure'
        ),
        'link-1286' => array(
            'from' => 'op-514controlFlow',
            'fromOperator' => 'op-514',
            'fromConnector' => 'controlFlow',
            'to' => 'op-398controlFlow',
            'toOperator' => 'op-398',
            'toConnector' => 'controlFlow'
        ),
        'link-1287' => array(
            'from' => 'op-59fields12',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields12',
            'to' => 'op-513fields0',
            'toOperator' => 'op-513',
            'toConnector' => 'fields0'
        ),
        'link-1288' => array(
            'from' => 'op-59fields11',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields11',
            'to' => 'op-513fields1',
            'toOperator' => 'op-513',
            'toConnector' => 'fields1'
        ),
        'link-1289' => array(
            'from' => 'op-515decorator',
            'fromOperator' => 'op-515',
            'fromConnector' => 'decorator',
            'to' => 'op-514decorator',
            'toOperator' => 'op-514',
            'toConnector' => 'decorator'
        ),
        'link-1290' => array(
            'from' => 'op-59fields7',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields7',
            'to' => 'op-515id',
            'toOperator' => 'op-515',
            'toConnector' => 'id'
        ),
        'link-1291' => array(
            'from' => 'op-514structure',
            'fromOperator' => 'op-514',
            'fromConnector' => 'structure',
            'to' => 'op-19fields6',
            'toOperator' => 'op-19',
            'toConnector' => 'fields6'
        ),
        'link-1292' => array(
            'from' => 'op-514structure',
            'fromOperator' => 'op-514',
            'fromConnector' => 'structure',
            'to' => 'op-101fields6',
            'toOperator' => 'op-101',
            'toConnector' => 'fields6'
        ),
        'link-1293' => array(
            'from' => 'op-99dropdownValue',
            'fromOperator' => 'op-99',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-516operand1',
            'toOperator' => 'op-516',
            'toConnector' => 'operand1'
        ),
        'link-1294' => array(
            'from' => 'op-89value',
            'fromOperator' => 'op-89',
            'fromConnector' => 'value',
            'to' => 'op-516operand2',
            'toOperator' => 'op-516',
            'toConnector' => 'operand2'
        ),
        'link-1295' => array(
            'from' => 'op-516result',
            'fromOperator' => 'op-516',
            'fromConnector' => 'result',
            'to' => 'op-97fields1',
            'toOperator' => 'op-97',
            'toConnector' => 'fields1'
        ),
        'link-1296' => array(
            'from' => 'op-89value',
            'fromOperator' => 'op-89',
            'fromConnector' => 'value',
            'to' => 'op-517operand2',
            'toOperator' => 'op-517',
            'toConnector' => 'operand2'
        ),
        'link-1297' => array(
            'from' => 'op-517result',
            'fromOperator' => 'op-517',
            'fromConnector' => 'result',
            'to' => 'op-47fields1',
            'toOperator' => 'op-47',
            'toConnector' => 'fields1'
        ),
        'link-1298' => array(
            'from' => 'op-59fields9',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields9',
            'to' => 'op-517operand1',
            'toOperator' => 'op-517',
            'toConnector' => 'operand1'
        ),
        'link-1299' => array(
            'from' => 'op-284fields0',
            'fromOperator' => 'op-284',
            'fromConnector' => 'fields0',
            'to' => 'op-399fields3',
            'toOperator' => 'op-399',
            'toConnector' => 'fields3'
        ),
        'link-1300' => array(
            'from' => 'op-518result',
            'fromOperator' => 'op-518',
            'fromConnector' => 'result',
            'to' => 'op-399fields2',
            'toOperator' => 'op-399',
            'toConnector' => 'fields2'
        ),
        'link-1301' => array(
            'from' => 'op-519controlFlow',
            'fromOperator' => 'op-519',
            'fromConnector' => 'controlFlow',
            'to' => 'op-86controlFlow',
            'toOperator' => 'op-86',
            'toConnector' => 'controlFlow'
        ),
        'link-1302' => array(
            'from' => 'op-399controlFlow',
            'fromOperator' => 'op-399',
            'fromConnector' => 'controlFlow',
            'to' => 'op-519controlFlow',
            'toOperator' => 'op-519',
            'toConnector' => 'controlFlow'
        ),
        'link-1303' => array(
            'from' => 'op-399structure',
            'fromOperator' => 'op-399',
            'fromConnector' => 'structure',
            'to' => 'op-519structure',
            'toOperator' => 'op-519',
            'toConnector' => 'structure'
        ),
        'link-1304' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-399fields1',
            'toOperator' => 'op-399',
            'toConnector' => 'fields1'
        ),
        'link-1305' => array(
            'from' => 'op-521decorator',
            'fromOperator' => 'op-521',
            'fromConnector' => 'decorator',
            'to' => 'op-519decorator',
            'toOperator' => 'op-519',
            'toConnector' => 'decorator'
        ),
        'link-1306' => array(
            'from' => 'op-520link',
            'fromOperator' => 'op-520',
            'fromConnector' => 'link',
            'to' => 'op-521link',
            'toOperator' => 'op-521',
            'toConnector' => 'link'
        ),
        'link-1307' => array(
            'from' => 'op-59fields7',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields7',
            'to' => 'op-520id',
            'toOperator' => 'op-520',
            'toConnector' => 'id'
        ),
        'link-1308' => array(
            'from' => 'op-519structure',
            'fromOperator' => 'op-519',
            'fromConnector' => 'structure',
            'to' => 'op-19fields4',
            'toOperator' => 'op-19',
            'toConnector' => 'fields4'
        ),
        'link-1309' => array(
            'from' => 'op-519structure',
            'fromOperator' => 'op-519',
            'fromConnector' => 'structure',
            'to' => 'op-101fields4',
            'toOperator' => 'op-101',
            'toConnector' => 'fields4'
        ),
    )
);
