<?php
$operatorMeta = array(
    'operators' => array(
        'op-300' => array(
            'id' => 'op-300',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Opportunities',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Opportunities',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-301' => array(
            'id' => 'op-301',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-302' => array(
            'id' => 'op-302',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-303' => array(
            'id' => 'op-303',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-304' => array(
            'id' => 'op-304',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'New Opportunity (Account)',
                                    ),
            ),
        ),
        'op-305' => array(
            'id' => 'op-305',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-306' => array(
            'id' => 'op-306',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-307' => array(
            'id' => 'op-307',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-309' => array(
            'id' => 'op-309',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'symbol',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-310' => array(
            'id' => 'op-310',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'amount',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'opportunity_type',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'currency_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-311' => array(
            'id' => 'op-311',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-312' => array(
            'id' => 'op-312',
            'type' => 'GetHtmlTextFromTemplateOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'templateName' => array(
                    'id' => 'templateName',
                                        'value' => 'd39eb33e-cb8c-11e7-a10a-000c29996212',
                                    ),
                'parameters0' => array(
                    'id' => 'parameters0',
                                        'value' => 'attribute_1',
                                        'section' => 'parameters',
                ),
                'parameters1' => array(
                    'id' => 'parameters1',
                                        'value' => 'attribute_2',
                                        'section' => 'parameters',
                ),
                'parameters2' => array(
                    'id' => 'parameters2',
                                        'value' => 'attribute_3',
                                        'section' => 'parameters',
                ),
                'parameters3' => array(
                    'id' => 'parameters3',
                                        'value' => 'attribute_4',
                                        'section' => 'parameters',
                ),
                'parameters4' => array(
                    'id' => 'parameters4',
                                        'value' => 'attribute_5',
                                        'section' => 'parameters',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-314' => array(
            'id' => 'op-314',
            'type' => 'GetCurrentUserOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-315' => array(
            'id' => 'op-315',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'full_name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-317' => array(
            'id' => 'op-317',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Currencies',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
        ),
        'op-318' => array(
            'id' => 'op-318',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-574' => array(
            'from' => 'op-300controlFlow',
            'fromOperator' => 'op-300',
            'fromConnector' => 'controlFlow',
            'to' => 'op-301controlFlow',
            'toOperator' => 'op-301',
            'toConnector' => 'controlFlow'
        ),
        'link-575' => array(
            'from' => 'op-300isNewRecord',
            'fromOperator' => 'op-300',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-301condition',
            'toOperator' => 'op-301',
            'toConnector' => 'condition'
        ),
        'link-576' => array(
            'from' => 'op-301controlFlowIfTrue',
            'fromOperator' => 'op-301',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-302controlFlow',
            'toOperator' => 'op-302',
            'toConnector' => 'controlFlow'
        ),
        'link-577' => array(
            'from' => 'op-302controlFlow',
            'fromOperator' => 'op-302',
            'fromConnector' => 'controlFlow',
            'to' => 'op-303controlFlow',
            'toOperator' => 'op-303',
            'toConnector' => 'controlFlow'
        ),
        'link-578' => array(
            'from' => 'op-304result',
            'fromOperator' => 'op-304',
            'fromConnector' => 'result',
            'to' => 'op-303fields0',
            'toOperator' => 'op-303',
            'toConnector' => 'fields0'
        ),
        'link-580' => array(
            'from' => 'op-303singleEntity',
            'fromOperator' => 'op-303',
            'fromConnector' => 'singleEntity',
            'to' => 'op-306entity',
            'toOperator' => 'op-306',
            'toConnector' => 'entity'
        ),
        'link-581' => array(
            'from' => 'op-302entity',
            'fromOperator' => 'op-302',
            'fromConnector' => 'entity',
            'to' => 'op-305entity',
            'toOperator' => 'op-305',
            'toConnector' => 'entity'
        ),
        'link-582' => array(
            'from' => 'op-306fields0',
            'fromOperator' => 'op-306',
            'fromConnector' => 'fields0',
            'to' => 'op-305fields0',
            'toOperator' => 'op-305',
            'toConnector' => 'fields0'
        ),
        'link-584' => array(
            'from' => 'op-307dropdownValue',
            'fromOperator' => 'op-307',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-305fields1',
            'toOperator' => 'op-305',
            'toConnector' => 'fields1'
        ),
        'link-590' => array(
            'from' => 'op-300entity',
            'fromOperator' => 'op-300',
            'fromConnector' => 'entity',
            'to' => 'op-310entity',
            'toOperator' => 'op-310',
            'toConnector' => 'entity'
        ),
        'link-591' => array(
            'from' => 'op-310fields0',
            'fromOperator' => 'op-310',
            'fromConnector' => 'fields0',
            'to' => 'op-305fields3',
            'toOperator' => 'op-305',
            'toConnector' => 'fields3'
        ),
        'link-592' => array(
            'from' => 'op-311dropdownValue',
            'fromOperator' => 'op-311',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-305fields4',
            'toOperator' => 'op-305',
            'toConnector' => 'fields4'
        ),
        'link-593' => array(
            'from' => 'op-312result',
            'fromOperator' => 'op-312',
            'fromConnector' => 'result',
            'to' => 'op-305fields5',
            'toOperator' => 'op-305',
            'toConnector' => 'fields5'
        ),
        'link-596' => array(
            'from' => 'op-310fields1',
            'fromOperator' => 'op-310',
            'fromConnector' => 'fields1',
            'to' => 'op-305fields2',
            'toOperator' => 'op-305',
            'toConnector' => 'fields2'
        ),
        'link-597' => array(
            'from' => 'op-310fields2',
            'fromOperator' => 'op-310',
            'fromConnector' => 'fields2',
            'to' => 'op-312parameters0',
            'toOperator' => 'op-312',
            'toConnector' => 'parameters0'
        ),
        'link-598' => array(
            'from' => 'op-314entity',
            'fromOperator' => 'op-314',
            'fromConnector' => 'entity',
            'to' => 'op-315entity',
            'toOperator' => 'op-315',
            'toConnector' => 'entity'
        ),
        'link-599' => array(
            'from' => 'op-315fields0',
            'fromOperator' => 'op-315',
            'fromConnector' => 'fields0',
            'to' => 'op-312parameters1',
            'toOperator' => 'op-312',
            'toConnector' => 'parameters1'
        ),
        'link-600' => array(
            'from' => 'op-310fields3',
            'fromOperator' => 'op-310',
            'fromConnector' => 'fields3',
            'to' => 'op-312parameters3',
            'toOperator' => 'op-312',
            'toConnector' => 'parameters3'
        ),
        'link-601' => array(
            'from' => 'op-310fields4',
            'fromOperator' => 'op-310',
            'fromConnector' => 'fields4',
            'to' => 'op-312parameters4',
            'toOperator' => 'op-312',
            'toConnector' => 'parameters4'
        ),
        'link-606' => array(
            'from' => 'op-303controlFlow',
            'fromOperator' => 'op-303',
            'fromConnector' => 'controlFlow',
            'to' => 'op-317controlFlow',
            'toOperator' => 'op-317',
            'toConnector' => 'controlFlow'
        ),
        'link-607' => array(
            'from' => 'op-317controlFlow',
            'fromOperator' => 'op-317',
            'fromConnector' => 'controlFlow',
            'to' => 'op-305controlFlow',
            'toOperator' => 'op-305',
            'toConnector' => 'controlFlow'
        ),
        'link-608' => array(
            'from' => 'op-317entity',
            'fromOperator' => 'op-317',
            'fromConnector' => 'entity',
            'to' => 'op-309entity',
            'toOperator' => 'op-309',
            'toConnector' => 'entity'
        ),
        'link-609' => array(
            'from' => 'op-310fields5',
            'fromOperator' => 'op-310',
            'fromConnector' => 'fields5',
            'to' => 'op-317id',
            'toOperator' => 'op-317',
            'toConnector' => 'id'
        ),
        'link-610' => array(
            'from' => 'op-309fields0',
            'fromOperator' => 'op-309',
            'fromConnector' => 'fields0',
            'to' => 'op-312parameters2',
            'toOperator' => 'op-312',
            'toConnector' => 'parameters2'
        ),
        'link-611' => array(
            'from' => 'op-305controlFlow',
            'fromOperator' => 'op-305',
            'fromConnector' => 'controlFlow',
            'to' => 'op-318controlFlow',
            'toOperator' => 'op-318',
            'toConnector' => 'controlFlow'
        ),
        'link-612' => array(
            'from' => 'op-305entity',
            'fromOperator' => 'op-305',
            'fromConnector' => 'entity',
            'to' => 'op-318entity',
            'toOperator' => 'op-318',
            'toConnector' => 'entity'
        ),
    )
);
