<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809471ba22_23891700/operators/FlowchartOperator_lb5bd0809471ba22_23891700.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809471ba22_23891700/helpers/TypeOperations_lb5bd0809471ba22_23891700.php';

class CheckIfStringMatchesPatternOperator_lb5bd0809471ba22_23891700 extends FlowchartOperator_lb5bd0809471ba22_23891700{

    protected $subject;
    protected $pattern;

    protected $matches;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'string')
            $this->subject = $value;
        else if ($id == 'pattern')
            $this->pattern = $value;
    }

    public function process($params = array()){
        if(TypeOperations_lb5bd0809471ba22_23891700::isString($this->pattern) && TypeOperations_lb5bd0809471ba22_23891700::isString($this->subject))
            $this->matches = preg_match($this->pattern, $this->subject);
    }

    public function getOutDataByPortId($portId){
        return !empty($this->matches);
    }

}
