<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809471ba22_23891700/operators/FlowchartOperator_lb5bd0809471ba22_23891700.php';

class CurrentDateOperator_lb5bd0809471ba22_23891700 extends FlowchartOperator_lb5bd0809471ba22_23891700{

    protected $currentDate;

    public function __construct($params){
        parent::__construct($params);
    }

    public function process($params = array()){
        if($this->isUserPortal()){
            $this->currentDate = $this->covertToDisplayWithLocalTimezone();
        }else{
            global $timedate;
            $this->currentDate = $timedate->now();
        }
    }

    public function getOutDataByPortId($portId){
        return $this->currentDate;
    }

    public function isUserPortal(){
        global $current_user;
        return $current_user->user_name == 'SugarCustomerSupportPortalUser';
    }

    public function covertToDisplayWithLocalTimezone(){
        global $timedate, $current_user;
        $currTimezone = date_default_timezone_get();
        $date = new SugarDateTime("now", new DateTimeZone($currTimezone));
        $currDate = $date->format($timedate->get_date_time_format($current_user));
        return $currDate;
    }

}
