<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809f640752_81469867/operators/FlowchartOperator_lb5bd0809f640752_81469867.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd0809f640752_81469867/helpers/TypeOperations_lb5bd0809f640752_81469867.php';

class MinusOperator_lb5bd0809f640752_81469867 extends FlowchartOperator_lb5bd0809f640752_81469867{

    protected $operand1;
    protected $operand2;
    protected $result;

    public function __construct($params){
        parent::__construct($params);
    }

    public function getOutDataByPortId($portId){
        return $this->result;
    }

    public function process($params = array()){
        $this->operand1 = $this->inDataPorts['operand1']['value'];
        $this->operand2 = $this->inDataPorts['operand2']['value'];

        switch($this->getType()){
            case 'number':
                $result = $this->operand1 - $this->operand2;
                break;
            default:
                $result = $this->operand1 - $this->operand2;
                break;
        }

        $this->result = $result;
    }

    protected function getType(){
        if(TypeOperations_lb5bd0809f640752_81469867::isNumeric($this->operand1) && TypeOperations_lb5bd0809f640752_81469867::isNumeric($this->operand2))
            return 'number';
        elseif(TypeOperations_lb5bd0809f640752_81469867::isString($this->operand1) && TypeOperations_lb5bd0809f640752_81469867::isString($this->operand2))
            return 'string';

        return '';
    }

}
