<?php
$operatorMeta = array(
    'operators' => array(
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Task completed by ',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-49' => array(
            'id' => 'op-49',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' Task Completed',
                                    ),
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'GetEntityFieldsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'object' => array(
                    'id' => 'object',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-57' => array(
            'id' => 'op-57',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Tasks',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tasks',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Tasks',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-59' => array(
            'id' => 'op-59',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tasks',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'date_start',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields8' => array(
                    'id' => 'fields8',
                                        'value' => 'contact_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-60' => array(
            'id' => 'op-60',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Tasks',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-62' => array(
            'id' => 'op-62',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-63' => array(
            'id' => 'op-63',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'task_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Completed',
                                    ),
            ),
        ),
        'op-64' => array(
            'id' => 'op-64',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-65' => array(
            'id' => 'op-65',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-66' => array(
            'id' => 'op-66',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-67' => array(
            'id' => 'op-67',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-68' => array(
            'id' => 'op-68',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-69' => array(
            'id' => 'op-69',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-70' => array(
            'id' => 'op-70',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-71' => array(
            'id' => 'op-71',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'target_module',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'PX_TimelineEvents',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
        ),
        'op-72' => array(
            'id' => 'op-72',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_TimelineEvents',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-73' => array(
            'id' => 'op-73',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'object_id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'event_id',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'parent_type',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'parent_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'name_html',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'object_type',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-74' => array(
            'id' => 'op-74',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'PX_Timeline',
                                    ),
            ),
        ),
        'op-75' => array(
            'id' => 'op-75',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Contacts',
                                    ),
            ),
        ),
        'op-90' => array(
            'id' => 'op-90',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-91' => array(
            'id' => 'op-91',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-281' => array(
            'id' => 'op-281',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-282' => array(
            'id' => 'op-282',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-306' => array(
            'id' => 'op-306',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-307' => array(
            'id' => 'op-307',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-308' => array(
            'id' => 'op-308',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-372' => array(
            'id' => 'op-372',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'Text1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'User',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-373' => array(
            'id' => 'op-373',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'User',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-374' => array(
            'id' => 'op-374',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'User',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-375' => array(
            'id' => 'op-375',
            'type' => 'ApplyFieldDecoratorOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'User',
                                        ),
                                    ),
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => '',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'Text1',
                                        'fields1' => 'User',
                                        ),
                                    ),
            ),
        ),
        'op-376' => array(
            'id' => 'op-376',
            'type' => 'LinkDecoratorOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'decorator' => array(
                    'id' => 'decorator',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-377' => array(
            'id' => 'op-377',
            'type' => 'GetLinkToModuleOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Tasks',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'link' => array(
                    'id' => 'link',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-512' => array(
            'id' => 'op-512',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'moduleList',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Tasks',
                                    ),
            ),
        ),
        'op-513' => array(
            'id' => 'op-513',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-514' => array(
            'id' => 'op-514',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'Contacts Task Completed',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-31' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-19entity',
            'toOperator' => 'op-19',
            'toConnector' => 'entity'
        ),
        'link-41' => array(
            'from' => 'op-19controlFlow',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlow',
            'to' => 'op-25controlFlow',
            'toOperator' => 'op-25',
            'toConnector' => 'controlFlow'
        ),
        'link-42' => array(
            'from' => 'op-19entity',
            'fromOperator' => 'op-19',
            'fromConnector' => 'entity',
            'to' => 'op-25entity',
            'toOperator' => 'op-25',
            'toConnector' => 'entity'
        ),
        'link-101' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-47controlFlow',
            'toOperator' => 'op-47',
            'toConnector' => 'controlFlow'
        ),
        'link-102' => array(
            'from' => 'op-47controlFlow',
            'fromOperator' => 'op-47',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-105' => array(
            'from' => 'op-47singleEntity',
            'fromOperator' => 'op-47',
            'fromConnector' => 'singleEntity',
            'to' => 'op-50object',
            'toOperator' => 'op-50',
            'toConnector' => 'object'
        ),
        'link-109' => array(
            'from' => 'op-50fields0',
            'fromOperator' => 'op-50',
            'fromConnector' => 'fields0',
            'to' => 'op-19fields1',
            'toOperator' => 'op-19',
            'toConnector' => 'fields1'
        ),
        'link-127' => array(
            'from' => 'op-57entity',
            'fromOperator' => 'op-57',
            'fromConnector' => 'entity',
            'to' => 'op-59entity',
            'toOperator' => 'op-59',
            'toConnector' => 'entity'
        ),
        'link-128' => array(
            'from' => 'op-57previousEntityState',
            'fromOperator' => 'op-57',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-60entity',
            'toOperator' => 'op-60',
            'toConnector' => 'entity'
        ),
        'link-129' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand1',
            'toOperator' => 'op-62',
            'toConnector' => 'operand1'
        ),
        'link-130' => array(
            'from' => 'op-60fields0',
            'fromOperator' => 'op-60',
            'fromConnector' => 'fields0',
            'to' => 'op-62operand2',
            'toOperator' => 'op-62',
            'toConnector' => 'operand2'
        ),
        'link-131' => array(
            'from' => 'op-63dropdownValue',
            'fromOperator' => 'op-63',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-64operand1',
            'toOperator' => 'op-64',
            'toConnector' => 'operand1'
        ),
        'link-132' => array(
            'from' => 'op-59fields0',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields0',
            'to' => 'op-64operand2',
            'toOperator' => 'op-64',
            'toConnector' => 'operand2'
        ),
        'link-133' => array(
            'from' => 'op-64result',
            'fromOperator' => 'op-64',
            'fromConnector' => 'result',
            'to' => 'op-65operand1',
            'toOperator' => 'op-65',
            'toConnector' => 'operand1'
        ),
        'link-134' => array(
            'from' => 'op-62result',
            'fromOperator' => 'op-62',
            'fromConnector' => 'result',
            'to' => 'op-65operand2',
            'toOperator' => 'op-65',
            'toConnector' => 'operand2'
        ),
        'link-140' => array(
            'from' => 'op-65result',
            'fromOperator' => 'op-65',
            'fromConnector' => 'result',
            'to' => 'op-66condition',
            'toOperator' => 'op-66',
            'toConnector' => 'condition'
        ),
        'link-145' => array(
            'from' => 'op-59fields5',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields5',
            'to' => 'op-47fields0',
            'toOperator' => 'op-47',
            'toConnector' => 'fields0'
        ),
        'link-146' => array(
            'from' => 'op-59fields5',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields5',
            'to' => 'op-19fields2',
            'toOperator' => 'op-19',
            'toConnector' => 'fields2'
        ),
        'link-147' => array(
            'from' => 'op-59fields6',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields6',
            'to' => 'op-19fields3',
            'toOperator' => 'op-19',
            'toConnector' => 'fields3'
        ),
        'link-303' => array(
            'from' => 'op-73controlFlow',
            'fromOperator' => 'op-73',
            'fromConnector' => 'controlFlow',
            'to' => 'op-74controlFlow',
            'toOperator' => 'op-74',
            'toConnector' => 'controlFlow'
        ),
        'link-304' => array(
            'from' => 'op-73entity',
            'fromOperator' => 'op-73',
            'fromConnector' => 'entity',
            'to' => 'op-74entity',
            'toOperator' => 'op-74',
            'toConnector' => 'entity'
        ),
        'link-307' => array(
            'from' => 'op-68controlFlowIfTrue',
            'fromOperator' => 'op-68',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-67controlFlow',
            'toOperator' => 'op-67',
            'toConnector' => 'controlFlow'
        ),
        'link-308' => array(
            'from' => 'op-69result',
            'fromOperator' => 'op-69',
            'fromConnector' => 'result',
            'to' => 'op-70operand2',
            'toOperator' => 'op-70',
            'toConnector' => 'operand2'
        ),
        'link-309' => array(
            'from' => 'op-59fields8',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields8',
            'to' => 'op-70operand1',
            'toOperator' => 'op-70',
            'toConnector' => 'operand1'
        ),
        'link-310' => array(
            'from' => 'op-67controlFlow',
            'fromOperator' => 'op-67',
            'fromConnector' => 'controlFlow',
            'to' => 'op-71controlFlow',
            'toOperator' => 'op-71',
            'toConnector' => 'controlFlow'
        ),
        'link-311' => array(
            'from' => 'op-67entity',
            'fromOperator' => 'op-67',
            'fromConnector' => 'entity',
            'to' => 'op-73entity',
            'toOperator' => 'op-73',
            'toConnector' => 'entity'
        ),
        'link-312' => array(
            'from' => 'op-71singleEntity',
            'fromOperator' => 'op-71',
            'fromConnector' => 'singleEntity',
            'to' => 'op-72entity',
            'toOperator' => 'op-72',
            'toConnector' => 'entity'
        ),
        'link-313' => array(
            'from' => 'op-75dropdownValue',
            'fromOperator' => 'op-75',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-71fields0',
            'toOperator' => 'op-71',
            'toConnector' => 'fields0'
        ),
        'link-315' => array(
            'from' => 'op-71controlFlow',
            'fromOperator' => 'op-71',
            'fromConnector' => 'controlFlow',
            'to' => 'op-73controlFlow',
            'toOperator' => 'op-73',
            'toConnector' => 'controlFlow'
        ),
        'link-317' => array(
            'from' => 'op-72fields0',
            'fromOperator' => 'op-72',
            'fromConnector' => 'fields0',
            'to' => 'op-73fields1',
            'toOperator' => 'op-73',
            'toConnector' => 'fields1'
        ),
        'link-318' => array(
            'from' => 'op-75dropdownValue',
            'fromOperator' => 'op-75',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-73fields2',
            'toOperator' => 'op-73',
            'toConnector' => 'fields2'
        ),
        'link-319' => array(
            'from' => 'op-59fields8',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields8',
            'to' => 'op-73fields3',
            'toOperator' => 'op-73',
            'toConnector' => 'fields3'
        ),
        'link-321' => array(
            'from' => 'op-25controlFlow',
            'fromOperator' => 'op-25',
            'fromConnector' => 'controlFlow',
            'to' => 'op-68controlFlow',
            'toOperator' => 'op-68',
            'toConnector' => 'controlFlow'
        ),
        'link-322' => array(
            'from' => 'op-90result',
            'fromOperator' => 'op-90',
            'fromConnector' => 'result',
            'to' => 'op-68condition',
            'toOperator' => 'op-68',
            'toConnector' => 'condition'
        ),
        'link-323' => array(
            'from' => 'op-70result',
            'fromOperator' => 'op-70',
            'fromConnector' => 'result',
            'to' => 'op-90operand2',
            'toOperator' => 'op-90',
            'toConnector' => 'operand2'
        ),
        'link-324' => array(
            'from' => 'op-91result',
            'fromOperator' => 'op-91',
            'fromConnector' => 'result',
            'to' => 'op-90operand1',
            'toOperator' => 'op-90',
            'toConnector' => 'operand1'
        ),
        'link-325' => array(
            'from' => 'op-59fields8',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields8',
            'to' => 'op-91operand2',
            'toOperator' => 'op-91',
            'toConnector' => 'operand2'
        ),
        'link-326' => array(
            'from' => 'op-59fields6',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields6',
            'to' => 'op-91operand1',
            'toOperator' => 'op-91',
            'toConnector' => 'operand1'
        ),
        'link-626' => array(
            'from' => 'op-282entity',
            'fromOperator' => 'op-282',
            'fromConnector' => 'entity',
            'to' => 'op-281entity',
            'toOperator' => 'op-281',
            'toConnector' => 'entity'
        ),
        'link-629' => array(
            'from' => 'op-59fields3',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields3',
            'to' => 'op-282id',
            'toOperator' => 'op-282',
            'toConnector' => 'id'
        ),
        'link-710' => array(
            'from' => 'op-306controlFlowIfTrue',
            'fromOperator' => 'op-306',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-711' => array(
            'from' => 'op-308result',
            'fromOperator' => 'op-308',
            'fromConnector' => 'result',
            'to' => 'op-307operand2',
            'toOperator' => 'op-307',
            'toConnector' => 'operand2'
        ),
        'link-712' => array(
            'from' => 'op-59fields6',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields6',
            'to' => 'op-307operand1',
            'toOperator' => 'op-307',
            'toConnector' => 'operand1'
        ),
        'link-713' => array(
            'from' => 'op-307result',
            'fromOperator' => 'op-307',
            'fromConnector' => 'result',
            'to' => 'op-306condition',
            'toOperator' => 'op-306',
            'toConnector' => 'condition'
        ),
        'link-714' => array(
            'from' => 'op-306controlFlowIfFalse',
            'fromOperator' => 'op-306',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-68controlFlow',
            'toOperator' => 'op-68',
            'toConnector' => 'controlFlow'
        ),
        'link-715' => array(
            'from' => 'op-57controlFlow',
            'fromOperator' => 'op-57',
            'fromConnector' => 'controlFlow',
            'to' => 'op-66controlFlow',
            'toOperator' => 'op-66',
            'toConnector' => 'controlFlow'
        ),
        'link-716' => array(
            'from' => 'op-66controlFlowIfTrue',
            'fromOperator' => 'op-66',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-282controlFlow',
            'toOperator' => 'op-282',
            'toConnector' => 'controlFlow'
        ),
        'link-906' => array(
            'from' => 'op-372schema',
            'fromOperator' => 'op-372',
            'fromConnector' => 'schema',
            'to' => 'op-373schema',
            'toOperator' => 'op-373',
            'toConnector' => 'schema'
        ),
        'link-908' => array(
            'from' => 'op-373controlFlow',
            'fromOperator' => 'op-373',
            'fromConnector' => 'controlFlow',
            'to' => 'op-374controlFlow',
            'toOperator' => 'op-374',
            'toConnector' => 'controlFlow'
        ),
        'link-909' => array(
            'from' => 'op-373structure',
            'fromOperator' => 'op-373',
            'fromConnector' => 'structure',
            'to' => 'op-374structure',
            'toOperator' => 'op-374',
            'toConnector' => 'structure'
        ),
        'link-910' => array(
            'from' => 'op-23result',
            'fromOperator' => 'op-23',
            'fromConnector' => 'result',
            'to' => 'op-374fields0',
            'toOperator' => 'op-374',
            'toConnector' => 'fields0'
        ),
        'link-914' => array(
            'from' => 'op-377link',
            'fromOperator' => 'op-377',
            'fromConnector' => 'link',
            'to' => 'op-376link',
            'toOperator' => 'op-376',
            'toConnector' => 'link'
        ),
        'link-915' => array(
            'from' => 'op-376decorator',
            'fromOperator' => 'op-376',
            'fromConnector' => 'decorator',
            'to' => 'op-375decorator',
            'toOperator' => 'op-375',
            'toConnector' => 'decorator'
        ),
        'link-916' => array(
            'from' => 'op-374structure',
            'fromOperator' => 'op-374',
            'fromConnector' => 'structure',
            'to' => 'op-375structure',
            'toOperator' => 'op-375',
            'toConnector' => 'structure'
        ),
        'link-917' => array(
            'from' => 'op-374controlFlow',
            'fromOperator' => 'op-374',
            'fromConnector' => 'controlFlow',
            'to' => 'op-375controlFlow',
            'toOperator' => 'op-375',
            'toConnector' => 'controlFlow'
        ),
        'link-918' => array(
            'from' => 'op-375controlFlow',
            'fromOperator' => 'op-375',
            'fromConnector' => 'controlFlow',
            'to' => 'op-306controlFlow',
            'toOperator' => 'op-306',
            'toConnector' => 'controlFlow'
        ),
        'link-920' => array(
            'from' => 'op-375structure',
            'fromOperator' => 'op-375',
            'fromConnector' => 'structure',
            'to' => 'op-19fields4',
            'toOperator' => 'op-19',
            'toConnector' => 'fields4'
        ),
        'link-921' => array(
            'from' => 'op-375structure',
            'fromOperator' => 'op-375',
            'fromConnector' => 'structure',
            'to' => 'op-73fields4',
            'toOperator' => 'op-73',
            'toConnector' => 'fields4'
        ),
        'link-922' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-377id',
            'toOperator' => 'op-377',
            'toConnector' => 'id'
        ),
        'link-1286' => array(
            'from' => 'op-512dropdownValue',
            'fromOperator' => 'op-512',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-19fields5',
            'toOperator' => 'op-19',
            'toConnector' => 'fields5'
        ),
        'link-1287' => array(
            'from' => 'op-512dropdownValue',
            'fromOperator' => 'op-512',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-73fields5',
            'toOperator' => 'op-73',
            'toConnector' => 'fields5'
        ),
        'link-1288' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-19fields0',
            'toOperator' => 'op-19',
            'toConnector' => 'fields0'
        ),
        'link-1289' => array(
            'from' => 'op-59fields4',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields4',
            'to' => 'op-73fields0',
            'toOperator' => 'op-73',
            'toConnector' => 'fields0'
        ),
        'link-1290' => array(
            'from' => 'op-281fields0',
            'fromOperator' => 'op-281',
            'fromConnector' => 'fields0',
            'to' => 'op-374fields1',
            'toOperator' => 'op-374',
            'toConnector' => 'fields1'
        ),
        'link-1291' => array(
            'from' => 'op-282controlFlow',
            'fromOperator' => 'op-282',
            'fromConnector' => 'controlFlow',
            'to' => 'op-373controlFlow',
            'toOperator' => 'op-373',
            'toConnector' => 'controlFlow'
        ),
        'link-1292' => array(
            'from' => 'op-49result',
            'fromOperator' => 'op-49',
            'fromConnector' => 'result',
            'to' => 'op-513operand2',
            'toOperator' => 'op-513',
            'toConnector' => 'operand2'
        ),
        'link-1293' => array(
            'from' => 'op-513result',
            'fromOperator' => 'op-513',
            'fromConnector' => 'result',
            'to' => 'op-47fields1',
            'toOperator' => 'op-47',
            'toConnector' => 'fields1'
        ),
        'link-1294' => array(
            'from' => 'op-59fields5',
            'fromOperator' => 'op-59',
            'fromConnector' => 'fields5',
            'to' => 'op-513operand1',
            'toOperator' => 'op-513',
            'toConnector' => 'operand1'
        ),
        'link-1295' => array(
            'from' => 'op-514result',
            'fromOperator' => 'op-514',
            'fromConnector' => 'result',
            'to' => 'op-71fields1',
            'toOperator' => 'op-71',
            'toConnector' => 'fields1'
        ),
    )
);
