<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5bd1f12abc1e44_77546114/operators/FlowchartOperator_lb5bd1f12abc1e44_77546114.php';

class ApplyFieldDecoratorOperator_lb5bd1f12abc1e44_77546114 extends FlowchartOperator_lb5bd1f12abc1e44_77546114{

    protected $collection;
    protected $decorator;
    protected $attributes;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPorts($params){
        if(!empty($params['inDataPorts'])){
            foreach($params['inDataPorts'] as $inDataPort){
                $portId = $inDataPort['id'];
                if($portId != 'structure' && $portId != 'decorator'){
                    $this->attributes[$portId] = $inDataPort['value'];
                }
            }
        }
        parent::setInDataPorts($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'structure'){
            $this->collection = $value;
        }elseif($id == 'decorator'){
            $this->decorator = $value;
        }else{
            $this->attributes[$id] = $value;
        }
    }

    public function process($params = array()){
        if(is_object($this->collection) && method_exists($this->collection, 'getSchemaValue') &&method_exists($this->collection, 'setSchemaValue')){
            foreach($this->attributes as $systemId => $realId){
                $this->collection->addDecoration($realId, $this->decorator);
            }
        }
    }

    public function getOutDataByPortId($portId){
        return $this->collection;
    }

}
